Search.setIndex({"docnames": ["basics", "calculus/approximation", "calculus/differentiation", "calculus/index", "calculus/integration", "calculus/inverselaplace", "calculus/odes", "calculus/optimization", "calculus/polynomials", "calculus/sums_limits", "contexts", "functions/bessel", "functions/constants", "functions/elliptic", "functions/expintegrals", "functions/gamma", "functions/hyperbolic", "functions/hypergeometric", "functions/index", "functions/numtheory", "functions/orthogonal", "functions/powers", "functions/qfunctions", "functions/trigonometric", "functions/zeta", "general", "identification", "index", "matrices", "plotting", "references", "setup", "technical"], "filenames": ["basics.txt", "calculus/approximation.txt", "calculus/differentiation.txt", "calculus/index.txt", "calculus/integration.txt", "calculus/inverselaplace.txt", "calculus/odes.txt", "calculus/optimization.txt", "calculus/polynomials.txt", "calculus/sums_limits.txt", "contexts.txt", "functions/bessel.txt", "functions/constants.txt", "functions/elliptic.txt", "functions/expintegrals.txt", "functions/gamma.txt", "functions/hyperbolic.txt", "functions/hypergeometric.txt", "functions/index.txt", "functions/numtheory.txt", "functions/orthogonal.txt", "functions/powers.txt", "functions/qfunctions.txt", "functions/trigonometric.txt", "functions/zeta.txt", "general.txt", "identification.txt", "index.txt", "matrices.txt", "plotting.txt", "references.txt", "setup.txt", "technical.txt"], "titles": ["Basic usage", "Function approximation", "Differentiation", "Numerical calculus", "Numerical integration (quadrature)", "Numerical inverse Laplace transform", "Ordinary differential equations", "Root-finding and optimization", "Polynomials", "Sums, products, limits and extrapolation", "Contexts", "Bessel functions and related functions", "Mathematical constants", "Elliptic functions", "Exponential integrals and error functions", "Factorials and gamma functions", "Hyperbolic functions", "Hypergeometric functions", "Mathematical functions", "Number-theoretical, combinatorial and integer functions", "Orthogonal polynomials", "Powers and logarithms", "q-functions", "Trigonometric functions", "Zeta functions, L-series and polylogarithms", "Utility functions", "Number identification", "Welcome to mpmath\u2019s documentation!", "Matrices", "Plotting", "References", "Setting up mpmath", "Precision and representation issues"], "terms": {"In": [0, 4, 5, 6, 7, 8, 9, 11, 13, 15, 17, 19, 20, 21, 23, 24, 25, 26, 28, 31, 32], "interactive": [0, 27, 31], "code": [0, 4, 10, 25, 30, 32], "examples": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29, 30, 31, 32], "follow": [0, 4, 14, 15], "assumed": [0, 5, 13, 32], "all": [0, 1, 4, 5, 6, 7, 8, 9, 10, 11, 14, 15, 17, 19, 20, 21, 23, 24, 25, 26, 31, 32], "items": [0, 15], "mpmath": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 32], "namespace": [0, 10], "have": [0, 1, 2, 4, 5, 7, 8, 9, 10, 11, 14, 15, 20, 21, 23, 24, 25, 26, 31, 32], "been": [0, 2, 4, 5, 6, 9, 19, 25, 26], "imported": [0, 31], "from": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 31, 32], "import": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 31, 32], "importing": 0, "everything": [0, 31], "can": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 27, 28, 29, 30, 31, 32], "convenient": [0, 9, 21, 24, 25, 28], "especially": [0, 5, 7, 9, 31, 32], "when": [0, 1, 4, 5, 7, 9, 10, 11, 13, 14, 15, 17, 20, 21, 24, 25, 26, 32], "using": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 32], "interactively": 0, "careful": [0, 1, 7, 14], "mixing": 0, "other": [0, 4, 5, 6, 8, 9, 10, 11, 13, 14, 15, 17, 18, 19, 20, 21, 24, 25, 26, 32], "libraries": [0, 28], "To": [0, 4, 6, 10, 13, 21, 24, 25, 26, 28, 29, 31, 32], "avoid": [0, 2, 25], "inadvertently": 0, "overriding": 0, "functions": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 27, 29, 30, 31, 32], "objects": [0, 10, 12], "explicitly": [0, 9, 17, 19, 26, 29, 32], "only": [0, 2, 4, 5, 7, 9, 10, 11, 13, 14, 15, 17, 19, 21, 23, 24, 25, 26, 28, 29, 32], "needed": [0, 2, 4, 7, 9, 32], "use": [0, 1, 4, 7, 9, 10, 13, 15, 17, 21, 24, 25, 26, 27, 28, 31, 32], "mp": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 31, 32], "namespaces": 0, "sin": [0, 1, 2, 4, 6, 7, 9, 10, 11, 13, 14, 15, 16, 17, 20, 21, 24, 25, 28, 29, 32], "cos": [0, 1, 2, 4, 6, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 24, 28, 29, 32], "1": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31, 32], "context": [0, 5, 10, 25, 32], "object": [0, 6, 9, 10, 13], "explained": 0, "provides": [0, 4, 9, 10, 13, 14, 19, 21, 24, 27, 31], "following": [0, 2, 4, 5, 7, 8, 9, 10, 11, 13, 14, 17, 20, 21, 22, 24, 25, 26, 30, 31, 32], "numerical": [0, 1, 6, 7, 8, 9, 10, 13, 14, 15, 17, 19, 20, 21, 24, 26, 27, 29, 30, 32], "class": [0, 4, 5, 7, 9, 14, 28], "description": [0, 4, 5, 10, 25], "mpf": [0, 1, 2, 5, 6, 9, 10, 11, 12, 13, 14, 15, 17, 19, 21, 22, 24, 25, 26, 28, 31, 32], "real": [0, 2, 4, 5, 7, 8, 9, 10, 11, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 32], "float": [0, 10, 25, 28, 32], "mpc": [0, 10, 12, 25], "complex": [0, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 26, 27, 28, 30, 32], "matrix": [0, 7, 9, 10, 17, 19, 22, 27], "The": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 30, 31, 32], "section": [0, 5, 11, 13, 14, 17, 19, 24, 32], "provide": [0, 1, 4, 6, 9, 24, 25], "very": [0, 1, 2, 4, 5, 6, 7, 9, 13, 14, 15, 17, 19, 21, 24, 25, 28, 32], "short": [0, 32], "introduction": 0, "intervals": [0, 4, 9, 10, 19, 23, 28, 29], "matrices": [0, 19, 25, 27], "described": [0, 4, 5, 6, 9], "further": [0, 2, 26, 27, 31], "documentation": [0, 4, 7, 9, 10, 17, 23, 24, 25, 28, 30, 32], "chapters": 0, "interval": [0, 1, 4, 7, 9, 14, 15, 19, 20, 21, 23, 24, 25, 27, 29], "arithmetic": [0, 7, 8, 9, 12, 18, 23, 26, 27, 28, 31, 32], "linear": [0, 4, 5, 9, 17, 26, 27, 32], "algebra": [0, 27, 32], "type": [0, 5, 9, 10, 11, 14, 19, 20, 25, 26, 27, 31, 32], "analogous": [0, 15, 25], "python": [0, 10, 18, 21, 23, 25, 26, 27, 28, 31, 32], "s": [0, 1, 2, 7, 8, 9, 10, 11, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 30, 31, 32], "built": [0, 7, 32], "It": [0, 1, 5, 7, 8, 9, 10, 11, 13, 14, 15, 19, 21, 24, 25, 26, 28, 31, 32], "holds": [0, 7, 10, 11, 15, 19, 22, 28, 32], "one": [0, 1, 2, 3, 4, 6, 7, 9, 13, 14, 17, 19, 24, 25, 26, 28, 30, 31, 32], "special": [0, 9, 11, 13, 14, 15, 17, 18, 19, 20, 21, 22, 24, 25, 28, 32], "values": [0, 4, 6, 7, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 32], "inf": [0, 2, 4, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 28, 32], "positive": [0, 2, 4, 5, 7, 11, 12, 14, 15, 17, 21, 22, 24, 25, 26, 28, 29, 32], "infinity": [0, 9, 12, 14, 24, 25, 28], "negative": [0, 5, 9, 10, 11, 14, 15, 19, 20, 21, 24, 28, 29, 32], "nan": [0, 11, 12, 15, 23, 25, 32], "indicating": [0, 32], "an": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 24, 25, 26, 28, 29, 30, 31, 32], "indeterminate": [0, 10], "result": [0, 2, 4, 5, 9, 10, 14, 15, 17, 21, 23, 25, 26, 28, 32], "you": [0, 4, 5, 6, 7, 9, 13, 25, 26, 28, 29, 31, 32], "create": [0, 5, 28], "instances": [0, 4, 12, 17, 25, 31], "strings": [0, 10, 25, 26, 32], "integers": [0, 9, 11, 14, 15, 17, 19, 21, 22, 24, 25, 26, 31, 32], "floats": [0, 1, 17, 29, 32], "4": [0, 1, 2, 4, 5, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 31, 32], "0": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 31, 32], "2": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31, 32], "5": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31, 32], "25e6": 0, "1250000": 0, "represents": [0, 10, 32], "rectangular": [0, 10, 29], "form": [0, 1, 5, 6, 9, 10, 13, 14, 15, 17, 19, 21, 24, 25, 26, 32], "pair": [0, 1, 4, 17, 25], "constructed": [0, 24], "numbers": [0, 1, 8, 9, 10, 11, 13, 14, 16, 17, 18, 20, 21, 24, 26, 27, 28, 31], "3": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31, 32], "imag": [0, 10, 11, 15, 17, 24, 25], "mix": [0, 9], "each": [0, 2, 4, 6, 7, 8, 9, 13, 17, 19, 21, 23, 24, 25, 26], "9": [0, 1, 2, 5, 7, 9, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28], "dps": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 31, 32], "15": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 32], "set": [0, 1, 2, 4, 5, 6, 8, 9, 10, 15, 17, 19, 20, 21, 25, 26, 28, 31, 32], "see": [0, 1, 4, 5, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 27, 28, 31], "below": [0, 4, 5, 6, 9, 17, 24, 26], "1j": [0, 9, 11, 13, 14, 15, 17, 19, 21, 22, 24, 28], "70710678118654757": 0, "uses": [0, 1, 2, 5, 6, 7, 8, 9, 10, 17, 19, 24, 26, 31, 32], "global": [0, 10, 16], "working": [0, 1, 2, 5, 6, 7, 8, 9, 12, 17, 20, 24, 25, 26, 32], "does": [0, 2, 4, 5, 7, 9, 10, 17, 21, 24, 25, 26, 28, 32], "keep": 0, "track": [0, 7, 32], "accuracy": [0, 1, 2, 4, 5, 6, 8, 9, 10, 17, 26, 32], "individual": [0, 9, 27, 31], "performing": [0, 4, 8, 21, 25], "operation": [0, 10, 25, 28, 32], "calling": [0, 1, 4, 5, 9, 12, 21, 25, 26, 28, 31], "rounds": [0, 25], "current": [0, 7, 8, 9, 10, 12, 25, 28, 32], "controlled": [0, 9, 25], "called": [0, 10, 13, 19, 21, 22, 24, 25, 28, 32], "which": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 31, 32], "has": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 17, 19, 21, 23, 24, 25, 26, 31, 32], "default": [0, 2, 4, 5, 6, 7, 9, 10, 17, 25, 26, 29, 31, 32], "state": [0, 32], "print": [0, 2, 4, 6, 7, 8, 9, 10, 11, 15, 17, 19, 20, 21, 23, 24, 25, 26, 28, 31], "settings": [0, 4, 9, 10], "prec": [0, 4, 9, 10, 25, 31, 32], "53": [0, 9, 10, 11, 13, 24, 28, 32], "trap_complex": 0, "false": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 21, 24, 25, 26, 28, 29, 32], "term": [0, 1, 4, 5, 7, 9, 11, 14, 15, 17, 19, 24, 25, 32], "denotes": [0, 13, 17, 19, 20, 22, 24, 28], "binary": [0, 10, 21, 25, 32], "measured": [0, 25, 32], "bits": [0, 4, 10, 25, 32], "while": [0, 2, 5, 6, 7, 9, 10, 11, 17, 19, 32], "decimal": [0, 1, 5, 9, 10, 25, 26, 27], "places": [0, 1, 4, 23], "related": [0, 9, 13, 14, 15, 17, 18, 19, 22, 24, 27, 30, 32], "roughly": [0, 2, 4, 6, 9, 11, 14, 19, 21, 25, 26, 32], "according": [0, 5, 11], "formula": [0, 1, 2, 4, 9, 11, 15, 17, 19, 20, 21, 24, 26, 32], "33": [0, 5, 11], "For": [0, 1, 2, 4, 5, 6, 7, 9, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 27, 28, 29, 31, 32], "example": [0, 1, 2, 4, 5, 6, 7, 8, 9, 11, 13, 14, 17, 19, 20, 22, 24, 25, 26, 28, 29, 31, 32], "takes": [0, 17], "333": [0, 5], "hold": [0, 9, 25, 28, 32], "approximation": [0, 3, 5, 8, 9, 15, 19, 20, 21, 24, 26, 27, 28, 32], "pi": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 30, 31, 32], "accurate": [0, 1, 2, 4, 5, 6, 8, 9, 10, 14, 19, 20, 21, 24, 25, 26, 28, 32], "100": [0, 2, 4, 5, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 29, 31, 32], "actually": [0, 4, 9, 10, 25, 26, 32], "slightly": [0, 2, 4, 9, 20, 21, 26], "more": [0, 1, 2, 4, 5, 6, 7, 9, 13, 14, 15, 16, 17, 19, 20, 21, 22, 24, 25, 26, 28, 32], "than": [0, 2, 4, 5, 7, 8, 9, 10, 11, 14, 15, 17, 19, 21, 24, 25, 26, 28, 32], "used": [0, 1, 2, 4, 5, 7, 8, 9, 10, 11, 12, 13, 14, 17, 18, 19, 20, 21, 23, 24, 25, 26, 28, 29, 30, 32], "either": [0, 2, 4, 8, 9, 13, 15, 17, 25, 26, 28, 32], "property": [0, 4, 15, 19], "automatically": [0, 2, 4, 9, 10, 11, 14, 17, 25, 28, 31, 32], "updates": 0, "usually": [0, 4, 5, 7, 9, 10, 13, 17, 20, 24, 26, 28, 32], "just": [0, 2, 4, 5, 6, 8, 17, 21, 24, 26, 28, 32], "want": [0, 5, 6, 9, 10], "change": [0, 4, 7, 24, 28, 31, 32], "value": [0, 1, 2, 3, 4, 7, 8, 9, 11, 13, 14, 17, 19, 20, 21, 24, 25, 26, 29, 32], "336": 0, "operations": [0, 9, 10, 12, 26, 27, 32], "carried": 0, "out": [0, 1, 4, 5, 17, 25], "50": [0, 4, 6, 8, 9, 10, 11, 13, 14, 15, 17, 19, 21, 24, 25, 26, 28, 29, 31, 32], "6": [0, 1, 2, 4, 5, 9, 10, 11, 12, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 31], "16666666666666666666666666666666666666666666666666656": 0, "25": [0, 2, 4, 5, 7, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 32], "414213562373095048801688713": 0, "also": [0, 1, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 18, 19, 20, 21, 22, 24, 25, 26, 28, 29, 31, 32], "10": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 32], "3333333333321": 0, "6666666666642": 0, "There": [0, 2, 15, 17, 20, 21, 24, 26, 32], "restriction": 0, "magnitude": [0, 2, 4, 9, 11, 17, 19, 21, 25, 26, 28, 29, 32], "large": [0, 2, 4, 5, 6, 9, 10, 11, 14, 15, 17, 18, 19, 20, 21, 24, 25, 26, 28, 32], "mersenne": [0, 21], "prime": [0, 5, 14, 18, 21, 24], "32582657": 0, "24575026015369e": 0, "9808357": 0, "Or": 0, "why": 0, "googolplex": 0, "0e": [0, 2, 11, 17, 19, 20, 21, 25, 26], "100000000000000000000000000000000000000000000000000": 0, "exponent": [0, 32], "stored": [0, 28], "exactly": [0, 2, 9, 10, 14, 17, 19, 21, 23, 24, 25, 32], "independent": [0, 6, 11], "often": [0, 4, 9, 10, 11, 15, 17, 21, 23, 24, 25, 32], "useful": [0, 1, 2, 4, 5, 7, 9, 10, 13, 17, 19, 24, 25, 26, 28, 29], "during": [0, 5, 9, 31], "part": [0, 2, 5, 8, 11, 15, 17, 19, 20, 21, 23, 24, 25, 29, 32], "calculation": [0, 11, 19, 21, 32], "A": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 12, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 30, 32], "way": [0, 1, 4, 5, 9, 15, 21, 24, 28, 32], "increase": [0, 2, 4, 5, 9, 26, 32], "restore": 0, "follows": [0, 4, 9, 21, 29], "do_something": 0, "since": [0, 4, 10, 13, 17, 20, 21, 23, 24, 25, 26, 29], "statement": 0, "along": [0, 1, 4, 5, 9, 11, 13, 15, 19, 21, 23, 24, 25], "workprec": [0, 9], "workdps": 0, "extraprec": [0, 8, 9, 13, 24, 28], "extradps": [0, 13, 17, 24], "safe": [0, 32], "manner": 0, "__future__": 0, "with_statement": 0, "need": [0, 1, 6, 7, 9, 26, 28, 29, 31, 32], "20": [0, 2, 5, 7, 8, 9, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 29, 31], "7": [0, 2, 4, 7, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 28], "14285714285714285714": 0, "142857142857142857142857142857": 0, "ensures": 0, "gets": [0, 19], "reset": 0, "exiting": 0, "block": [0, 24, 25], "even": [0, 2, 7, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 24, 25, 26, 28, 32], "case": [0, 4, 6, 7, 8, 9, 11, 14, 17, 20, 21, 22, 24, 25, 26, 28, 32], "exception": [0, 4, 7, 8, 9, 10, 13, 15, 23, 25, 29, 32], "raised": [0, 7, 8, 9, 10, 13, 25], "effect": [0, 5, 9, 10, 11, 24, 25, 31], "emulated": 0, "try": [0, 4, 7, 17, 26, 31, 32], "finally": [0, 7, 9, 13, 24, 28, 31], "family": [0, 7, 14], "function": [0, 2, 3, 4, 5, 6, 7, 9, 10, 12, 13, 14, 16, 18, 19, 20, 22, 25, 26, 27, 28, 30, 31, 32], "decorators": 0, "def": [0, 1, 2, 7, 13, 17, 20, 21], "f": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 17, 19, 20, 25, 26, 28, 29, 32], "return": [0, 1, 4, 6, 7, 9, 13, 17, 20, 21, 23, 25, 29, 32], "33333331346511841": 0, "some": [0, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 23, 24, 26, 28, 29, 31, 32], "accept": [0, 6, 17], "keyword": [0, 1, 2, 4, 7, 9, 14, 15, 17, 20, 24, 25, 26, 28], "arguments": [0, 2, 4, 5, 7, 9, 11, 12, 14, 15, 17, 18, 19, 20, 21, 22, 24, 25, 26], "override": [0, 5], "note": [0, 1, 2, 4, 6, 7, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 31, 32], "affect": 0, "printed": [0, 10, 25, 28], "so": [0, 2, 4, 5, 8, 9, 10, 13, 14, 15, 17, 21, 23, 24, 27, 28, 31, 32], "get": [0, 4, 6, 7, 8, 14, 26, 31, 32], "digits": [0, 2, 4, 5, 7, 9, 10, 15, 17, 19, 21, 25, 26, 28, 31, 32], "must": [0, 1, 2, 5, 6, 7, 8, 9, 13, 15, 21, 24, 25, 26, 31, 32], "afterward": 0, "nstr": [0, 5, 19, 28], "nprint": [0, 1, 2, 6, 8, 9, 11, 13, 14, 15, 16, 17, 19, 20, 21, 23, 24, 26, 28], "exp": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 12, 13, 14, 15, 17, 20, 24, 25, 26, 28, 29, 32], "71828182845905": [0, 6, 9, 15, 28], "extra": [0, 2, 4, 8, 25, 31, 32], "won": 0, "t": [0, 2, 4, 5, 9, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 28, 29, 30], "7182818284590452353602874713526624977572470937": [0, 6], "instead": [0, 1, 4, 6, 9, 10, 13, 15, 20, 24, 25, 26, 28, 32], "custom": [0, 4, 24, 25, 26, 29], "contexts": [0, 15, 27], "work": [0, 4, 5, 6, 9, 10, 17, 24, 31], "methods": [0, 2, 4, 5, 7, 9, 10, 21, 26, 30], "those": [0, 10, 14, 21, 23, 24, 26, 32], "local": [0, 6, 24], "mp2": 0, "clone": 0, "3333333333": 0, "33333333333333333333": 0, "ability": [0, 32], "multiple": [0, 4, 7, 9, 11, 15, 24, 30], "new": [0, 5, 6, 9, 28], "feature": [0, 10], "partially": [0, 21], "implemented": [0, 4, 5, 9, 10, 12, 14, 15, 17, 19, 20, 21, 24, 28, 32], "Not": 0, "yet": [0, 10], "available": [0, 1, 4, 5, 9, 10, 14, 17, 18, 19, 21, 26, 28, 29, 31], "present": [0, 4, 9, 25, 26], "version": [0, 1, 5, 10, 15, 20, 25], "likely": [0, 4, 6, 9, 29], "encounter": 0, "bugs": [0, 32], "different": [0, 4, 5, 9, 10, 11, 13, 17, 20, 21, 24, 32], "creating": [0, 27], "most": [0, 5, 7, 9, 10, 13, 14, 15, 17, 19, 20, 21, 23, 25, 26, 28, 32], "Be": [0, 7], "high": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 15, 19, 21, 26, 30, 31, 32], "fractional": [0, 3, 10, 11, 19, 26, 27], "should": [0, 1, 4, 6, 8, 9, 10, 11, 13, 14, 15, 17, 20, 21, 24, 25, 26, 29, 31, 32], "created": [0, 10, 28], "30": [0, 2, 4, 7, 9, 10, 11, 14, 15, 19, 21, 22, 24, 25, 26, 28], "bad": [0, 4, 7, 14, 25, 29], "9000000000000003552713678800501": 0, "good": [0, 1, 4, 7, 9, 10, 14, 24, 25, 29, 32], "8999999999999999999999999999997": 0, "109": 0, "fractions": [0, 17, 25, 26, 32], "75": [0, 2, 8, 9, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 28], "125": [0, 9, 11, 17, 20, 21, 24, 25, 28], "etc": [0, 1, 2, 9, 10, 17, 18, 19, 25, 26, 32], "generally": [0, 1, 2, 4, 6, 7, 9, 10, 11, 13, 15, 17, 19, 20, 22, 23, 24, 25, 28, 32], "however": [0, 2, 4, 7, 9, 11, 14, 19, 23, 25, 26, 32], "represented": [0, 10, 11, 17, 19, 20, 21, 23, 25, 28, 32], "By": [0, 4, 6, 9, 17, 19, 21, 25, 26, 29, 31], "repr": [0, 10, 32], "includes": [0, 13, 14, 23, 24], "its": [0, 1, 5, 9, 10, 15, 16, 20, 21, 23, 24, 25, 26, 27, 32], "signature": 0, "This": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 17, 19, 21, 23, 24, 25, 26, 28, 29, 31, 32], "eval": [0, 10, 25, 26, 32], "recreate": 0, "string": [0, 7, 13, 25, 26, 28, 29], "representation": [0, 9, 11, 13, 14, 15, 17, 19, 24, 25, 27], "prettier": 0, "output": [0, 4, 19, 25, 26, 29, 32], "obtained": [0, 9, 19, 22], "str": [0, 19, 21, 25, 28, 32], "hide": [0, 32], "signatures": 0, "suppress": 0, "rounding": [0, 10, 24, 25, 32], "artifacts": [0, 32], "last": [0, 7, 9, 10, 13, 14, 15, 17, 21, 25, 28, 32], "few": [0, 2, 4, 5, 9, 10, 11, 15, 17, 19, 20, 21, 24, 26, 31], "14159": [0, 12, 25], "1415899999999999": 0, "707106781186548": 0, "707106781186548j": 0, "pretty": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 31], "option": [0, 1, 2, 9, 21, 24, 29], "style": 0, "well": [0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 15, 17, 19, 21, 26, 27, 28, 32], "true": [0, 1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29], "59999999999999998": 0, "determined": [0, 17, 20, 28], "specify": [0, 4, 7, 13, 17, 25, 26, 28], "show": [0, 26, 29], "without": [0, 4, 14, 19, 25], "16666666666666666": 0, "8": [0, 4, 5, 9, 11, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 31, 32], "16666667": 0, "16666666666666665741480812812369549646973609924316": 0, "x": [1, 2, 4, 6, 7, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 21, 23, 24, 25, 26, 28, 29, 32], "n": [1, 2, 4, 5, 6, 8, 9, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 30, 32], "options": [1, 2, 4, 5, 6, 9, 17, 25], "produces": [1, 9, 25], "degree": [1, 4, 5, 6, 17, 18, 20, 26], "polynomial": [1, 3, 4, 6, 9, 15, 17, 19, 20, 26], "around": [1, 4, 11, 21, 24], "point": [1, 2, 4, 6, 7, 8, 9, 11, 13, 15, 17, 19, 21, 23, 24, 25, 26, 27, 28, 30, 32], "given": [1, 2, 4, 5, 6, 7, 8, 9, 11, 13, 14, 15, 17, 19, 20, 21, 23, 24, 25, 26, 28, 29, 32], "coefficients": [1, 5, 8, 13, 17, 18, 19, 20, 21, 24, 25, 26], "returned": [1, 6, 7, 8, 13, 17, 19, 21, 25, 26, 28], "list": [1, 2, 4, 7, 8, 9, 19, 21, 24, 25, 26, 28, 29, 30, 31, 32], "chop": [1, 2, 4, 9, 11, 13, 14, 15, 16, 17, 19, 20, 21, 23, 24, 28], "166667": [1, 16, 19, 21, 23], "00833333": [1, 16, 21, 23], "computed": [1, 2, 4, 5, 7, 8, 9, 10, 11, 13, 15, 17, 19, 20, 21, 24, 25, 28, 32], "order": [1, 2, 4, 5, 6, 9, 11, 14, 17, 19, 20, 21, 24, 26], "differentiation": [1, 3, 9, 11, 20, 24, 27], "possible": [1, 5, 6, 7, 8, 9, 13, 15, 17, 21, 25, 26, 28, 32], "evaluate": [1, 2, 4, 6, 9, 12, 14, 17, 19, 21, 24], "arbitrary": [1, 2, 8, 9, 11, 12, 13, 14, 15, 17, 18, 19, 20, 21, 22, 24, 27, 32], "precision": [1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 13, 14, 15, 17, 18, 19, 20, 21, 24, 26, 27, 30, 31], "diff": [1, 3, 7, 9, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25], "additional": [1, 4, 7, 9, 11, 13, 14, 17, 24, 31], "details": [1, 4, 9, 14, 24, 32], "supported": [1, 2, 4, 7, 9, 10, 11, 13, 14, 15, 17, 19, 21, 23, 24, 28, 31], "e": [1, 2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 28, 30, 32], "g": [1, 2, 4, 5, 6, 9, 11, 13, 15, 18, 19, 20, 23, 24, 25, 30, 32], "polyval": [1, 3, 26], "reversed": [1, 15], "expansion": [1, 6, 7, 9, 11, 13, 14, 15, 17, 19, 20, 21, 24], "subtracted": [1, 32], "argument": [1, 4, 6, 9, 11, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 24, 25, 29], "p": [1, 2, 4, 5, 8, 9, 11, 13, 14, 15, 17, 19, 20, 22, 24, 25, 26, 28, 30], "12": [1, 2, 4, 6, 9, 11, 13, 15, 17, 19, 20, 21, 24, 26], "1824939606092": 1, "1824939607035": [1, 6], "l": [1, 5, 9, 11, 13, 15, 17, 18, 19, 20, 27, 28, 30], "m": [1, 2, 4, 5, 7, 9, 11, 13, 15, 17, 19, 20, 24, 25, 26, 30, 31, 32], "computes": [1, 2, 4, 5, 8, 9, 11, 13, 14, 15, 16, 17, 19, 21, 22, 23, 24, 25, 28], "least": [1, 4, 9, 10, 19, 25, 26, 28, 32], "approximating": [1, 19, 32], "returns": [1, 2, 4, 6, 7, 8, 9, 10, 11, 13, 15, 17, 19, 20, 21, 23, 24, 25, 26, 28, 29], "polynomials": [1, 3, 4, 9, 11, 14, 17, 18, 24, 27], "q": [1, 9, 13, 14, 15, 17, 18, 19, 20, 24, 25, 26, 27, 28], "satisfying": [1, 14, 15, 28], "sum_": [1, 4, 5, 9, 11, 13, 17, 19, 21, 22, 24, 25], "k": [1, 2, 4, 5, 9, 11, 13, 14, 15, 17, 19, 21, 22, 24, 25, 30], "p_k": [1, 5], "q_k": 1, "q_0": 1, "o": [1, 2, 9, 14, 15, 24], "analytic": [1, 5, 7, 9, 11, 15, 17, 19, 24, 30], "beyond": [1, 9], "radius": [1, 2, 6, 9, 11, 17, 21], "convergence": [1, 4, 6, 7, 8, 9, 17, 25], "baker": 1, "essentials": 1, "approximants": [1, 28], "academic": 1, "press": [1, 5, 15, 30], "ch": 1, "1a": 1, "sqrt": [1, 2, 4, 5, 8, 9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 23, 24, 25, 26, 28, 29, 32], "38169105566806": 1, "38169855941551": 1, "error": [1, 4, 7, 8, 9, 10, 15, 16, 17, 18, 19, 21, 24, 25, 27, 28], "approximates": 1, "b": [1, 4, 5, 7, 9, 10, 11, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 28, 30, 32], "With": [1, 2, 4, 6, 8, 9, 10, 11, 13, 15, 17, 20, 24, 25, 26, 28, 32], "estimate": [1, 4, 5, 8, 9, 14, 19, 21, 25], "maximum": [1, 4, 5, 8, 9, 22, 25, 26, 32], "absolute": [1, 2, 10, 19, 25, 28, 32], "gives": [1, 2, 7, 9, 10, 11, 14, 15, 17, 19, 20, 21, 22, 24, 25, 28, 32], "nearly": [1, 10, 32], "optimal": [1, 6, 9, 25], "solution": [1, 4, 5, 6, 7, 9, 11, 13, 17, 20, 21, 24, 26, 28], "close": [1, 5, 7, 9, 11, 13, 17, 19, 20, 21, 24, 25, 26, 28, 32], "smallest": [1, 25], "any": [1, 2, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 15, 17, 19, 21, 24, 26, 28, 31, 32], "same": [1, 2, 9, 10, 11, 13, 14, 20, 21, 23, 24, 25, 32], "needs": [1, 7, 9], "repeated": [1, 4, 8], "evaluation": [1, 2, 3, 4, 5, 6, 9, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 27, 32], "expensive": [1, 2, 4, 6, 9, 21], "defined": [1, 2, 4, 6, 9, 11, 13, 14, 15, 17, 19, 20, 21, 23, 24, 25, 26, 28, 29, 32], "implicitly": 1, "integral": [1, 2, 4, 5, 9, 11, 13, 15, 17, 18, 19, 23, 24], "differential": [1, 3, 5, 11, 15, 17, 20, 21, 27], "equation": [1, 6, 7, 11, 13, 15, 17, 20, 21, 22, 24, 28], "could": [1, 5, 7, 20, 26], "turn": [1, 14, 17], "slow": [1, 7, 9, 17, 21, 24, 28, 29, 32], "fast": [1, 2, 4, 5, 6, 7, 9, 11, 19, 21, 24, 27, 31], "machine": [1, 28, 32], "here": [1, 2, 4, 5, 9, 13, 20, 24, 26, 28, 30], "we": [1, 2, 4, 6, 9, 11, 13, 14, 15, 17, 20, 21, 23, 24, 26, 32], "generate": [1, 2, 9, 14, 15, 26], "low": [1, 5, 6, 7, 8, 17, 19, 20, 25, 26, 27], "valid": [1, 5, 9, 13, 15, 21, 24, 25, 26], "poly": 1, "err": [1, 8], "00291682": 1, "146166": 1, "732491": 1, "174141": 1, "949553": 1, "61351758081e": 1, "evaluated": [1, 2, 4, 5, 6, 9, 11, 13, 14, 15, 17, 19, 20, 21, 23, 24, 25, 26], "0291858904138": 1, "0291995223013": 1, "sampling": [1, 9], "1000": [1, 4, 5, 7, 9, 11, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28], "points": [1, 4, 6, 7, 9, 11, 13, 20, 21, 23, 24, 29], "shows": [1, 10, 17, 21, 25, 29], "generated": [1, 2, 6, 9, 19, 25, 26], "remarkably": 1, "lambda": [1, 2, 4, 5, 6, 7, 9, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 29], "abs": [1, 2, 4, 9, 11, 13, 19, 20, 24, 25, 29, 30], "max": [1, 5, 7, 19, 25, 26, 32], "range": [1, 2, 4, 5, 9, 11, 14, 15, 19, 20, 21, 22, 23, 24, 25, 26, 29, 32], "61349954245e": 1, "choice": [1, 4, 6, 9, 17, 21], "arbitrarily": [1, 11, 14, 15, 17, 19, 21, 24], "obtain": [1, 2, 6, 9, 13, 14, 19, 21, 24, 29, 32], "As": [1, 2, 5, 6, 9, 13, 17, 19, 21, 25, 26, 28, 32], "rule": [1, 5], "thumb": [1, 5], "unit": [1, 4, 12, 13, 15, 17, 20, 21, 24, 25, 31], "although": [1, 4, 7, 8, 9, 10, 14, 17, 24, 32], "depends": [1, 4, 5, 7, 24, 32], "how": [1, 7, 14, 15, 24, 25, 28, 32], "behaved": [1, 2, 5, 6, 32], "cost": [1, 9, 25], "grows": [1, 5, 11, 14, 15, 21, 26], "accordingly": [1, 2, 4, 31, 32], "evaluates": [1, 4, 6, 8, 9, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25], "times": [1, 2, 5, 10, 11, 15, 19, 24, 25, 28, 29, 32], "compute": [1, 2, 4, 5, 7, 8, 9, 11, 15, 19, 21, 23, 24, 25, 28, 32], "issues": [1, 5, 9, 13, 21, 26, 27], "sufficiently": [1, 4, 9, 32], "both": [1, 4, 6, 8, 9, 10, 11, 14, 15, 17, 18, 21, 24, 25, 26, 31, 32], "evaluating": [1, 4, 5, 9, 13, 17, 21, 24, 25, 29], "resulting": [1, 5, 9, 26, 32], "sometimes": [1, 4, 5, 7, 9, 10, 13, 17, 20, 25, 26, 28, 32], "ill": [1, 6, 13, 32], "conditioned": [1, 6, 13], "difficult": [1, 6], "reach": [1, 9], "digit": [1, 20, 25, 32], "matter": [1, 4, 32], "theoretical": [1, 18, 27], "made": [1, 4], "future": [1, 7, 25], "important": [1, 21, 24, 32], "works": [1, 4, 7, 9, 10, 13, 14, 17, 19, 20, 21, 22, 24, 26, 30, 32], "poorly": 1, "smooth": [1, 4, 9, 19], "containing": [1, 10, 17, 25, 26, 29], "singularities": [1, 2, 4, 5, 17, 29], "rapid": 1, "oscillation": [1, 4, 11], "approximated": [1, 15, 26, 32], "effectively": 1, "multiplying": [1, 5], "weight": [1, 4, 9, 20], "cancels": 1, "nonsmooth": [1, 2], "features": [1, 10], "dividing": 1, "several": [1, 4, 7, 9, 11, 24, 26, 28, 31], "segments": [1, 23], "precisely": [1, 4, 14, 16, 32], "two": [1, 4, 6, 7, 8, 9, 10, 11, 13, 14, 18, 19, 21, 22, 23, 24, 25, 26, 28, 32], "lists": [1, 9, 17, 25, 26, 28], "c": [1, 2, 9, 10, 13, 14, 17, 24, 25, 28, 30, 32], "cosine": [1, 4, 6, 11, 14, 16, 17, 23, 24, 28], "sine": [1, 4, 6, 11, 14, 16, 17, 23, 24, 28], "respectively": [1, 11, 13, 17, 20, 24, 28, 29, 32], "sim": [1, 4, 9, 11, 15], "c_k": [1, 26], "s_k": [1, 9], "where": [1, 2, 4, 5, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 25, 26, 28, 29, 32], "many": [1, 4, 5, 7, 9, 10, 11, 13, 14, 15, 17, 18, 19, 20, 21, 25, 26, 29, 32], "texts": [1, 6], "define": [1, 14, 15, 17, 20, 32], "first": [1, 2, 4, 5, 6, 7, 8, 9, 11, 13, 15, 17, 19, 20, 24, 25, 26, 32], "coefficient": [1, 8, 9, 15, 17, 24, 26], "c_0": [1, 8, 26], "easiest": 1, "correctly": [1, 26, 32], "pass": [1, 9, 19, 25, 31], "simple": [1, 4, 5, 7, 8, 9, 11, 14, 15, 19, 21, 23, 24, 25, 26, 28, 29, 32], "standard": [1, 2, 3, 6, 13, 14, 17, 18, 20, 23, 26, 28, 31, 32], "zero": [1, 4, 9, 10, 11, 13, 15, 17, 20, 24, 25, 26, 28, 32], "because": [1, 7, 9, 25, 32], "odd": [1, 9, 11, 14, 15, 16, 19, 21, 24, 32], "symmetry": [1, 14, 24], "rational": [1, 9, 11, 14, 15, 17, 20, 21, 24, 26, 32], "666667": 1, "nonsymmetric": 1, "nonstandard": 1, "i": [1, 2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 16, 17, 19, 20, 21, 22, 23, 24, 25, 28, 30, 31, 32], "cs": [1, 4], "583333": 1, "12479": 1, "27552": 1, "904708": 1, "441296": 1, "6255": 1, "580905": 1, "219974": 1, "540057": 1, "instructive": 1, "plot": [1, 6, 11, 13, 20, 21, 29], "truncated": [1, 4, 8, 26, 32], "converge": [1, 7, 13, 17, 24, 25], "slowly": [1, 4, 5, 7, 9, 11, 13, 17], "may": [1, 2, 4, 6, 7, 8, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 29, 31, 32], "pointwise": 1, "cosh": [1, 4, 9, 13, 14, 19, 32], "corresponding": [1, 5, 10, 11, 17, 24, 28, 32], "quad": [1, 2, 3, 6, 9, 10, 11, 13, 14, 15, 17, 20, 21, 23, 24, 28], "00467963": 1, "quadrature": [1, 2, 3, 5, 9, 14, 20, 27, 30], "speed": [1, 6, 7, 9, 10, 28], "improved": [1, 5, 7, 9], "including": [1, 5, 7, 18, 19, 21, 24, 31], "singular": [1, 2, 9, 11, 13, 17, 23, 24], "specification": 1, "5000441648": 1, "format": [1, 4, 8, 25, 28], "length": [1, 4, 6, 13, 15, 24], "numerically": [2, 7, 11, 14, 19, 20, 24, 28], "derivative": [2, 7, 8, 9, 11, 13, 19, 21, 24], "integer": [2, 5, 9, 11, 13, 14, 15, 17, 18, 20, 22, 24, 27, 32], "ge": [2, 4, 6, 11, 13, 15, 17, 24], "th": [2, 4, 11, 13, 15, 19, 20, 21, 24], "basic": [2, 4, 5, 6, 7, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 25, 26, 32], "0855": 2, "tuple": [2, 4, 8, 17, 19, 24, 25, 29, 32], "x_1": [2, 4, 6, 15, 26], "ldots": [2, 4, 6, 8, 9, 11, 13, 15, 17, 19, 20, 21, 22, 24, 25, 28, 29], "x_k": [2, 4, 28], "n_1": 2, "n_k": 2, "partial": [2, 4, 9, 17], "y": [2, 4, 6, 9, 10, 11, 13, 15, 17, 20, 21, 23, 25, 28, 29, 32], "optional": [2, 5, 17, 21, 24, 25, 27, 28], "recognized": 2, "method": [2, 4, 5, 6, 7, 8, 9, 10, 17, 19, 21, 24, 25, 26, 28], "step": [2, 3, 4, 6, 7, 9, 21, 25, 31], "finite": [2, 4, 9, 10, 15, 17, 20, 22, 23, 24, 25, 32], "difference": [2, 7, 9, 15, 20, 24, 25, 32], "small": [2, 8, 17, 19, 21, 24, 25, 26, 32], "size": [2, 6, 19, 26, 32], "h": [2, 4, 5, 9, 11, 13, 15, 24, 25, 26, 28, 30], "direction": [2, 9, 15, 16, 21, 25, 32], "left": [2, 5, 6, 9, 11, 13, 14, 15, 16, 17, 19, 20, 22, 23, 24, 28], "central": 2, "right": [2, 5, 6, 9, 11, 13, 14, 15, 16, 17, 19, 20, 22, 23, 24, 28, 32], "number": [2, 4, 5, 8, 9, 10, 11, 12, 13, 14, 15, 17, 18, 20, 21, 22, 24, 27, 28, 29, 30, 32], "addprec": 2, "account": 2, "sensitivity": 2, "perturbations": [2, 25], "relative": [2, 19, 25, 32], "choose": [2, 7, 15, 20, 22], "rather": [2, 4, 5, 9, 11, 15, 24], "tiny": [2, 17, 21, 24], "alternative": [2, 9, 13, 17, 18, 20, 24, 28], "manually": [2, 7, 9, 15, 17, 25, 31, 32], "select": [2, 9, 15, 29], "If": [2, 4, 5, 6, 7, 8, 9, 10, 13, 14, 15, 17, 19, 21, 22, 24, 25, 26, 28, 29, 31, 32], "avoided": [2, 17], "differentiating": 2, "removable": [2, 9], "integration": [2, 3, 6, 9, 10, 11, 13, 14, 17, 24, 27, 32], "contour": [2, 5, 17], "larger": [2, 5, 14, 15, 19, 26, 32], "typically": [2, 4, 5, 8, 9, 10, 11, 15, 17, 25, 32], "faster": [2, 4, 6, 7, 9, 10, 19, 21, 25, 26, 31, 32], "chosen": [2, 5, 9, 11, 13, 15, 17, 21, 24, 25], "within": [2, 4, 6, 7, 9, 24, 26, 31, 32], "requires": [2, 4, 5, 9, 29, 32], "evaluations": [2, 4, 5, 6, 7, 10, 11, 17, 19, 24, 25], "performed": [2, 9, 25, 26, 32], "target": [2, 9, 17], "support": [2, 10, 15, 27, 28, 31], "required": [2, 4, 5, 6, 9, 10, 14, 15, 17, 25, 31], "much": [2, 4, 9, 10, 15, 19, 21, 25, 31, 32], "thus": [2, 4, 11, 14, 17, 19, 20, 21, 23], "computing": [2, 4, 5, 7, 9, 13, 14, 17, 19, 21, 24, 25, 32], "sided": 2, "nonzero": [2, 8, 10, 20, 21, 24, 25, 32], "multiplied": [2, 11, 26, 32], "sign": [2, 4, 5, 7, 9, 10, 14, 23, 24, 29, 32], "j": [2, 4, 5, 7, 9, 11, 12, 13, 14, 15, 16, 17, 19, 20, 21, 22, 24, 25, 28, 29, 30], "imaginary": [2, 5, 8, 11, 12, 14, 15, 16, 17, 19, 21, 24, 25, 29, 32], "0j": [2, 4, 8, 9, 13, 14, 19, 20, 21, 23, 25, 28], "purely": [2, 4, 20], "59": [2, 26], "26j": [2, 11], "_": [2, 5, 10, 11, 13, 15, 17, 22, 23, 24, 25], "adding": 2, "1e": [2, 9, 11, 14, 17, 21, 25, 26], "0001": [2, 17], "99999998328279e": 2, "31": [2, 15, 19, 24, 30], "none": [2, 4, 6, 7, 8, 9, 10, 13, 17, 21, 22, 25, 26, 28, 29, 32], "generator": [2, 7, 21], "yields": 2, "sequence": [2, 9, 10, 15, 20, 24], "calls": [2, 4, 9, 15], "separate": [2, 19, 32], "infty": [2, 4, 5, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 23, 24, 28], "stops": [2, 9], "soon": [2, 9, 32], "exact": [2, 4, 6, 9, 10, 11, 13, 15, 17, 18, 19, 21, 25, 26, 32], "known": [2, 5, 6, 7, 9, 10, 11, 14, 15, 17, 19, 21, 22, 24, 32], "advance": [2, 9, 10], "efficient": [2, 4, 7, 9, 17, 20, 21, 30], "540302": 2, "841471": 2, "d": [2, 5, 9, 10, 11, 13, 17, 19, 20, 24, 25, 30], "zip": [2, 25, 31], "54030230586814": [2, 6, 28], "841470984807897": [2, 6, 23, 28], "factors": [2, 17, 25], "iterables": [2, 9, 15, 25], "generators": 2, "yielding": [2, 7], "f_k": 2, "_k": [2, 11, 17], "f_1": [2, 6, 17, 29], "f_2": [2, 17], "cdots": [2, 9, 11, 15, 19, 22], "f_n": [2, 6, 11, 29], "At": [2, 4, 14, 19, 21, 24, 26], "orders": [2, 11, 17, 19, 20, 24], "admit": 2, "direct": [2, 5, 6, 9, 15, 17, 21, 26, 32], "computation": [2, 4, 9, 12, 19, 24, 26, 30], "internally": [2, 5, 8, 11, 28, 31, 32], "guard": 2, "added": [2, 32], "externally": 2, "full": [2, 4, 9, 17, 25, 26, 31, 32], "u": [2, 9, 10, 13, 17, 18, 20, 24, 25, 28, 29, 31], "v": [2, 4, 9, 10, 11, 13, 15, 17, 28, 29], "next": [2, 8, 9, 26], "23586333600241": 2, "104658952245596": 2, "96999877552086": 2, "4632923122697": 2, "fdiffs": 2, "iterable": [2, 9, 25, 28], "gamma": [2, 5, 7, 9, 11, 13, 17, 18, 19, 20, 21, 24, 27, 29, 30, 32], "logarithmic": [2, 9, 11, 15, 18, 19, 20, 21, 24, 25, 32], "diffs_loggamma": 2, "yield": [2, 9, 21], "loggamma": [2, 9, 11, 24], "psi": [2, 24], "84556867019693": 2, "49292999190269": 2, "44996501352367": 2, "x0": [2, 6, 7], "calculates": [2, 4, 9, 10, 11, 20, 25, 28], "riemann": [2, 7, 11, 18, 19, 30], "liouville": [2, 11], "differintegral": [2, 11], "x_0": [2, 6, 7, 26], "mathbb": [2, 11, 13, 15, 20, 21, 24, 25], "n_xf": 2, "frac": [2, 4, 5, 9, 11, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 26, 28], "dx": [2, 4, 5, 9, 11, 17, 20, 21, 24], "int_": [2, 4, 11, 14, 15], "dt": [2, 9, 11, 13, 14, 15, 24], "presumably": 2, "reference": [2, 4, 5, 6, 9, 13, 14, 20, 24], "parameter": [2, 5, 10, 11, 13, 14, 17, 20, 24, 28], "selected": [2, 4, 5, 9, 17, 20, 21], "second": [2, 6, 7, 9, 11, 13, 17, 19, 20, 25, 32], "du": 2, "permitted": [2, 6, 11, 15, 20, 22, 25, 26, 32], "operator": [2, 10, 12, 28], "generalizes": [2, 15, 20, 24], "iterated": [2, 9, 11, 17], "single": [2, 4, 9, 10, 13, 15, 17, 21, 22, 23, 25, 28, 29, 32], "continuous": [2, 11, 13, 19, 32], "monomial": 2, "half": [2, 4, 5, 10, 11, 13, 15, 19, 21, 24, 28, 29], "81764019044672": 2, "another": [2, 4, 7, 9, 10, 11, 17], "test": [2, 6, 11, 17, 28, 31], "exponential": [2, 4, 5, 9, 11, 13, 15, 17, 18, 19, 21, 23, 24, 26, 27, 28, 32], "whose": [2, 28], "easy": [2, 20, 32], "third": [2, 5, 9, 11, 13, 20, 25], "triply": 2, "nested": [2, 4, 9, 15, 28], "endpoint": [2, 4, 9, 10, 25], "terms": [2, 5, 9, 10, 11, 13, 15, 17, 19, 20, 21, 24, 25, 26, 32], "278538406900792": 2, "1922": 2, "50563031149": 2, "noninteger": [2, 11, 17, 24], "modified": [2, 7, 11, 18], "give": [2, 6, 9, 10, 11, 14, 17, 19, 20, 21, 24, 25, 32], "123295": 2, "005390743": 2, "140955": 2, "117867654j": 2, "gammainc": 2, "roots": [3, 4, 7, 11, 14, 18, 19, 20, 23, 24, 26, 27, 28, 32], "polyroots": [3, 19, 20, 26], "root": [3, 4, 8, 11, 13, 17, 19, 22, 23, 24, 26, 27, 28, 32], "finding": [3, 8, 21, 24, 26, 27, 32], "optimization": [3, 10, 17, 27], "findroot": [3, 4, 11, 14, 15, 19, 22, 24, 25, 26], "sums": [3, 15, 17, 19, 21, 24, 27, 32], "products": [3, 11, 15, 17, 25, 26, 27, 30, 32], "limits": [3, 4, 11, 13, 14, 15, 16, 17, 20, 21, 23, 27], "extrapolation": [3, 4, 27], "summation": [3, 4, 5, 17, 21, 22, 24], "limit": [3, 11, 14, 15, 17, 21, 22, 32], "derivatives": [3, 4, 6, 9, 11, 13, 15, 24, 32], "diffs": [3, 19], "composition": 3, "diffs_prod": 3, "diffs_exp": 3, "differintegration": 3, "differint": [3, 11], "oscillatory": [3, 5, 11], "quadosc": [3, 11, 14, 23], "rules": 3, "ordinary": [3, 5, 10, 13, 14, 15, 17, 20, 22, 23, 24, 27, 28], "equations": [3, 5, 11, 13, 15, 17, 20, 21, 26, 27], "solving": [3, 7, 11, 21], "ode": 3, "initial": [3, 4, 7, 10, 11, 19], "problem": [3, 4, 8, 9, 10, 13, 26, 32], "odefun": [3, 21], "taylor": [3, 6, 8, 9, 11, 13, 14, 15, 16, 17, 19, 20, 21, 22, 23, 24, 28], "series": [3, 4, 5, 6, 9, 10, 11, 13, 14, 15, 16, 18, 19, 20, 21, 25, 27, 28, 30, 32], "pade": [3, 5, 9, 28], "chebyshev": [3, 18], "chebyfit": [3, 8], "fourier": [3, 5, 13, 24, 25], "fourierval": 3, "inverse": [3, 4, 7, 13, 14, 18, 21, 26, 27, 28, 32], "laplace": [3, 11, 27], "transform": [3, 9, 27], "algorithm": [3, 4, 7, 8, 9, 14, 17, 19, 24, 26, 30], "invertlaplace": 3, "specific": [3, 9, 21, 31, 32], "algorithms": [3, 4, 6, 9, 10, 24, 26, 30, 32], "manual": 3, "approach": [3, 9, 11, 19], "credit": 3, "kwargs": [4, 5, 7, 9, 11, 13, 14, 15, 16, 17, 19, 21, 22, 23, 24, 25, 26], "double": [4, 9, 10, 13, 15, 19, 24, 27], "triple": [4, 10], "over": [4, 9, 10, 11, 17, 19, 23, 24, 25, 29], "1d": [4, 7], "2d": [4, 9, 17, 29], "rectangle": 4, "3d": [4, 27], "cuboid": 4, "dimension": [4, 28], "specified": [4, 5, 6, 9, 17, 24, 25, 26, 29], "interpreted": [4, 14, 25], "x1": [4, 7, 15, 17], "x2": [4, 7, 15, 17], "x_2": [4, 6, 15, 26], "y1": [4, 11, 20], "y2": [4, 11, 20], "y_1": [4, 6, 11], "y_2": [4, 11], "dy": 4, "z1": 4, "z2": 4, "z_1": 4, "z_2": 4, "z": [4, 9, 10, 11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 29], "dz": [4, 11], "endpoints": [4, 10, 14, 25], "infinite": [4, 9, 10, 11, 13, 14, 15, 21, 25, 29, 32], "descriptor": 4, "contain": [4, 5, 7, 9, 17, 28, 32], "split": 4, "subintervals": [4, 25], "between": [4, 5, 6, 7, 9, 11, 13, 14, 21, 23, 24, 25, 26, 30, 32], "consecutive": [4, 9, 15, 24], "dealing": 4, "mid": [4, 10, 19], "discontinuities": 4, "integrating": 4, "irregular": [4, 11], "oscillates": 4, "recognizes": [4, 5], "chooses": [4, 5, 9, 14], "estimated": [4, 7, 8, 9], "maxdegree": 4, "before": [4, 5, 6, 15, 17, 25, 26, 28], "quitting": 4, "verbose": [4, 6, 7, 9, 24, 25, 26, 29], "about": [4, 9, 19, 24, 25, 26, 27, 32], "progress": [4, 9, 29], "presently": [4, 19], "implements": [4, 5, 8, 9, 10, 14, 18, 26], "These": [4, 5, 9, 12, 13, 14, 17, 20, 24, 27, 32], "passing": [4, 5, 7, 13, 17, 24, 25, 29], "classes": [4, 5, 9, 25, 28], "tanhsinh": 4, "gausslegendre": 4, "quadts": 4, "quadgl": 4, "shortcuts": [4, 5, 12, 17], "doubling": 4, "doubles": [4, 21], "ideal": 4, "hundreds": 4, "thousands": 4, "nodes": 4, "weights": [4, 9], "make": [4, 6, 7, 11, 13, 17, 25, 28, 31], "integrations": 4, "cached": [4, 11, 25], "advantages": 4, "tends": [4, 5], "handle": [4, 17], "cheap": [4, 28], "run": [4, 9, 26, 27, 31, 32], "reasons": [4, 32], "fewer": [4, 6], "therefore": [4, 5, 6, 9, 10, 15, 17, 20, 25, 32], "better": [4, 5, 6, 7, 9, 17, 23, 26], "integrand": [4, 13, 14], "integrals": [4, 9, 11, 15, 17, 18, 21, 27, 30, 32], "tangent": [4, 16, 23], "int": [4, 9, 15, 17, 19, 25, 32], "tan": [4, 6, 13, 16], "gaussian": [4, 14, 15, 17, 25, 30], "14159265358979": [4, 6, 15, 25, 26, 32], "resolved": 4, "area": 4, "circle": [4, 17, 21, 24, 25], "le": [4, 5, 6, 10, 11, 13, 14, 17, 20, 21, 23, 24, 25, 28], "1415926535897932384626433832795028841971693993751": 4, "141592653589793238462643383279502884": 4, "216420199": 4, "residue": [4, 24], "counterclockwise": [4, 21], "diamond": 4, "shaped": [4, 28], "path": [4, 13], "28318530717959j": 4, "nice": [4, 7, 9], "analytically": [4, 6, 15, 32], "solvable": 4, "taken": [4, 6, 9, 11, 13, 15, 17, 24, 32], "mathworld": [4, 9, 11, 14, 15, 17, 19, 24, 30], "fairly": [4, 26], "rapidly": [4, 5, 9, 11, 13, 14, 15, 17, 19, 24], "log": [4, 5, 7, 9, 10, 11, 13, 14, 15, 16, 17, 19, 23, 24, 25, 26, 28, 32], "577215664901532860606512090082": [4, 9], "euler": [4, 5, 9, 14, 18, 21, 22, 24, 26], "17343648530607134219175646705": 4, "23370055013616982735431137498": 4, "64493406684822643647241516665": 4, "done": [4, 15, 17, 19, 24, 28, 32], "ranges": [4, 9, 19, 25], "367879441171442": [4, 5], "nonrectangular": 4, "areas": 4, "call": [4, 5, 7, 9, 10, 13, 14, 15, 17, 21, 24, 25, 28, 31], "recursively": [4, 19, 20, 25], "replicate": 4, "earlier": [4, 23, 31], "calculating": [4, 9, 19], "measure": 4, "101366277027041": 4, "designed": [4, 10], "integrate": 4, "infinitely": [4, 11, 14, 15, 19, 21, 26, 32], "differentiable": 4, "neither": [4, 25], "copes": 4, "best": [4, 6, 9, 25, 32], "parts": [4, 8, 15, 19, 27, 29, 32], "99900894176779": 4, "integrands": 4, "having": [4, 8, 14, 16, 24, 26], "singularity": [4, 5, 9, 11, 14, 17, 21, 23], "999932197413801": 4, "still": [4, 10, 17], "inaccurate": [4, 17, 24], "99999999946942": 4, "due": [4, 9, 10, 24, 28, 32], "per": [4, 6, 7], "se": 4, "amplification": 4, "errors": [4, 10, 25, 28, 32], "circumvented": 4, "temporarily": 4, "increasing": [4, 5, 6, 8, 9, 10, 17, 21, 23, 25, 26], "highly": [4, 7, 9, 10], "variable": [4, 5, 17, 31], "sense": [4, 11, 17, 20, 25], "being": [4, 5, 7, 9, 13, 26], "sharp": [4, 29], "peaks": 4, "bumps": 4, "fail": [4, 5, 7], "able": [4, 9, 26, 31, 32], "accurately": [4, 5, 9, 14, 21, 23, 24], "137681127712316": 4, "37": [4, 24], "8587612408485": 4, "437620923709297": 4, "break": [4, 9], "linspace": 4, "whether": [4, 10, 25, 26, 28, 32], "splitting": 4, "differs": [4, 19], "peak": 4, "centered": [4, 21], "64804647105268": 4, "12159332021646": 4, "references": [4, 5, 8, 9, 11, 13, 14, 15, 17, 19, 21, 24, 27, 28], "http": [4, 5, 7, 8, 9, 11, 14, 15, 17, 19, 24, 26, 27, 28, 30, 31], "wolfram": [4, 9, 11, 14, 15, 17, 19, 24, 30], "com": [4, 9, 11, 14, 15, 17, 19, 24, 30, 31], "doubleintegral": 4, "html": [4, 9, 11, 14, 15, 17, 19, 24, 26, 31], "omega": [4, 14], "period": [4, 11, 13, 23, 24], "zeros": [4, 17, 18, 21, 25, 28], "int_a": [4, 9, 14], "phi": [4, 13, 18, 19, 20, 21, 22, 24, 25, 26, 28], "decreasing": [4, 5, 6, 11, 23], "proper": [4, 23], "input": [4, 6, 9, 10, 17, 23, 25, 26, 27, 29, 31, 32], "rate": [4, 7, 9, 15], "pure": [4, 9, 24], "wave": [4, 18, 25], "x_": 4, "alternatively": [4, 7, 11, 14, 20, 21, 25, 29, 31], "periodic": [4, 11, 13, 24], "information": [4, 5, 7, 9, 11, 13, 14, 17, 20, 24, 27, 31], "providing": [4, 14, 19, 24, 25, 27], "angular": 4, "frequency": [4, 5], "general": [4, 5, 6, 7, 9, 11, 14, 15, 19, 20, 21, 23, 24, 25, 27, 28, 32], "37833007080198": 4, "ei": 4, "mathematica": [4, 17, 20, 23, 25], "multiply": [4, 24, 28, 32], "theory": [4, 13, 14, 15, 24, 30], "periods": [4, 13], "passed": [4, 5, 9, 21, 25], "nsum": [4, 10, 14, 15, 17, 19, 21, 22, 24, 25], "becomes": [4, 6, 11, 13, 15, 32], "alternating": [4, 9, 24], "makes": [4, 21, 24, 31, 32], "entire": [4, 11, 15, 23, 24, 32], "line": [4, 5, 7, 9, 11, 20, 23, 24, 28], "starting": [4, 5, 7, 21], "15572734979092": 4, "0844109505595739": 4, "si": [4, 23], "0844109505595738": 4, "Of": [4, 14, 28, 32], "course": [4, 6, 14, 15, 28, 30, 32], "156410688228254": 4, "00317486988463794": 4, "0447701735209082j": 4, "non": [4, 5, 9, 13, 21, 25, 26, 28, 30], "strictly": [4, 17, 24, 25], "might": [4, 7, 9, 17, 21, 25, 28, 32], "necessary": [4, 7, 13, 17, 26, 32], "notable": [4, 9], "bessel": [4, 17, 18, 27], "though": [4, 9, 28, 32], "asymptotically": [4, 11, 19, 31], "strong": [4, 9], "sum": [4, 5, 9, 10, 14, 15, 17, 19, 22, 24, 25, 28], "j0": [4, 11], "j1": [4, 11], "properly": [4, 10, 15], "j0zero": 4, "consider": [4, 7, 26], "complete": [4, 13, 14, 15], "fresnel": [4, 18], "int_0": [4, 9, 11, 13, 14, 15, 21, 24], "do": [4, 6, 8, 9, 10, 17, 31, 32], "decrease": [4, 9], "convergent": [4, 9, 17, 19, 24], "increases": [4, 5, 19, 24, 25], "causing": 4, "cancel": [4, 7, 9, 17], "virtually": [4, 32], "impossible": [4, 6, 25, 32], "calculate": [4, 5, 7, 9, 15, 28, 32], "kind": [4, 11, 13, 17, 19, 20], "correct": [4, 9, 10, 14, 17, 21, 26, 27, 32], "asymptotic": [4, 7, 9, 14, 15, 17, 19, 24], "distribution": [4, 15, 18], "x_n": [4, 26], "626657068657750125603941321203": 4, "interestingly": 4, "constant": [4, 5, 9, 11, 13, 15, 18, 24, 27], "square": [4, 13, 17, 21, 23, 26, 28, 32], "25024394235267": 4, "250243942352671": 4, "signs": [4, 9], "trick": 4, "divide": 4, "28642190869861": 4, "perfect": [4, 9], "28652953559617": 4, "ci": 4, "decay": [4, 9, 11], "primarily": 4, "decaying": [4, 5, 11], "decreases": [4, 9, 11, 17], "exponentially": [4, 5, 9, 17, 24, 26], "trouble": 4, "calculus": [4, 5, 7, 27], "quadraturerule": 4, "ctx": [4, 5, 7, 10], "simplify": [4, 26], "common": [4, 11, 12, 13, 18, 27, 32], "infrastructure": 4, "tasks": 4, "estimation": 4, "node": 4, "caching": 4, "implement": [4, 5, 6, 17, 23], "subclassing": 4, "implementing": 4, "appropriate": [4, 9, 15, 17, 31], "subclass": 4, "supposed": 4, "singletons": 4, "instance": [4, 10, 19, 24, 25], "__new__": 4, "calc_nodes": 4, "subclasses": 4, "probably": [4, 9, 10, 25, 28], "get_nodes": 4, "retrieve": 4, "clear": [4, 17], "delete": 4, "data": [4, 10, 24], "estimate_error": 4, "results": [4, 5, 7, 8, 9, 10, 15, 17, 25, 26, 32], "epsilon": [4, 9, 15, 25, 28, 30], "i_1": [4, 21], "i_2": [4, 21], "i_k": 4, "i_": [4, 11, 15], "extrapolate": [4, 9], "approx": [4, 14, 17, 21, 26], "under": [4, 9, 21, 27], "assumption": 4, "increment": 4, "borwein": [4, 24, 30], "bailey": [4, 26, 30], "girgensohn": [4, 30], "conservative": 4, "seems": 4, "robust": [4, 5, 6, 7], "practice": [4, 19, 24], "retrieved": [4, 13, 17], "cache": [4, 10], "already": [4, 26, 31], "otherwise": [4, 5, 7, 9, 19, 23, 24, 25, 26], "actual": [4, 9], "guess_degree": 4, "desired": [4, 5, 9, 32], "accomplish": 4, "typical": [4, 5], "perform": [4, 6, 7, 9, 25, 26, 28, 32], "up": [4, 5, 6, 8, 9, 10, 11, 17, 19, 21, 22, 24, 25, 27, 32], "iterations": 4, "slight": 4, "overestimate": 4, "dealt": 4, "On": [4, 5, 6, 23, 24, 27, 30, 32], "hand": [4, 6], "too": [4, 5, 8, 9, 10, 13, 17, 19, 25, 26, 32], "big": 4, "quit": 4, "reasonable": [4, 32], "amount": [4, 5, 9, 15, 25, 32], "time": [4, 5, 9, 10, 24, 25, 26, 28, 32], "unsolvable": 4, "tuned": [4, 5], "500": [4, 5, 14, 25], "3000": [4, 11, 15], "based": [4, 5, 7, 10, 17, 19, 21, 24, 26, 32], "limited": [4, 14, 26, 32], "experimentation": [4, 30], "wrong": [4, 5, 8, 9, 10, 15, 19, 32], "sum_next": 4, "previous": [4, 9], "w_k": [4, 21], "contains": [4, 10, 28], "pairs": [4, 5, 7, 10, 25, 26, 29, 32], "supply": [4, 5, 29], "degrees": [4, 17], "reuse": 4, "them": [4, 5, 7, 10, 24, 28], "max_degree": 4, "main": [4, 24, 31, 32], "subinterval": 4, "performs": [4, 9], "until": [4, 9, 10, 25], "signals": 4, "transforms": [4, 5], "subintegration": 4, "transform_nodes": 4, "rescale": 4, "standardized": 4, "variables": [4, 13, 18, 20], "transformations": [4, 9, 13, 17, 26], "lbrack": 4, "rbrack": 4, "doubly": [4, 9, 13], "maclaurin": [4, 9, 16, 21, 24], "involving": [4, 10, 11, 14, 28], "exponentials": 4, "hyperbolic": [4, 18, 27], "hence": 4, "name": 4, "vanish": 4, "extremely": [4, 9, 13, 15, 17, 19, 21, 32], "means": [4, 6, 9, 15, 21, 24, 26, 28, 32], "comparison": [4, 5, 9, 10, 17, 19], "handles": [4, 9], "Is": [4, 7, 9], "slower": [4, 5, 9, 10, 19], "once": [4, 6, 9], "implementation": [4, 11, 17, 19, 21, 24, 26, 32], "mathematics": [4, 5, 30], "computational": [4, 5, 30], "paths": [4, 30], "discovery": [4, 30], "peters": [4, 30], "2003": [4, 24, 30], "pages": [4, 27, 31], "312": 4, "313": [4, 11], "improvements": 4, "scheme": [4, 29], "exploiting": 4, "recurrence": [4, 14, 15, 19, 20, 24], "successively": [4, 26, 32], "various": [4, 11, 12, 13, 15, 17, 19, 20, 21, 28], "documents": 4, "describing": [4, 11], "online": 4, "crd": [4, 30], "lbl": [4, 30], "gov": [4, 5, 24, 30], "dhbailey": [4, 30], "dhbpapers": [4, 30], "dhb": [4, 30], "pdf": [4, 24, 30], "users": [4, 10, 31, 32], "dal": 4, "ca": [4, 11, 14, 17, 24, 26, 30], "jborwein": 4, "abscissas": 4, "t_k": 4, "t_0": 4, "hk": 4, "die": 4, "off": [4, 5, 9, 24, 25, 28], "exploit": 4, "fact": [4, 10, 26], "reusing": 4, "level": [4, 10, 32], "allows": [4, 17, 25], "2x": [4, 25, 26], "speedup": [4, 10], "exceptionally": 4, "like": [4, 7, 8, 9, 10, 11, 13, 14, 15, 21, 23, 24, 25, 26, 28, 32], "orthogonal": [4, 17, 18, 27, 28], "respect": [4, 11, 13, 17, 20, 24], "take": [4, 10, 21, 23, 29, 31], "denote": [4, 13], "cdot": [4, 9, 15], "quadratic": [4, 8, 26], "incremented": [4, 32], "worse": [4, 19], "space": 5, "valued": [5, 6, 10, 11, 17, 23, 24, 25, 29], "user": [5, 8, 10, 26, 32], "bar": [5, 13], "domain": [5, 14, 20, 29], "inverses": [5, 13, 19], "mathcal": 5, "lbrace": 5, "rbrace": 5, "tt": 5, "001": [5, 26, 32], "01": [5, 6, 14, 15, 17, 21, 25, 26, 32], "fp": [5, 13, 20, 27, 28, 29], "ft": 5, "000999000499833375": 5, "57923043561212e": 5, "00990049833749168": 5, "27007646698047e": 5, "19": [5, 7, 9, 13, 17, 24, 25, 28, 31], "090483741803596": 5, "75215800052168e": 5, "18": [5, 7, 9, 15, 19, 20, 21, 28], "2428864009344e": 5, "17": [5, 9, 11, 13, 15, 17, 19, 21, 24, 25], "000453999297624849": 5, "04513489306658e": 5, "higher": [5, 6, 9, 17, 24, 25, 29, 32], "96868310693356e": 5, "105": [5, 15, 17, 21], "23032291513122e": 5, "104": 5, "mathrm": [5, 7, 9, 11, 13, 14, 15, 16, 17, 19, 21, 23, 24, 25, 26, 28], "_0": [5, 11], "besselj": [5, 17, 25], "999999750000016": 5, "09717765032273e": 5, "99997500015625": 5, "61756281076169e": 5, "3305396140806": 5, "92126634837863e": 5, "16": [5, 8, 11, 13, 14, 15, 17, 19, 20, 21, 24, 25, 26, 28, 32], "02795452108656": 5, "81486093200704e": 5, "keywords": 5, "three": [5, 8, 9, 13, 15, 19, 21, 24, 29, 30, 32], "attributed": 5, "dehoog": 5, "fixedtalbot": 5, "invlaptalbot": 5, "invlapstehfest": 5, "invlapdehoog": 5, "heuristic": [5, 32], "balance": 5, "requested": [5, 9], "calculations": [5, 32], "hundred": 5, "converts": [5, 10, 21, 23, 25], "plane": [5, 11, 13, 14, 17, 23, 24, 25, 29], "poles": [5, 14, 15, 17, 20, 23, 24], "branch": [5, 13, 14, 15, 17, 19, 21, 23], "cuts": [5, 13, 15, 23], "regarding": 5, "behavior": [5, 9, 11, 24, 32], "sample": [5, 24], "enough": [5, 7, 8, 9, 10, 15, 17, 19, 26, 32], "characterize": 5, "getting": [5, 31], "catastrophic": [5, 21, 25], "cancellation": [5, 9, 10, 14, 21, 24, 25, 32], "overflow": [5, 9, 32], "underflow": [5, 32], "significantly": [5, 19, 26, 32], "side": 5, "bromwich": 5, "effects": [5, 9], "answer": [5, 8, 9, 32], "completely": [5, 10, 13, 20], "catastrophically": 5, "certain": [5, 17, 24, 26], "heaviside": 5, "behaviors": 5, "adjustable": 5, "parameters": [5, 9, 11, 13, 15, 17, 20], "variety": 5, "deforms": 5, "shape": 5, "parabola": 5, "towards": [5, 7], "leads": 5, "problems": [5, 6, 7, 9, 26, 32], "equivalent": [5, 9, 10, 11, 14, 16, 17, 19, 21, 24, 25, 32], "abscissa": 5, "axis": [5, 11, 14, 15, 19, 21, 24, 25, 32], "away": [5, 11, 32], "ones": [5, 28], "et": [5, 30], "al": [5, 30], "essentially": [5, 9, 13, 14, 16, 19, 20, 23, 26], "acceleration": [5, 9], "analytical": 5, "expression": [5, 9, 15, 19, 21, 26], "remainder": [5, 9], "involves": [5, 6], "greatest": 5, "overhead": 5, "slowest": 5, "origin": [5, 9, 11, 21], "pole": [5, 15, 17, 20, 24], "occur": [5, 25, 32], "cut": [5, 14, 15, 17, 19, 21, 23], "illustrated": 5, "duffy": 5, "figure": [5, 11], "228": 5, "rightarrow": [5, 9], "vice": 5, "versa": 5, "require": [5, 9, 26], "shift": 5, "closer": 5, "rightmost": [5, 15], "included": [5, 25, 31], "growing": [5, 15], "sinh": [5, 9, 14, 30, 32], "3t": [5, 11], "0100015000675014": 5, "101506764482381": 5, "33929164246997": 5, "1781079096920": 5, "74": [5, 28], "61331069624091e": 5, "14": [5, 7, 8, 10, 11, 17, 19, 24, 25, 28], "dlmf": [5, 11, 13, 24, 30], "nist": [5, 30], "14t4": 5, "cohen": [5, 9], "2007": [5, 30], "inversion": 5, "springer": [5, 24, 30], "1998": 5, "advanced": [5, 9, 30, 32], "engineering": [5, 26], "crc": 5, "reviews": 5, "bellman": 5, "r": [5, 8, 9, 11, 13, 15, 17, 19, 20, 21, 22, 24, 25, 26, 28, 29, 30], "kalaba": 5, "lockett": 5, "1966": [5, 30], "applications": [5, 20, 21], "biology": 5, "economics": 5, "physics": [5, 11, 24], "elsevier": [5, 30], "davies": 5, "martin": 5, "1979": 5, "survey": 5, "journal": [5, 30], "32": [5, 9, 17, 20, 24, 26, 32], "doi": 5, "org": [5, 7, 8, 11, 15, 17, 19, 24, 27, 28, 30, 31], "1016": 5, "0021": 5, "9991": 5, "79": [5, 19, 24], "90025": 5, "1993": 5, "characteristic": 5, "acm": 5, "transactions": 5, "mathematical": [5, 9, 10, 19, 21, 23, 25, 26, 27, 28, 30, 32], "software": [5, 13, 23, 31, 32], "359": [5, 30], "1145": 5, "155743": 5, "155788": 5, "kuhlman": 5, "2013": 5, "review": 5, "approaches": [5, 11, 13, 14, 19, 24], "63": [5, 11, 28], "339": [5, 26], "355": [5, 26], "1007": 5, "s11075": 5, "012": 5, "9625": 5, "inverselaplace": 5, "calc_laplace_parameter": 5, "traditionally": 5, "abate": 5, "valko": 5, "2004": 5, "sampled": [5, 9], "opening": 5, "base": [5, 17, 18, 21, 26], "t_": 5, "tend": 5, "requiring": [5, 9, 23, 32], "prevent": [5, 26], "exist": [5, 9, 21, 26, 28], "deformed": 5, "lies": [5, 21], "tmax": 5, "associated": [5, 20, 24], "vector": [5, 6, 7, 21, 25, 26, 28], "p_0": [5, 20], "2m": [5, 11, 17], "increased": [5, 10, 25, 26, 29], "hopefully": [5, 17], "achieve": [5, 8, 9], "p_i": 5, "mt_": 5, "cot": [5, 18, 24, 29], "qquad": [5, 11], "calc_time_domain_solution": 5, "manual_prec": 5, "5t": 5, "re": [5, 11, 13, 15, 17, 20, 23, 24, 28, 29, 31], "gamma_k": 5, "gamma_0": 5, "tp_k": 5, "jk": 5, "again": 5, "multi": 5, "international": 5, "60": [5, 8, 10, 11, 13, 17, 23, 25, 32], "979": 5, "993": 5, "1002": 5, "nme": 5, "995": [5, 9, 14], "ima": 5, "applied": [5, 9, 16, 25, 26, 28, 30], "23": [5, 9, 11, 14, 15, 17, 19, 21, 24], "97": [5, 14, 15, 19], "1093": 5, "imamat": 5, "discrete": 5, "widder": 5, "post": 5, "inverting": [5, 17], "v_k": 5, "min": [5, 25], "lfloor": [5, 25], "rfloor": [5, 25], "2i": [5, 11, 24], "linearly": [5, 9, 11, 26], "alternate": [5, 9, 11, 17], "loss": [5, 17], "significance": 5, "1941": 5, "princeton": 5, "1970": 5, "368": [5, 9], "communications": 5, "13": [5, 11, 13, 15, 17, 19, 26, 28], "47": 5, "49": [5, 26], "361953": 5, "361969": 5, "accelerated": 5, "alpha": [5, 11, 17], "tol": [5, 6, 7, 9, 25, 26, 28], "2t": 5, "2t_": 5, "scaled": 5, "_goal": 5, "assuming": [5, 17, 19, 23, 32], "tolerance": [5, 7, 9, 17, 25, 26, 27, 28], "relation": [5, 9, 11, 15, 19, 24, 26], "less": [5, 6, 10, 12, 14, 17, 19, 21, 25, 26, 32], "algorithsm": 5, "un": 5, "indicates": [5, 9, 10], "halved": 5, "simplistic": 5, "practical": 5, "accomplished": 5, "via": [5, 9, 14, 15, 17, 21, 23, 24, 31, 32], "continued": [5, 9], "fraction": [5, 19, 21], "original": [5, 6, 26], "paper": [5, 9, 24, 26], "detailed": [5, 25, 31], "2005": 5, "edition": [5, 15, 30], "1982": 5, "siam": [5, 30], "scientific": 5, "statistical": 5, "357": 5, "366": 5, "1137": 5, "0903022": 5, "beneficial": 5, "functionality": [5, 26], "system": [5, 6, 7, 17, 28, 31, 32], "possibly": [5, 10, 11, 17, 32], "parallel": 5, "external": 5, "library": [5, 27, 30, 31, 32], "trivial": [5, 7, 20], "showing": 5, "process": 5, "existing": [5, 9, 28], "interface": [5, 9, 27, 28, 31], "mytalbot": 5, "convert": [5, 10, 13, 26, 28, 32], "fpvec": 5, "928300179528890061756872185e": 5, "21": [5, 11, 14, 15, 19, 21, 24, 26], "look": [5, 31, 32], "were": 5, "34": [5, 15, 17, 19, 28], "contributed": 5, "kristopher": 5, "2017": 5, "y0": [6, 11], "y_0": [6, 11], "y_n": [6, 11], "dimensional": [6, 7, 9], "f_0": [6, 11, 29], "vdots": 6, "scalar": [6, 9, 30], "convenience": [6, 9, 13, 17, 19, 21], "optionally": [6, 9, 11, 13, 24, 25, 28], "vectors": [6, 17, 26], "solved": 6, "transforming": [6, 26], "transformation": [6, 9, 13, 15, 17], "odes": 6, "reasonably": [6, 32], "fully": [6, 32], "generation": [6, 27], "defaults": [6, 7, 9, 25, 26], "eps": [6, 9, 13, 17, 21, 24, 25, 28], "simulation": 6, "sufficient": [6, 10, 26], "controls": [6, 10, 17, 32], "solver": [6, 7, 24], "longer": [6, 20, 26], "meaning": [6, 9, 13, 21, 26, 32], "steps": [6, 7, 8, 9], "setting": [6, 9, 19, 25, 27, 32], "tradeoff": 6, "caches": [6, 25], "solutions": [6, 9, 11, 14, 17, 20, 26], "interpolation": 6, "quickly": [6, 13, 15, 19, 21, 26], "continuing": 6, "solve": [6, 20, 21, 24, 28, 32], "explicit": [6, 13, 20, 28], "vectorized": 6, "element": [6, 9, 20, 25, 28], "nonlinear": [6, 7, 9], "happens": [6, 21, 24], "atan": 6, "87255666284091": 6, "14158520028345": 6, "72128263801696": 6, "harmonic": [6, 18, 20, 24], "oscillator": 6, "introduce": [6, 19], "helper": 6, "whereby": [6, 9, 20], "written": [6, 19], "put": [6, 10], "together": 6, "begin": [6, 13, 15, 17, 20, 22, 23], "cases": [6, 7, 9, 10, 11, 13, 14, 15, 17, 20, 23, 24, 28], "end": [6, 8, 13, 15, 17, 20, 22, 23], "ivp": 6, "check": [6, 10, 14, 15, 25, 26, 31], "801143615546934": 6, "598472144103957": 6, "839071529076452": 6, "54402111088937": 6, "simultaneously": [6, 8, 24], "todo": [6, 9], "automatic": [6, 9], "determination": [6, 19], "allow": [6, 25], "runge": 6, "kutta": 6, "secant": [7, 16, 23], "verify": [7, 11, 14, 20, 26, 31, 32], "find": [7, 9, 15, 26], "approximate": [7, 9, 19, 24, 26, 27, 32], "multidimensional": [7, 9, 28], "overdetermined": [7, 28], "systems": [7, 10, 28, 32], "mathematically": [7, 9, 11], "speaking": 7, "leq": 7, "meet": 7, "criterion": 7, "disabled": [7, 10, 17, 31], "iv": [7, 19, 21, 23, 27, 28], "please": [7, 10, 17, 31], "guaranteed": [7, 10, 25, 32], "certainly": 7, "regardless": [7, 9], "smaller": [7, 8, 24, 25, 28, 32], "iteration": [7, 8, 9, 21], "raise": [7, 9, 28, 32], "valueerror": [7, 9, 10, 13, 14, 15, 25, 28], "returning": [7, 9, 25], "approximative": 7, "maxsteps": [7, 8, 26], "after": [7, 9, 17, 20, 26, 31], "df": 7, "d2f": 7, "force": [7, 25, 31], "jacobian": 7, "norm": [7, 21, 28], "callable": 7, "expected": [7, 9, 28], "aliases": 7, "mnewton": 7, "halley": 7, "muller": 7, "illinois": 7, "pegasus": 7, "anderson": 7, "ridder": 7, "anewton": 7, "bisect": [7, 24], "locates": 7, "closest": [7, 21], "14159265358979323846264338328": [7, 9, 26], "nonreal": 7, "else": 7, "never": [7, 25], "leave": 7, "226698825758202": 7, "46771150871022j": 7, "application": 7, "nontrivial": [7, 24], "zeta": [7, 9, 15, 18, 19, 27, 29, 30], "14j": [7, 24], "1347251417346937904572519836j": 7, "minimum": [7, 16, 32], "4616321449683623413": 7, "lambert": [7, 18, 30], "w": [7, 9, 11, 17, 18, 20, 24, 30, 31], "identical": [7, 10, 14, 24], "lambertw": 7, "567143290409784": 7, "2496028524016": 7, "618033988749895": [7, 19, 26], "381966011250105": 7, "61803398874989": [7, 26], "syntax": [7, 17, 25, 28], "newtonian": 7, "99": [7, 15], "918073542444929": 7, "converges": [7, 9, 14, 17, 19, 21, 24, 25], "illustrate": [7, 9], "modify": 7, "newton": [7, 8, 21], "multiplicity": 7, "variant": [7, 9], "experimental": [7, 10], "keeps": 7, "accelerates": 7, "steffensen": 7, "88888888888888888889": 7, "111111111111111111111": 7, "converging": [7, 9], "77890011223344556678": 7, "10998877665544332211": 7, "67002233332199662166": 7, "108877778911448945119": 7, "accelerating": 7, "5622443299551077669": 7, "107778003366888854764": 7, "99999999999999999214": 7, "562244329955107759": 7, "8598304758094664213e": 7, "zerodivisionerror": [7, 17, 21, 25, 28], "canceled": 7, "recommended": [7, 10, 26, 31], "727136084491197": 7, "934099289460529j": 7, "intersection": 7, "reliable": [7, 32], "They": [7, 11, 13, 15, 17, 19, 20, 21, 23, 24, 31], "symmetric": [7, 18, 24, 25], "traceback": [7, 10, 13, 14, 15, 17, 21, 25, 28], "recent": [7, 10, 13, 14, 15, 17, 21, 25, 28, 31], "fails": [7, 25, 26, 31], "16840434497100886801e": 7, "tweak": 7, "generating": [7, 19, 20, 24, 28], "pro": 7, "contra": 7, "cubic": 7, "somewhat": [7, 21, 32], "en": [7, 8, 14, 15, 17, 24, 28, 30, 31], "wikipedia": [7, 8, 15, 17, 20, 24, 28, 30, 32], "wiki": [7, 8, 15, 17, 24, 28, 30], "s_method": 7, "bisection": 7, "similar": [7, 16, 17, 22], "combines": 7, "regula": 7, "falsi": 7, "scaling": 7, "factor": [7, 11, 13, 14, 17, 22, 24, 32], "ensure": [7, 8, 32], "fb": 7, "fz": 7, "bjoerk": 7, "args": [7, 13, 14, 25], "wrapper": [7, 26], "ridders": 7, "told": 7, "brent": 7, "simpler": [7, 13, 17, 24], "_method": 7, "steffensens": 7, "mdnewton": 7, "representing": [7, 13, 25, 26], "supports": [7, 9, 10, 12, 13, 14, 15, 17, 21, 24], "calculated": [7, 8, 11, 28], "locally": 7, "scipy": 7, "openopt": 7, "guess": 7, "afterwards": [7, 10, 25], "polishing": 7, "welcome": 7, "coeffs": 8, "c_n": [8, 20, 26], "c_2": [8, 11, 17, 20, 26], "c_1": [8, 11, 17, 20, 26], "combination": [8, 9, 11, 13, 17], "cleanup": 8, "roots_init": 8, "sorted": 8, "appear": [8, 15, 17], "followed": 8, "conjugate": [8, 11, 24, 25], "adjacent": 8, "elements": [8, 9, 17, 19, 25, 28], "leading": [8, 21, 25], "among": [8, 11, 15, 26], "14x": 8, "24": [8, 9, 11, 13, 15, 19, 20, 22, 26], "4x": 8, "3x": [8, 19], "375": [8, 9, 20], "59947894041409j": 8, "22044604925031e": [8, 24, 28], "5th": 8, "unity": [8, 19, 21, 23], "8090169943749474241": 8, "58778525229247312917j": 8, "3090169943749474241": 8, "95105651629515357212j": 8, "conditioning": 8, "cannot": [8, 10, 14, 17, 23, 24, 31, 32], "achieved": 8, "noconvergence": [8, 17, 25], "extended": [8, 19, 26, 32], "caused": [8, 28], "fix": 8, "always": [8, 9, 10, 19, 23, 25, 26, 32], "study": [8, 9, 13, 24, 30], "regards": 8, "provided": [8, 10, 11, 17, 26, 31], "14626436994197234232913506571557044551247712918732870123249": 8, "317837245195782244725757617296174288373133378433432554879127": 8, "durand": 8, "kerner": 8, "locate": [8, 24], "viewed": [8, 13, 17], "approximately": [8, 9, 19, 20, 21, 31], "simultaneous": 8, "particular": [8, 9, 11, 15, 17, 24, 26, 32], "found": [8, 13, 23, 26, 30, 32], "chopped": 8, "placed": 8, "remaining": [8, 15], "kerner_method": 8, "listed": [9, 17, 25, 30], "permit": [9, 10], "fsum": [9, 10, 19, 21], "fprod": [9, 19, 22], "multiplication": [9, 25, 28, 32], "sequences": [9, 32], "allowed": [9, 22, 25, 28, 32], "k_1": 9, "a_1": [9, 15, 17, 22], "b_1": [9, 15, 17, 19, 22], "k_n": [9, 11], "a_n": [9, 17, 21], "b_n": [9, 19, 21, 24], "summed": [9, 17], "fac": [9, 11, 14, 17, 20, 21, 24], "64493406684823": 9, "applies": [9, 25, 32], "currently": [9, 10, 17, 24, 28, 32], "attempt": [9, 26, 32], "simply": [9, 10, 17, 21, 25, 26, 32], "reduced": [9, 14, 19, 21], "expanding": 9, "hypercubes": 9, "dimensions": [9, 28], "moved": 9, "innermost": 9, "control": [9, 17, 25], "rewrite": 9, "final": 9, "maxterms": [9, 17], "giving": [9, 14, 20, 25, 28, 32], "add": [9, 24, 28, 31, 32], "40": [9, 11, 12], "know": [9, 28, 32], "efficiency": [9, 32], "Then": 9, "110": 9, "ignore": 9, "enabled": 9, "raises": [9, 10, 13, 25, 29], "arithmeticerror": 9, "through": [9, 24, 32], "division": [9, 17, 25, 26, 32], "replaced": 9, "lattice": 9, "unfortunately": [9, 26], "efficiently": [9, 13, 17, 19, 21, 24, 25, 28], "selects": 9, "attempted": [9, 28], "idea": [9, 26, 32], "investigate": [9, 26], "successive": [9, 11], "divergent": [9, 17], "levin_variant": 9, "choices": 9, "simultanously": 9, "performance": [9, 27], "conjunction": 9, "sidi": 9, "selecting": 9, "developped": 9, "villegras": 9, "zagier": 9, "advantage": [9, 10], "long": [9, 26, 32], "45": [9, 11, 14, 15, 19, 28], "going": 9, "15334809493716": 9, "25j": [9, 11, 13, 17, 19, 22, 24, 28], "8j": [9, 13, 14, 17], "disabling": 9, "998": 9, "counterparts": 9, "2020569031595942853997381615114499907649862923405": 9, "9348022005446793094172454999380755676568497036204": 9, "90154267736969571404980362113358749307373971925537": 9, "90154267736969571404980362113358749307373971925538": 9, "geometric": [9, 17, 18], "excellent": [9, 32], "border": 9, "disk": [9, 13], "apply": [9, 28], "seen": [9, 10], "69314718055994530941723212145817656807550013436025": 9, "200": [9, 19, 20, 24, 26, 29], "765147024625408": 9, "closed": [9, 10, 13, 14, 15, 17, 19, 24], "924299897222939": 9, "92429989722293885595957018136": 9, "laurent": [9, 13, 24], "extremly": 9, "behaviour": 9, "dirichlet": [9, 18], "now": [9, 32], "outside": [9, 13, 17, 21, 24, 32], "attention": 9, "3j": [9, 10, 11, 13, 14, 15, 16, 17, 19, 20, 23, 24, 25], "resummates": 9, "expint": [9, 17], "symbolic": [9, 26], "care": [9, 20, 32], "firstly": 9, "copious": 9, "secondly": 9, "stepsize": 9, "miss": 9, "garbage": 9, "produced": 9, "besselk": [9, 17], "xrange": 9, "hypergeoemtric": 9, "hyp2f1": [9, 13], "rf": [9, 17, 22], "resummation": 9, "derivate": 9, "altzeta": 9, "effective": 9, "38734195032621": 9, "improves": [9, 19], "250": 9, "38734195032620997271199237593105101319948228874688": 9, "approximations": [9, 15, 19, 25, 26, 32], "furthermore": 9, "above": [9, 14, 20, 24, 26, 31], "far": [9, 10, 17, 19, 32], "region": 9, "3025850929940456840179914546843642076011014886288": 9, "continue": 9, "111111111111111": 9, "142857142857143": 9, "166666666666667": 9, "333333333333333": [9, 15], "indices": [9, 17, 19, 24], "28": [9, 19, 20, 25], "reductions": 9, "60669515241529": 9, "278070510848213": 9, "ln2": [9, 15, 17, 24], "129319852864168": 9, "0790756439455825": 9, "28125": 9, "400": 9, "hard": 9, "madelung": 9, "defining": [9, 11, 13, 14, 20, 21, 22, 24], "conditionally": 9, "lucky": 9, "74756459463318": 9, "sech": [9, 19], "1775860903036": 9, "eisenstein": 9, "1512120021539": 9, "weisstein": [9, 11, 17, 30], "doubleseries": 9, "madelungconstants": 9, "reject": 9, "adiffs": 9, "bdiffs": 9, "_fast_abort": 9, "b_": [9, 17, 21], "2k": [9, 11, 13, 24], "stopped": 9, "quotient": [9, 15, 25], "falls": [9, 17, 21], "That": [9, 15, 20, 24], "adds": [9, 25], "forced": 9, "summing": [9, 15], "applying": [9, 10], "procedure": 9, "03174336652030209012658168043874142714132886413417": 9, "999": 9, "100000": [9, 11, 13, 21, 29, 32], "200000": 9, "10500155000624963999742499550000": 9, "200001": 9, "summand": 9, "abel": 9, "plana": 9, "unlike": [9, 15, 20, 21, 24, 25], "particularly": 9, "power": [9, 10, 11, 19, 24, 28, 32], "34148725725091717975677": [9, 24], "5j": [9, 11, 13, 14, 15, 17, 20, 21, 22, 24, 25, 28], "385361068546473342286084": 9, "7432082105196321803869551j": 9, "poor": 9, "symbolically": [9, 26], "whenever": [9, 12], "6917036036904594510141448": 9, "polylog": [9, 14, 17], "product": [9, 15, 17, 19, 22, 25], "prod_": [9, 15, 17, 19, 22], "except": [9, 11, 13, 14, 17, 19, 21, 23, 24, 32], "141592653589793238462643": [9, 11, 13, 23], "6666666666666666666666667": [9, 11], "complicated": 9, "180668317897115748416626": 9, "csch": 9, "2720290549821331629502366": 9, "8480540493529003921296502": 9, "848936182858244485224927": 9, "9190194775937444301739244": 9, "9826842777421925183244759": 9, "838038955187488860347849": 9, "447255926890365298959138": 9, "jacobi": [9, 18, 19, 22], "theta": [9, 18, 19, 20, 22, 23, 24], "preserved": 9, "3838451207481672404778686": 9, "tanh": [9, 30], "jtheta": [9, 19, 22], "2887880950866024212788997": [9, 22], "8093965973662901095786805": 9, "41432688231864337420035": 9, "696155111336231052898125": 9, "infiniteproduct": 9, "lim_": [9, 15], "directly": [9, 11, 13, 14, 17, 19, 24, 26, 28, 32], "attempts": [9, 26], "spaced": [9, 24, 25], "improve": 9, "166666666666666666666666666667": 9, "definition": [9, 13, 14, 15, 17, 19, 20, 21, 24, 25], "0855369231876677409285296546": 9, "stirling": [9, 15, 18], "50662827463100050241576528481": 9, "notoriously": 9, "changing": [9, 24], "992831158558330281129249686491": 9, "extrapolated": 9, "precise": [9, 11, 19, 25, 32], "wishes": 9, "properties": [9, 10, 11, 13, 14, 17, 21, 27, 28], "seq": 9, "largest": [9, 24, 25, 28, 32], "lost": [9, 25], "applicability": 9, "namely": [9, 28], "contrast": 9, "unable": 9, "produce": [9, 10, 17, 25, 26, 29, 32], "extrapolations": 9, "comparing": [9, 13, 14, 15, 19, 22], "oscillating": 9, "workaround": 9, "detects": 9, "differ": [9, 15, 24], "monotonically": [9, 23], "index": [9, 11, 19, 21, 27, 28, 31], "leibniz": 9, "2126984126984126984126984127": 9, "0711058": 9, "14159265468624052829954206226": 9, "09645e": 9, "20833": 9, "benderorszag": [9, 30], "pp": [9, 17, 24, 30], "376": 9, "table": [9, 11, 17, 26, 30, 32], "randomized": 9, "a_k": [9, 11, 17, 25], "wynn": 9, "read": 9, "forming": 9, "lower": [9, 11, 14, 17, 26, 28, 29, 32], "triangular": [9, 28], "row": [9, 28], "column": [9, 28], "correspond": [9, 11, 20], "columns": [9, 28], "dummy": 9, "entries": [9, 28], "extrapolates": 9, "extend": 9, "appended": 9, "updated": [9, 25], "place": 9, "a_0": [9, 15, 21], "transformed": 9, "a_": [9, 17, 21], "substantially": 9, "iteratively": 9, "reduces": [9, 11, 13, 14, 15, 17, 20, 24], "occurs": [9, 14, 17], "terminating": [9, 17], "replace": 9, "pseudorandom": 9, "16667": 9, "13333": 9, "14524": 9, "82": 9, "14234": 9, "13968": 9, "177": [9, 19], "14139": 9, "969": 9, "937": 9, "14271": 9, "327": 9, "14166": 9, "3515": 9, "06": 9, "14161": 9, "22532e": 9, "78309e": 9, "75527e": 9, "48478e": 9, "96014e": 9, "immediate": 9, "875": [9, 17], "9375": [9, 25], "96875": [9, 11], "gravesmorris": [9, 30], "let": 9, "s_n": 9, "update": 9, "update_step": 9, "update_psum": 9, "s_0": 9, "s_1": 9, "step_psum": 9, "word": 9, "caution": [9, 10], "hope": 9, "defind": 9, "erratic": 9, "random": [9, 14, 28], "insufficient": [9, 25], "silently": 9, "proof": 9, "sound": 9, "prove": 9, "stieltjes": [9, 18], "quite": [9, 28, 32], "co": 9, "summary": 9, "say": [9, 15], "powerful": [9, 26], "unreliable": 9, "variants": [9, 18], "differing": 9, "suited": 9, "flavours": 9, "suitable": [9, 28, 32], "overall": 9, "accessible": 9, "normal": [9, 18, 25], "append": [9, 25], "runtimeerror": 9, "exceeded": 9, "373": 9, "precisions": 9, "mandatory": 9, "summable": 9, "excellently": 9, "hypergeometric": [9, 11, 13, 14, 18, 20, 24, 27, 30, 32], "weniger": 9, "arxiv": [9, 11, 24, 30], "math": [9, 10, 11, 14, 17, 18, 30], "0306302": 9, "pratical": 9, "homeier": 9, "0005209": 9, "villegas": 9, "belongs": 9, "types": [9, 10, 27], "conditions": [9, 11], "ac": 9, "2n": [9, 11, 13, 15, 17, 20, 24], "06215090557106": 9, "conversions": 10, "fundamental": [10, 15], "stores": 10, "mostly": 10, "compatible": [10, 28], "implementations": 10, "underlying": [10, 17], "allowing": [10, 20, 26], "tradeoffs": 10, "cython": 10, "sage": [10, 27], "builtin": [10, 25, 29], "transparent": 10, "visible": 10, "help": [10, 27, 31], "module": [10, 28, 31, 32], "ctx_mp_python": 10, "squared": [10, 25], "ctx_mp": 10, "mpcontext": 10, "func": [10, 24], "converted": [10, 12, 25, 32], "creates": [10, 17], "printing": [10, 27, 30, 32], "clearly": 10, "distinguished": [10, 17], "what": [10, 17, 26, 32], "tested": [10, 19], "usage": [10, 27], "pm": [10, 11, 20, 23, 24], "iy": 10, "land": 10, "rigorous": [10, 19, 28], "tracking": [10, 28], "hat": [10, 20, 32], "guarantee": [10, 32], "subseteq": 10, "differently": 10, "uncertainty": [10, 32], "fixed": [10, 11, 12, 13, 14, 17, 20, 24, 25, 26, 32], "would": [10, 13, 19, 21], "principal": [10, 13, 14, 15, 21, 23], "drawbacks": 10, "pessimistic": 10, "bounds": [10, 19], "treated": 10, "width": [10, 32], "represent": [10, 28, 32], "literal": [10, 25], "mpi": [10, 19, 25], "intended": 10, "10000000000000000555": 10, "099999999999999991673": 10, "2000000000000000111": 10, "equality": [10, 25, 32], "testing": [10, 31, 32], "operators": [10, 32], "operands": [10, 12, 32], "ordering": 10, "inequality": [10, 19], "logic": 10, "tests": [10, 27], "contained": 10, "delta": [10, 19], "transcendental": [10, 13, 14, 26, 27, 32], "35355339059327373086": 10, "837117307087383633": 10, "7182818284590455349": 10, "69314718055994528623": 10, "69314718055994539725": 10, "99500416527802570954": 10, "proving": 10, "inequalities": [10, 11], "irrational": [10, 19, 26], "naive": 10, "conclusions": 10, "163": [10, 13], "640320": 10, "744": [10, 13], "262537412640768744": 10, "0000001": 10, "But": 10, "262537412640768743": 10, "99999999999925007259719818568888": 10, "definite": [10, 13, 14, 15, 21, 28], "perfectly": 10, "hardware": [10, 32], "corresponds": [10, 32], "whereas": [10, 14, 25, 28], "inputs": [10, 25, 28, 32], "employs": 10, "optimized": [10, 17, 19], "amounts": [10, 19, 22, 32], "plotting": [10, 27], "significant": [10, 19, 25, 32], "prefix": 10, "write": 10, "erfc": [10, 11, 17], "000406952017445": 10, "000406952017444959": 10, "22": [10, 22, 24, 26, 28], "wraps": 10, "cmath": [10, 18, 23], "modules": [10, 18], "elementary": [10, 11, 13, 14, 15, 17, 24, 32], "generates": 10, "23606797749979": 10, "23606797749979j": 10, "5440211108893698": 10, "7071067811865476": 10, "7071067811865475j": 10, "attributes": 10, "changed": [10, 25], "compatibility": 10, "80": [10, 17, 19, 32], "intermediate": 10, "latter": [10, 14, 26, 28], "internal": [10, 17, 28, 31], "dependent": [10, 26], "almost": [10, 19, 26, 28], "others": [10, 14, 26], "scale": [10, 13, 21], "computations": 10, "verified": [10, 14], "subset": 10, "arise": 11, "wavelike": 11, "growth": [11, 15], "_0f_1": [11, 17], "_1f_1": [11, 17, 20], "_1f_2": [11, 17], "j_n": 11, "appears": [11, 17, 19], "things": [11, 15, 28], "radial": 11, "cylindrical": 11, "coordinates": [11, 25], "nonsingular": 11, "behaves": [11, 14], "decays": 11, "ne": [11, 15, 20, 21, 23, 24], "plots": [11, 13, 20, 21, 27], "j2": 11, "j3": 11, "cplot": [11, 13, 21, 29], "50000": [11, 13, 19, 21], "024777229528606": 11, "000801070086542314": 11, "1000j": [11, 15, 20, 21, 24], "48071721019185e": 11, "432": 11, "41567059811949e": 11, "437j": 11, "75j": [11, 22, 25], "4j": [11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25], "778118364828153309919653": 11, "5863603889018621585533j": 11, "28461534317975275734531059968613140570981118184947": 11, "10000": [11, 15, 17, 19, 20, 21, 24, 26], "007096160353388801477265164": 11, "000002175591750246891726859055": 11, "337048736538615712436929e": 11, "51": [11, 24], "540725411970948860173735e": 11, "43426": 11, "4949812409615803110051e": 11, "43433j": 11, "satisfy": [11, 13, 14, 20, 21, 25], "symmetries": [11, 13, 14, 15], "304242": 11, "284615": 11, "485434": 11, "333458": 11, "151425": 11, "11": [11, 13, 14, 15, 17, 19, 20, 21, 22, 24, 25, 26, 28], "40483": 11, "52008": 11, "65373": 11, "7915": 11, "9309": 11, "83171": 11, "01559": 11, "1735": 11, "3237": 11, "4706": 11, "distance": 11, "normalization": [11, 14, 20, 23], "trigonometric": [11, 13, 18, 27, 32], "13726373575505": 11, "211708866331398": 11, "1352484275797055051822405": 11, "1377811164763244890135677": 11, "1241343240399987693521378": 11, "385977722939384": 11, "j_0": 11, "j_1": 11, "j_": 11, "understood": [11, 17, 20], "2nd": 11, "y3": 11, "3588729167767189594679827": 11, "242861436961450520325216": 11, "085042824915332562522402j": 11, "00364780555898660588668872": 11, "8952500412050989295774e": 11, "26": [11, 13, 14, 17, 19, 24, 25, 26], "antiderivatives": 11, "3842618820422660066089231": 11, "2066598304156764337900417": 11, "208173867409": 11, "5547350101511": 11, "02668487547301372334849043": 11, "377046859093181969213262": 11, "i_n": 11, "ix": [11, 14, 16, 21, 23, 24], "i0": 11, "i1": 11, "i2": 11, "i3": 11, "266065877752008335598245": 11, "2904369752642538144289025": 11, "4469098397654815837307006j": 11, "480717210191852440616782e": 11, "299602851624027900335391e": 11, "4342944813": 11, "6000": 11, "10000j": 11, "114650753239580827144204e": 11, "2603": 11, "385040221241629041351886e": 11, "2602j": 11, "349223221159309": 11, "195": 11, "8229038931399062565883": 11, "153": 11, "3296508971734525525176": 11, "202": [11, 24], "5043900051930141956876": 11, "k0": 11, "k1": 11, "k2": 11, "k3": 11, "4210244382407083333356274": 11, "97746326050642263725661j": 11, "02090732889633760668464128": 11, "2464022641351420167819697j": 11, "9615816021726349402626083": 11, "1918250181801757416908224j": 11, "656628229175902018939005e": 11, "131967049321725588398296e": 11, "434298": 11, "001140348428252385844876706": 11, "0005200017201681152909000961j": 11, "fmul": 11, "561034538142413947789221e": 11, "243554598118700063281496e": 11, "8e": 11, "4001": 11, "2000": [11, 21, 24, 29, 30], "2302": 11, "701024509704096466802": 11, "nu": 11, "nonnegative": [11, 19, 20, 24, 25, 32], "indexing": 11, "convention": [11, 17, 20, 21, 25], "abramowitz": [11, 14, 17, 20, 30], "stegun": [11, 14, 17, 20, 30], "counted": 11, "monotonic": 11, "interlaced": 11, "j_2": 11, "404825557695772768621632": 11, "520078110286310649596604": 11, "653727912911012216954199": 11, "831705970207512315614436": 11, "01558666981561875353705": 11, "17346813506272207718571": 11, "135622301840682556301402": 11, "417244140399864857783614": 11, "61984117214905942709415": 11, "_1": [11, 14], "_2": [11, 24, 28], "84118378134065930264363": 11, "331442773525032636884016": 11, "536316366346285834358961": 11, "054236928227140322755932": 11, "706133194158459146634394": 11, "969467823087595793179143": 11, "3742660775278447196902": 11, "3140": 11, "807295225078628895545": 11, "31415": 11, "14114171350798533666": 11, "321": 11, "1893195676003157339222": 11, "3148": 11, "657306813047523500494": 11, "31422": 11, "9947255486291798943": 11, "311": 11, "8018681873704508125112": 11, "3139": 11, "236339643802482833973": 11, "31413": 11, "57032947022399485808": 11, "57": [11, 24, 26], "11689916011917411936228": 11, "62": 11, "80769876483536093435393": 11, "388": 11, "6936600656058834640981": 11, "52": [11, 19], "99764038731665010944037": 11, "02631933279942589882363": 11, "387": 11, "1083151608726181086283": 11, "493409457909064175307881": 11, "15657692957458622921634": 11, "expressed": [11, 13, 14, 17, 19, 24], "nprod": [11, 25], "1149034849319004804696469": 11, "2102436158811325550203884": 11, "y_": [11, 20], "8935769662791675215848871": 11, "957678419314857868375677": 11, "086051060301772697623625": 11, "197141326031017035149034": 11, "429681040794135132772005": 11, "596005868331168926429606": 11, "384241767149593472701426": 11, "793807513268267538291167": 11, "02347797936003797850539": 11, "683022856585177699898967": 11, "941499953654175655751944": 11, "12340465543661307978775": 11, "002582931446063945200176": 11, "350724701413079526349714": 11, "57419546521764654624265": 11, "8034717601871549333419": 11, "236498918198006794026": 11, "57034538691205229188": 11, "319": 11, "6183338562782156235062": 11, "3147": 11, "086508524556404473186": 11, "31421": 11, "42392920214673402828": 11, "3726705426359345050449": 11, "807136030340213610065": 11, "14112579761578220175": 11, "50285882040036394680237": 11, "11244442774058114686022": 11, "1096509824943957706835": 11, "56": [11, 15, 24], "96290427516751320063605": 11, "74888166945933944036623": 11, "6923300548309258355475": 11, "570796326794896619231322": [11, 13, 14, 23], "798386045783887136720249": 11, "56721208770735123376018": 11, "h_n": [11, 20], "h1_n": 11, "h0": 11, "h1": [11, 17], "h2": [11, 17], "h3": [11, 17], "4854339326315091097054957": 11, "0999007139290278787734903j": 11, "2340002029630507922628888": 11, "6419643823412927142424049j": 11, "h2_n": 11, "rotated": [11, 16], "_n": [11, 14, 15, 17, 20, 22], "ber_n": 11, "bei_n": 11, "f0": [11, 20], "f1": [11, 13, 17, 20, 21], "f2": [11, 13, 17, 20, 21], "f3": [11, 13, 17, 20], "verifying": [11, 13, 15, 17, 19, 20, 24, 28, 32], "442338852571888752631129": 11, "948359035324558320217678": 11, "948359035324558320217678j": 11, "continuation": [11, 15, 17, 24], "675445984756614424069563": 11, "84901771719130765656316j": 11, "83886679193707699364398": 11, "684053288183046528703611j": 11, "rescaled": [11, 17], "ker_n": 11, "kei_n": 11, "02542895201906369640249801": 11, "02074960467222823237055351": 11, "02074960467222823237055351j": 11, "586084268115490421090533": 11, "939717517906339193598719j": 11, "940403256319453402690132": 11, "585621643835618941044855j": 11, "mathbf": 11, "3608207733778295024977797": 11, "255212719726956768034732": 11, "5819566816797362287502246": 11, "10000000000000": 11, "3153915652525200060": 11, "308937": 11, "308937j": 11, "1000000": [11, 14, 26], "4000000j": 11, "066421087689197632388731e": 11, "1737173": 11, "596619701076529803290973e": 11, "1737173j": 11, "9167076867564138178671595": 11, "lhs": 11, "rhs": 11, "fac2": 11, "40359302709875496632744": 11, "solves": [11, 28], "180846515103737996249972": 11, "2670": 11, "994904980850550721511": 11, "757089288053346261497686e": 11, "42": [11, 17, 19, 22, 28], "160893281017115450519948e": 11, "4342944819025": 11, "4342944819025j": 11, "700j": 11, "1721150049480079451246076": 11, "1240770953126831093464055j": 11, "973341637511505389128708e": 11, "434290": 11, "164633059729968297147448e": 11, "434290j": 11, "368850306060678353018165": 11, "inhomogeneous": 11, "4860912605858910769078311": 11, "5033": 11, "358320403384472395612": 11, "585": 11, "8011892476145118551756j": 11, "1e6j": 11, "630743639715893346570743e": 11, "117960409887505906848456e": 11, "434291j": 11, "1e6": 11, "0002795719747073879393087011": 11, "coincides": 11, "3390589585259364589255146": 11, "4088969848691080859328847": 11, "4777182150870917715515015": 11, "6002108774380707130367995": 11, "sinpi": [11, 21], "1145380759919333180900501": 11, "1057668973099018425662646": 11, "8081418209852019290498": 11, "314488899926921597203j": 11, "434291": [11, 14], "00002812518265894315604914453": 11, "addition": [11, 13, 25, 28, 32], "3834897968188690177372881": 11, "35": [11, 13, 19, 20, 26, 32], "2009680659308154011878075": 11, "097441848875479535164627": 11, "cospi": [11, 21], "1486507351534283744485421": 11, "s_": 11, "mu": [11, 14, 19], "f4": [11, 13, 17, 20], "4276243877565150372999126": 11, "5461221367746048054932553": 11, "6979536443265746992059141": 11, "gradshteynryzhik": [11, 30], "lommelfunction": 11, "tfrac": 11, "30000": 11, "968299831601008419949804e": 11, "9683e": 11, "9589683199624672099969765": 11, "6495190528383289850727924": 11, "operatorname": [11, 24, 26, 28], "ai": 11, "ways": [11, 14, 15, 20, 22], "include": [11, 13, 14, 15, 16, 17, 19, 20, 22, 23, 27, 32], "xt": 11, "turning": 11, "behaving": 11, "bi": [11, 32], "fold": 11, "f_": [11, 17], "located": [11, 20, 24, 31], "f_diff": 11, "f_int": 11, "3550280538878172392600632": 11, "1352924163128814155241474": 11, "5355608832923521187995166": 11, "magnitudes": 11, "1767533932395528780908311": 11, "634482152088184489550553e": 11, "291": 11, "50j": [11, 14], "31790195707456404099817e": 11, "68": 11, "163588003770709748720107e": 11, "67j": 11, "041242537363167632587245e": 11, "158": [11, 26], "347525544923600321838281e": 11, "157j": 11, "huge": [11, 13, 15, 17, 21, 24, 32], "fine": 11, "162235978298741779953693e": 11, "289529654602171": 11, "0001736206448152818510510181": 11, "711508683721355528322567e": 11, "186339621747698": 11, "867245506962312577848166e": 11, "186339621747697": 11, "338107410459767038489197": 11, "relations": [11, 13, 14, 20, 21, 27], "2j": [11, 13, 14, 15, 16, 17, 19, 20, 24, 25], "every": [11, 21, 24, 25, 28, 32], "355028": 11, "258819": 11, "0591713": 11, "0215683": 11, "wronskian": 11, "3183098861837906715377675": 11, "3788142936776580743472439": 11, "3145837692165988136507873": 11, "136442881032974223041732": 11, "943133917910336090459748e": 11, "9156": 11, "2588194037928067984051836": 11, "5176388075856135968103671": 11, "1292": 11, "30211615165475090663": 11, "3188": 11, "655054727379756351861": 11, "3299203760070217725002701": 11, "765698403134212917425148": 11, "2453596101351438273844725j": 11, "2939176441636809580339365": 11, "6666843728311539978751512": 11, "3333333332991690159427932": 11, "3333333333333333333333333": 11, "666666": 11, "4078472650651209742": 11, "333333074513": 11, "7520264995733": 11, "chapter": [11, 13, 17], "wolframfunctions": [11, 17, 30], "6149266274460007351509224": 11, "207423594952871259436379": 11, "10399738949694461188869": 11, "02427388768016013160566747": 11, "041223996670201399005265e": 11, "288": [11, 15], "322076267321435669290334e": 11, "478450291165243789749427e": 11, "65j": 11, "157": [11, 15], "158j": 11, "369385787943539818688433e": 11, "289529654602165": 11, "001775656141692932747610973": 11, "559955931096196875845858e": 11, "186339621747689": 11, "822462726981357180929024e": 11, "186339621747690": 11, "17371322270912792491998": 11, "614927": 11, "448288": 11, "102488": 11, "0373574": 11, "1982896263749265432206449": 11, "675611222685258537668032": 11, "5948688791247796296619346": 11, "710055114624614989262335e": 11, "4482883573538263579148237": 11, "8965767147076527158296474": 11, "2238": 11, "332923903442675949357": 11, "5522": 11, "912562599140729510628": 11, "06200303130620056316655": 11, "01504042480614002045135483": 11, "5019859055341699223453257j": 11, "2809314599922447252139092": 11, "000002191261128063434047966873": 11, "147809803": 11, "1074067161675853": 11, "4482883750599908479851085": 11, "44828": 11, "52827206932872493133": 11, "2241411040": 11, "437759489540248": 11, "ordered": [11, 21], "087949444130970616636989": 11, "520559828095551059129856": 11, "281": 11, "0315196125215528353364": 11, "018792971647471089017325": 11, "248197582179836537875424": 11, "820099211178735639400616": 11, "280": 11, "9378080358935070607097": 11, "verification": [11, 21, 32], "b_k": [11, 17, 25], "upper": [11, 13, 14, 28, 29], "beta_k": 11, "overline": [11, 25], "beta": [11, 17, 18, 24], "271093302836352715680228": 11, "830737841662015932667709": 11, "9378112034152401578834": 11, "294439682614123246622459": 11, "073155089071828215552369": 11, "512395729663599496259593": 11, "0315164471118527161362": 11, "9775448867316206859469927": 11, "141290706038744575749139j": 11, "896775013895336346627217": 11, "627291764358919410440499j": 11, "633157739354946595708019": 11, "855468179979844983174628j": 11, "140": [11, 13], "4978560578493018899793": 11, "243": 11, "3907724215792121244867j": 11, "2149470745374305676088329": 11, "100600143302797880647194j": 11, "458168309223507392028211": 11, "912249367458445419235083j": 11, "273760763013482299792362": 11, "254528549217097862167015j": 11, "4509972835270559730423": 11, "3096175398562811896208j": 11, "conj": [11, 20], "planes": 11, "rays": 11, "arg": [11, 21, 24], "142532510286334022305364": 11, "047271114786212061583917": 11, "047197624741816183341355": 11, "047197551196597746154214": 11, "gi": 11, "int_z": [11, 14], "hi": 11, "diffun": [11, 22, 24], "2049755424820002450503075": 11, "1494294524512754526382746": 11, "2352184398104379375986902": 11, "1166722172960152826494198": 11, "03189600510067958798062034": 11, "003183105228162961476590531": 11, "0000003183098861837906721743873": 11, "0000003183098861837906715377675": 11, "08358288400262780392338014": 11, "02886866118619660226809581": 11, "10j": [11, 15, 17, 24, 25], "0061214102799778578790984": 11, "001224335676457532180747917j": 11, "236047850352252236372551e": 11, "29": [11, 21, 26], "08254224233701381482228e": 11, "29j": 11, "100000j": [11, 14, 24], "806659285336231052679025e": 11, "6474077": 11, "684731303500835514850962e": 11, "6474077j": 11, "connection": 11, "7287469039362150078694543": 11, "2447210432765581976910539": 11, "4099510849640004901006149": 11, "2988589049025509052765491": 11, "9722051551424333218376886": 11, "2206696067929598945381098": 11, "455641153": 11, "5163291358991077": 11, "138269638197858094311122e": 11, "289529652": 11, "0317685352825022727415011": 11, "003183092495767499864680483": 11, "100j": [11, 17, 21, 24], "366197716545672122983857e": 11, "003183098861710582761688475j": 11, "0001591549432510502796565538": 11, "000159154943091895334973109j": 11, "6095559998265972956089949": 11, "eta": [11, 22, 24], "regular": [11, 12, 15, 21, 22, 31, 32], "f_l": 11, "c_l": 11, "iz": [11, 24], "2l": [11, 20], "2iz": 11, "g_l": 11, "constants": [11, 18, 20, 26, 27, 32], "physically": 11, "schrodinger": 11, "particle": 11, "potential": [11, 17], "quantum": 11, "f5": [11, 13], "4080998961088761187426445": 11, "7103040849492536747533465": 11, "143324917492256448770769e": 11, "4482623140325567050716179": 11, "066804196437694360046619": 11, "satisfied": [11, 13, 17, 19], "identity": [11, 13, 14, 19, 20, 21, 22, 28], "connecting": 11, "7997977752284033239714479": 11, "9294486669502295512503127j": 11, "michel": 11, "156": 11, "02107292320897e": 11, "83675545731519e": 11, "15j": 11, "6j": [11, 13], "30566371247811e": 11, "03347835361657e": 11, "19j": 11, "778709182061": 11, "134": 11, "18418936": 11, "2660553j": 11, "reproduces": 11, "twice": [11, 28], "09079533488": 11, "1042553261": 11, "2148205331": 11, "2029591779": 11, "4313159311": 11, "320534053": 11, "7212774133": 11, "3952408216": 11, "9935056752": 11, "3708676452": 11, "143337392": 11, "2937960375": 11, "thompson": 11, "barnett": 11, "comp": [11, 30], "phys": 11, "vol": [11, 30], "64": [11, 20, 24, 26], "june": [11, 30], "1986": [11, 24], "wide": 11, "0702051v1": 11, "chi": [11, 24], "sigma_l": 11, "sigma_": 11, "ln": [11, 14, 15, 20, 24], "380011900612186346255524": 11, "919153700722748795245926": 11, "201126715824": 11, "7329115106793": 11, "1802071520691149410425512": 11, "652103020061678070929794": 11, "08148276": 11, "6028279961": 11, "496877075": 11, "5661803178": 11, "048694714": 11, "7959909551": 11, "09408669": 11, "731802374": 11, "629840456": 11, "549343289": 11, "3088184933": 11, "67358": 11, "5554866000719": 11, "5554866221524": 11, "852320038297334": 11, "normalizing": [11, 24], "gamow": 11, "implied": [11, 23, 24, 25], "tricomi": 11, "kummer": [11, 17], "hyp1f1": 11, "0625": [11, 17, 24, 28], "1779949416140579573763523": 11, "1256256609322773150118907": 11, "1256256609322773150118907j": 11, "1719434921288400112603671": 11, "06674960718150520648014567": 11, "people": [11, 14, 17, 30], "sfu": [11, 14, 17, 24, 26, 30], "cbm": [11, 14, 17, 30], "aands": [11, 14, 17, 30], "page_504": [11, 17], "htm": [11, 14, 17], "2f": 11, "forms": 11, "7302596799460411820509668": 11, "417977827655098025684246j": 11, "245477713363581112736478": 11, "822879187542699127327782j": 11, "303985255686378497193063e": 11, "21707": 11, "satisfies": [11, 13, 15, 17, 20, 21, 22, 24, 28], "438869842576800225207341": 11, "128": [11, 13, 21], "19532063107581155661012": 11, "9424875979222187313924639": 11, "2607738054097702293308689j": 11, "1782899315111033879430369": 11, "01609578360403649340169406j": 11, "887705114889527446891274e": 11, "21705": 11, "905250692824046162462058e": 11, "notation": [11, 13, 17], "d_n": 11, "hermite": [11, 18], "d0": 11, "d1": 11, "d2": 11, "d3": 11, "d4": 11, "6266570686577501256039413": 11, "363331161232920734849056": 11, "858877821790010714163487j": 11, "374906442631438038871515e": 11, "6015625": 11, "03210358129311151450551963": 11, "75012332835297233711255": 11, "7978845608028653558798921": 11, "9722833245718180765617104": 11, "5142533944210078966003624": 11, "lazy": [12, 25], "automagically": 12, "unary": 12, "2831853071795862": 12, "1415926535897931": [12, 32], "283185307179586476925286766559005768394338": 12, "141592653589793238462643383279502884197169": 12, "predefined": 12, "deg": 12, "180": [12, 17], "0174533": 12, "71828": 12, "61803": 12, "577216": 12, "915966": 12, "20206": 12, "68545": 12, "28243": 12, "261497": 12, "660162": 12, "historically": 13, "comprise": 13, "originate": 13, "arc": 13, "ellipse": 13, "modern": [13, 15, 30], "view": 13, "omega_1": 13, "omega_2": 13, "im": [13, 21, 24, 29], "canonical": 13, "broadly": 13, "quasi": 13, "conventions": [13, 20, 23, 32], "parameterizations": 13, "text": [13, 20, 31], "usual": [13, 28, 31], "nome": 13, "modulus": 13, "ratio": [13, 18, 19, 26], "tau": 13, "quantities": 13, "vartheta_2": 13, "vartheta_3": 13, "abramowitzstegun": [13, 30], "whittakerwatson": [13, 30], "qbar": 13, "theoretic": 13, "9999999999999798332943533": 13, "49586681013729": 13, "32611558353": 13, "704": 13, "3072": 13, "11488": 13, "38400": 13, "117632": 13, "9999999999999899166471767": 13, "7041781": 13, "096692038332790615j": 13, "infj": 13, "_2f_1": [13, 17, 20], "600": [13, 20], "31102877714605990523242": 13, "31102877714605990523242j": 13, "85407467730137191843385": 13, "9111955638049650086562171": 13, "6313342832413452438845091j": 13, "incomplete": [13, 15, 17, 18], "equivalently": [13, 14, 17, 19, 23, 24], "mt": 13, "avoids": [13, 14, 21, 25], "crossing": 13, "extends": [13, 19, 24], "periodically": 13, "sec": [13, 18], "226191170883517070813061": 13, "415737208425956198892166": 13, "340677542798311003320813": 13, "5287219202206327872978255": 13, "713602407841590234804143j": 13, "269131241950351323305741": 13, "3561052815014558335412538j": 13, "1011": 13, "4086": 13, "184383622179764082821": 13, "3003": [13, 15], "003538923749396546871j": 13, "appellf1": 13, "5050887275786480788831083": 13, "910098894513856008952381": 13, "5990701173677961037199612": 13, "5990701173677961037199612j": 13, "350643881047675502520175": 13, "360868682163129682716687": 13, "1238733442561786843557315j": 13, "499553520933346954333612": 13, "577879007912758274533309j": 13, "333333333333333333333333": 13, "8414709848078965066525023": 13, "751771275694817862026502": 13, "9974949866040544309417234": 13, "4740152182652628394264449": 13, "551991234890371873502105j": 13, "15299022574220502424466": 13, "2503670480325997418156j": 13, "48": [13, 15, 17, 20, 21, 24, 26, 28], "30138799412005235090766": 13, "47255216721987688224357j": 13, "4950017030164151928870375": 13, "4950017030164151928870376": 13, "nt": 13, "9555039270640439337379334": 13, "956616279119236207279727": 13, "11072073453959156175397j": 13, "7853981633974483096156609": [13, 23, 24], "622944760954741603710555": 13, "2513040086544925794134591": 13, "054332933256248668692452": 13, "135": [13, 26], "240868757890840755058": 13, "9190227391656969903987269": 13, "3612856620076747660410167": 13, "5217735339984807829755815j": 13, "degenerate": [13, 24], "r_f": 13, "notin": 13, "branches": [13, 20, 21], "156515647499643235438675": 13, "211056027568459524803563": 13, "5840828416771517066928492": 13, "001847032121923321253219284": 13, "discontinuous": 13, "7961258658423391329305694": 13, "213856669836495986430094j": 13, "lemniscate": 13, "pv": 13, "r_c": 13, "continuity": 13, "cauchy": [13, 14], "dfrac": 13, "acosh": 13, "041630778983498390751238": 13, "acos": 13, "875180765206547065111085": 13, "3333969101113672670749334": 13, "7024814731040726393156375j": 13, "r_j": 13, "3535533905932737622004222": 13, "067937989667395702268688": 13, "380226776765915172432054": 13, "8505007163686739432927844": 13, "521291677592745527851168e": 13, "2398480997495677621758617": 13, "216888906014633498739952": 13, "04081912627366673332369512j": 13, "04081912627366673332369511j": 13, "r_d": 13, "2904602810289906442326534": 13, "r_g": 13, "6753219405238377512600874": 13, "172431327676416604532822": 13, "st": 13, "ct": 13, "su": 13, "cu": 13, "725503028069": 13, "vartheta_n": 13, "vartheta_1": 13, "vartheta_4": 13, "ll": 13, "compact": 13, "notations": 13, "frequently": [13, 24, 32], "encountered": [13, 15], "considered": [13, 20, 25], "denoted": [13, 14, 17, 21, 24], "generalizations": 13, "2945120798627300045053104": 13, "indeed": [13, 26], "68179": 13, "420448": 13, "quasiperiodic": 13, "682420280786034687520568": 13, "526683999721399103332021j": 13, "functional": [13, 15, 21, 22, 24, 26], "823744089352763305137427": 13, "extensive": [13, 27], "listings": 13, "identities": [13, 24, 30], "086434811213308014575316": 13, "0549510717571539127004115835148878097035750653737": 13, "180331760146805926356634": 13, "634292858119162417301683j": 13, "209857192844475388637236": 13, "2598718791650217206533052": 13, "150231437070259644461474": 13, "6226636990043777445898114": 13, "9990312046096634316587882": 13, "1530388693066334936151174": 13, "9820995967262793943571139": 13, "3936902850291437081667755": 13, "99999999": [13, 25], "theta_q_lim": 13, "000000": 13, "sn": 13, "cn": [13, 20], "dn": 13, "character": [13, 24], "specifying": [13, 17, 28], "letters": 13, "identifier": 13, "specifies": [13, 25], "ns": 13, "identifies": 13, "cd": 13, "9891101840595543931308394": 13, "07111979240214668158441418": 13, "9628981775982774425751399": 13, "2698649654510865792581416": 13, "8764740583123262286931578": 13, "dedekind": [13, 22], "7682254223260566590025942": 13, "9022859908439376463573294": 13, "07985093673948098408048575j": 13, "9022859908439376463573295": 13, "4493066139717553786223114": 13, "3290014793877986663915939j": 13, "36": [13, 14, 20, 24], "klein": 13, "invariant": [13, 21], "g_2": 13, "27": [13, 14, 15, 24, 26], "g_3": 13, "invariants": 13, "weierstrass": [13, 15], "setminus": 13, "1728": 13, "625": [13, 17, 20, 24], "1507492166511182267125242": 13, "07595948379084571927228948j": 13, "07595948379084571927228946j": 13, "famous": [13, 24, 26], "196884": 13, "21493760": 13, "864299970": 13, "20245856256": 13, "admits": [13, 17], "algebraic": [13, 15, 27], "heegner": 13, "43": [13, 24], "67": 13, "8000": 13, "3375": 13, "32768": 13, "884736": 13, "884736000": 13, "147197952000": 13, "262537412640768000": 13, "assumes": [13, 29], "1264538": 13, "909475140509320227": 13, "identify": [13, 14, 15, 17], "cbrt": [13, 29], "simplified": 13, "13520": 13, "commonly": [14, 15, 18], "occurring": [14, 26], "rise": [14, 20], "probability": [14, 19, 32], "regularized": [14, 15, 17], "generalized": [14, 15, 16, 18, 19, 20, 24, 25, 30], "authors": 14, "reverse": [14, 26], "compare": [14, 28, 32], "00977212668627705160602312": 14, "0770637306312989892451977j": 14, "523793388892911312363331": 14, "083660630910611272288592e": 14, "10000000000000000": 14, "290402449901174752972486e": 14, "4342944819032375": 14, "1000000j": [14, 17, 24], "257913707524362408877881e": 14, "434284": 14, "556691003883483531962095e": 14, "434284j": 14, "depending": [14, 28], "10000000": [14, 17, 21, 24], "755146243738946045873491e": 14, "4771204": 14, "100000001": [14, 23], "100000000": 14, "078258353474186729184421e": 14, "43429441": 14, "60130296933533459267329": 14, "030425427232114336470932": 14, "2214577048967798566234192": 14, "1353352832366126918939995": 14, "326": 14, "872": 14, "reduce": 14, "00377935240984890647887486": 14, "691806732945198336509541": 14, "e_n": [14, 19, 24], "89511781635594": 14, "00377935240984891": 14, "928374389331410348638445906907535171566338835056": 14, "154091651642689822535359": 14, "294418620024357476985535j": 14, "closely": [14, 15, 19, 24], "similarly": 14, "93383257062542": 14, "beware": 14, "corrections": [14, 17, 30], "_2f_2": [14, 17], "hyper": [14, 24], "769881289937359": 14, "gammabetaerf": [14, 15], "expintegralei": 14, "page_228": 14, "0002704758872637179088496194": 14, "negated": 14, "02491491787026973549562801": 14, "073765894578600711923552": 14, "141592653589793238462643j": [14, 15], "int_1": 14, "zt": [14, 19], "00299658467335472929656159": 14, "06100816202125885450319632j": 14, "001803529474663565056945248": 14, "002235061547756185403349091j": 14, "584": 14, "2604820613019908668219": 14, "115366": 14, "5762594725451811138": 14, "offset": 14, "int_2": 14, "confused": [14, 15, 24], "polylogarithm": [14, 24], "04516378011749278484458888919": 14, "45136923488338105028396848589": 14, "12043572466980515267839286347": 14, "1343755504645775265": 14, "6769247817778742392j": 14, "1635885946671919729": 14, "34294481903252e": 14, "3619719871407e": [14, 19], "theorem": [14, 19, 21], "states": 14, "primes": [14, 19], "925": 14, "320": 14, "391": 14, "606": [14, 17], "803": 14, "968": 14, "923": 14, "92532039161405e": 14, "693147180559945": [14, 21, 24, 28], "primecountingfunction": 14, "logarithmicintegral": 14, "int_x": 14, "3374039229009681346626462": 14, "07366791204642548599010096": 14, "408292501520849518759125": 14, "983617742029605093121118j": 14, "sinc": [14, 18, 19, 24], "875060251748226537857298e": 14, "875060250875106915277943e": 14, "6165054856207162337971104": 14, "384180422551186426397851": 14, "anywhere": [14, 17], "449410587611035724984376e": 14, "434287": 14, "75744874290013526417059e": 14, "434287j": 14, "190029749656644": 14, "239811742000565": 14, "antiderivative": [14, 21], "9460830703671830149413533": 14, "851937051982466170361053": 14, "547513889562289219853204": 14, "399196580646054789459839j": 14, "570796326707584656968511": 14, "54993124494467": 14, "946083070367183": [14, 23], "analogy": [14, 24, 28], "8378669409802082408946786": 14, "5238225713898644064509583": 14, "1683628683277204662429321": 14, "625115880451325002151688j": 14, "057250875375728514571842": 14, "1931890762719198291678095": 14, "645432555362369624818525j": 14, "normalized": [14, 20, 23, 32], "842700792949715": 14, "999977909503001": 14, "999999999998463": 14, "12838": 14, "376126": 14, "112838": 14, "52049987781304653768274665389196452873645157575796": 14, "316151281697947644880271": 14, "1904534692378346862841089j": 14, "1e1000": [14, 25], "128379167095512573896159e": 14, "1e7j": 14, "593897639029319267398803e": 14, "43429448190317j": 14, "1e7": 14, "9999999858172446172631323": 14, "728805278735270407053139e": 14, "complementary": [14, 19, 24], "naively": 14, "08848758376254e": 14, "ludicrously": 14, "3504398860243e": 14, "43429448190325182776": 14, "19739830969552e": 14, "107492": 14, "46072418957528e": 14, "107491j": 14, "diverges": [14, 15], "65042575879754": 14, "999977909503001j": 14, "536643565778565": 14, "04914370344703j": 14, "04914370344703": 14, "536643565778565j": 14, "71130938718796e": 14, "3167287567024e": 14, "43429448190325182754": 14, "500j": 14, "49895233563961e": 14, "325717": 14, "6846779342253e": 14, "325717j": 14, "promised": 14, "99532226501895273416206925636725292861089179704006": 14, "564189583547756": 14, "relatively": [14, 25, 32], "inefficient": [14, 25], "rand": 14, "586747": 14, "10233": 14, "376796": 14, "926037": 14, "708142": 14, "732012": 14, "sigma": 14, "density": 14, "mean": [14, 18], "variance": 14, "cumulative": [14, 15], "053990966513188": 14, "107981933026376": 14, "sources": [14, 32], "4382591473903547660767567": 14, "72546488399143842838788": 14, "58775110440458732748279j": 14, "4963129989673750360976123": 14, "7798934003768228294742064": 14, "08787137412548041729489": 14, "22568799288165021578758j": 14, "6057207892976856295561611": 14, "tools": 15, "combinatorics": 15, "analysis": [15, 25, 30, 32], "extension": [15, 19, 20, 25], "selection": 15, "33262154439442e": 15, "93326215443944150965646704795953882578400970373184098831012889540582227238570431295066113089288327277825849664006524270554535976289719382852181865895959724032": 15, "160": [15, 17, 20], "93326215443944152681699238856266700490715968264381621468592963895217599993229915608941463976156518286253697920827223758251185210916864000000000000000000000000": 15, "polylogarithms": [15, 18, 27], "analogs": 15, "120": [15, 20], "886226925452758": 15, "32579620567308e": 15, "95657055186": 15, "32579597597705e": 15, "astronomically": 15, "22311232304258e": 15, "29565705518096748172348871081098": 15, "reciprocal": [15, 19, 21, 22], "1406926327793": [15, 21], "begins": [15, 20], "384": 15, "945": 15, "97272691416282e": 15, "17830": 15, "97262736954392e": 15, "0666666666666667": 15, "3697207890154e": 15, "93665300979176e": 15, "12j": [15, 24], "immensely": 15, "13805976125208e": 15, "43675043585825292774": 15, "3715891200": 15, "expansions": [15, 17, 24], "05940740534258": 15, "erf": [15, 31], "06015693855741": 15, "beautiful": 15, "ramanujan": 15, "90917279454693": 15, "factorial2": 15, "0002": 15, "doublefactorial": 15, "pascal": 15, "triangle": 15, "empty": [15, 28], "item": 15, "33333333333333e": 15, "60784095465201e": 15, "104342944813": 15, "nonintegral": [15, 20, 24], "09375": 15, "0546875": 15, "0375977": 15, "shifted": 15, "77245385090552": 15, "32335097044784": 15, "91510229697308632046045539308226554038315280564184": 15, "009902440080927490985955066": 15, "07595200133501806872408048j": 15, "9328495143101e": 15, "1956570551809674817225": 15, "1666666666666666666666667": 15, "485168143266784862783596e": 15, "2565": 15, "807770242028519365221501": 15, "a_p": [15, 17], "b_0": [15, 19, 21], "b_q": [15, 17], "considers": 15, "numerator": 15, "denominator": [15, 26], "nonpositive": [15, 17, 24], "equally": 15, "continuously": 15, "matches": [15, 26], "agree": [15, 19, 32], "coincide": [15, 24], "computationally": [15, 19, 20], "advantageous": 15, "49400419456603678498394": 15, "756626784603784110530604": 15, "742664438034657928194889j": [15, 24], "540520869144928548730397j": 15, "265512123484645396488946": 15, "8600470153764810145109327": 15, "283185307179586476925287j": 15, "05624371649767405067259453": 15, "42477796076937971538793j": 15, "6931471805599453094172321": [15, 19, 24], "200973602347074224816022": 15, "1e30": 15, "807755278982137052053974e": 15, "1e300": 15, "897755278982137052053974e": 15, "302": [15, 24], "1e3000": 15, "906755278982137052053974e": 15, "1e100000000000000000000": 15, "302585092994045684007991e": 15, "100000000000000000020": 15, "1e30j": 15, "570796326794896619231322e": 15, "31j": 15, "1e300j": 15, "300": [15, 19, 20, 32], "302j": [15, 24], "1e3000j": 15, "3003j": 15, "integrated": 15, "9189385332046727417803297": 15, "9619286014994750641314421": 15, "219637303741238195688575j": 15, "688493531222971393607153": 15, "554898911356806978892748j": 15, "1539414829219882371561038": 15, "1020485197430267719746479j": 15, "additive": 15, "092851753092733349564189": 15, "302396543466867626153708j": 15, "pochhammer": [15, 18], "symbol": [15, 18], "7202": 15, "03920483347": 15, "3777": 15, "58810701527j": 15, "720": [15, 20], "41085888203": 15, "316": 15, "101124983878j": 15, "0333333333333333": 15, "266666666666667": 15, "079424249270925780135675": 15, "410032405664160838288752j": 15, "037890298781212201348153837138927165984170287886464": 15, "0230880230880231": 15, "319504062596158": 15, "4010": 15, "2241657956955709603655887": 15, "3619619242700451992411724j": 15, "regularization": [15, 17], "4375": 15, "0833333333333": 15, "673": 15, "1152": 15, "superfactorial": 15, "sf": 15, "barnes": 15, "superfactorials": 15, "oeis": 15, "a000178": 15, "34560": 15, "24883200": 15, "125411328000": [15, 19], "05658474496e": 15, "83493347225108e": 15, "grow": [15, 19], "24570818422368e": 15, "1177245": 15, "61398543581249e": 15, "467427913956904067453": 15, "20051550121297985285333": 15, "005915485633199789627466468": 15, "008156449464604044948738263j": 15, "2645072034016070205673056": 15, "hyperfactorial": 15, "a002109": 15, "108": [15, 19], "27648": 15, "86400000": 15, "4031078400000": 15, "3197663987712e": 15, "56964379417266e": 15, "15779412229419e": 15, "46458120882585e": 15, "1392926": 15, "60408207642219e": 15, "489142638002418704309": 15, "880449235173423": 15, "581061466795327": 15, "205": [15, 19], "211134637462": 15, "01144471378225e": 15, "46": [15, 17], "45285242480185e": 15, "46j": 15, "49795891462086e": 15, "33262283196162e": 15, "7j": 15, "28170142849352": 15, "9842119922237": 15, "215779412229418562091680268288000000000000000": 15, "89404818005227001975423476035729076375705084390942": 15, "603244281209446": 15, "glaisher": [15, 18], "29375596533861": 15, "nthroot": [15, 21], "catalan": [15, 18, 24, 26], "39292119327948": 15, "kinkelin": 15, "847536694177301": 15, "differentiated": [15, 19], "264507203401607": 15, "2548": 15, "7457695685": 15, "00535976768353037": 15, "000676375932234244": 15, "42236140124728e": 15, "81305501090451340843586085064413533788206204124732": 15, "000000000021852360840356557241543036724799812371995850552234": 15, "00000000000070035335320062304849020654215545839053210041457588": 15, "10361006263698e": 15, "6626": 15, "101": [15, 19], "94463017605008e": 15, "14322868174828e": 15, "167480422": 15, "21133054865546e": 15, "1173597": 15, "27461836811016e": 15, "1173597j": 15, "43114569750291e": 15, "1026623": 15, "24851410674842e": 15, "1026623j": 15, "whittaker": [15, 17, 18, 30], "watson": [15, 30], "cambridge": [15, 30], "university": [15, 30], "4th": [15, 30], "1927": [15, 19], "264": 15, "barnes_g": 15, "doc": [15, 23, 31], "floating": [15, 17, 19, 21, 23, 25, 26, 27, 28, 32], "83333333333333": 15, "08333333333333": [15, 28], "28333333333333": 15, "59285714285714": 15, "230": [15, 21], "835724964306": 15, "613705638880109": 15, "24757548223494": 15, "850502209186044j": 15, "0198773448773448773448773448773448773448773448773": 15, "8727388590273302654363491032336134987519132374152": 15, "glacial": 15, "pace": 15, "exceeds": 15, "15092688622113788323693563264538101449859496": 15, "864101": 15, "ceil": [15, 29], "15092688622113788323693563264538101449859497": 15, "999999999999999999999999999999999999999999942747": 15, "000000000000000000000000000000000000000000009": 15, "543080634815243778477906": 16, "convex": 16, "starts": 16, "0416667": [16, 21, 23], "724545504915322565473971": 16, "5118225699873846088344638j": 16, "175201193643801456882382": 16, "rotation": [16, 28], "590564589985779952012565": 16, "5309210862485198052670401j": 16, "7615941559557648881194583": 16, "sigmoidal": 16, "333333": [16, 17, 21, 23, 24, 28], "133333": [16, 23], "9653858790221331242784803": 16, "009884375038322493720314034j": 16, "cosecant": [16, 23], "cotangent": [16, 23, 26], "merely": 17, "_pf_q": [17, 24], "enable": [17, 31], "combinations": [17, 26], "continuations": 17, "thereof": [17, 26], "extensions": 17, "twodimensional": 17, "analog": 17, "standalone": 17, "demonstrated": [17, 26], "respective": [17, 32], "docstrings": [17, 27], "hyp": 17, "thereby": [17, 26], "permitting": 17, "derived": 17, "maxprec": [17, 25], "zeroprec": [17, 20], "accurate_small": 17, "hmag": 17, "force_series": 17, "asymp_tol": 17, "eliminate": 17, "extreme": [17, 24], "confluent": [17, 18], "130318207984970054415392": 17, "1234567": [17, 24], "27287187546220705604627e": 17, "964": 17, "905169561300910030267132e": 17, "807708544441684513934213e": 17, "606j": 17, "131705322874965310390701e": 17, "8685889638065036553022565": 17, "115945364792025420300208e": 17, "af": 17, "hyperu": 17, "whitm": 17, "whitw": 17, "2815": 17, "956856924817275640248": 17, "145036502407444445553107": 17, "021799872770764149793693e": 17, "441": 17, "000003131987633006813594535331": 17, "189190365227034385898282e": 17, "106169926814270418999315e": 17, "49j": 17, "261": 17, "8977905181045142673351": 17, "8930312845682213562172j": 17, "890569218254486878220752e": 17, "43429448190325182745": 17, "935753855797342532571597e": 17, "291911213325184901239155e": 17, "20j": [17, 19, 24], "269381460919952778587441": 17, "gammaprod": 17, "a1": [17, 20, 28], "b1": 17, "b2": 17, "a_2": [17, 22], "b_2": [17, 19, 22], "159388148811981535941434e": 17, "8685889639": 17, "60262607892655945795907": 17, "237220401382240876065501e": 17, "6141851464": 17, "950930337531768015892987e": 17, "6141851464j": 17, "135881": 17, "9905586966432662004": 17, "86681": 17, "95885418079535738828j": 17, "_2f_0": [17, 20], "formally": [17, 24], "truncation": [17, 32], "terminates": [17, 20], "07095851870980052763312791": 17, "03254379032170590665041131": 17, "07269254613282301012735797j": 17, "3579987031082732264862155": 17, "052951783922142735255881j": 17, "2f0": 17, "indicate": [17, 24], "05": [17, 28], "04166637647907": 17, "34584913683906e": 17, "0005": 17, "00037535207621": 17, "009": 17, "23828e": 17, "291793": 17, "recovered": [17, 19, 20], "5625": [17, 21], "gauss": [17, 20], "referred": 17, "documented": 17, "comprehensively": 17, "inside": 17, "303703703703703703703704": 17, "7431290566046919177853916": 17, "418075801749271137026239": 17, "114976146679907015775102j": 17, "8235498012182875315037882": 17, "9144026291433065674259078": 17, "2050415770437884900574923j": 17, "9274013540258103029011549": 17, "7455257875808100868984496j": 17, "9931169055799728251931672": 17, "06154836525312066938147793j": 17, "8834833319713479923389638": 17, "7053886880648105068343509j": 17, "06926406926406926406926407": 17, "1e100": 17, "883714220959876246415651e": 17, "365499358305579597618785e": 17, "33j": 17, "1e1000000": 17, "333332": 17, "333333j": 17, "1e1000000j": 17, "333332j": 17, "9480458814362824478852618": 17, "a2": [17, 20, 28], "275758229007902299823821e": 17, "43429448190325182663": 17, "2561445": 17, "079983207701073448": 17, "2218276": 17, "509664121194836667": 17, "1280722": 17, "539991603850462856j": 17, "80500": 17, "68321405666957342788": 17, "20346": 17, "82752982813540993502j": 17, "b3": 17, "_2f_3": 17, "b_3": [17, 19], "169178177065714963568963e": 17, "8685889590": 17, "7064472": 17, "587757755088178629": 17, "163368465314934589818543e": 17, "6141851415": 17, "783578125755972803440364e": 17, "6141851416j": 17, "2280": 17, "938956687033150740228": 17, "13620": 17, "97336609573659199632j": 17, "20000000j": 17, "849835186175096516193e": 17, "3504": 17, "365981529122220091353633e": 17, "3504j": 17, "a3": 17, "_3f_2": 17, "a_3": 17, "structure": [17, 20], "083533123380934241548707": 17, "1574651066006004632914361": 17, "03194209021885226400892963j": 17, "3071141169208772603266489": 17, "4857045320523947050581423": 17, "5988311440454888436888028j": 17, "157370995096772047567631": 17, "74518490615029486475959": 17, "1454701525056682297614029j": 17, "9829816481834277511138055": 17, "4059040020276937085081127j": 17, "41": [17, 19], "564877796743282766872279": 17, "76821518787438186031973e": 17, "11j": 17, "0001j": 17, "564747153061671573212831": 17, "0001305757570366084557648482j": 17, "9999": 17, "564616644881686134983664": 17, "7823896253461678060196207": 17, "4246104461966439006086308": 17, "111111111111111111111111": 17, "7621440939243342419729144": 17, "4249117735058037649915723j": 17, "ellipe": 17, "a_s": [17, 22], "b_s": [17, 22, 24], "rising": [17, 18, 22], "factorial": [17, 18, 19], "tuples": 17, "078903941164934876086237": 17, "fn": 17, "9923571616434024810831887": 17, "005753848733883879742993122j": 17, "_0f_0": 17, "_1f_0": 17, "14069263277926900572909": 17, "09069132879922920160334114": 17, "3283224323946162083579656j": 17, "7904761904761904761904762": 17, "83": 17, "undefined": [17, 24], "unless": [17, 19], "_4f_3": 17, "4f3": 17, "141783505526870731311423": 17, "5f4": 17, "543998916527972259717257": 17, "5876309929580408028816365j": 17, "6f5": 17, "9996565821853579063502466": 17, "0129721075905630604445669j": 17, "Near": 17, "219433352235586121250027": 17, "eps1": 17, "2923978034": 17, "412973409330956": 17, "_pf_": 17, "aborted": 17, "limiting": 17, "622806053177969474396918e": 17, "4310": 17, "forces": 17, "borel": 17, "attempting": 17, "340965419580146562086448": 17, "8503366631752726568782447j": 17, "4f1": 17, "108287213689475145830699": 17, "5327107430640678181200491j": 17, "_3f_1": 17, "08": 17, "0725535790737": 17, "07269542893559": 17, "54668863216891e": 17, "946344925484879": 17, "946312503737771": 17, "9463125037377662296700858": 17, "removed": [17, 29], "speeds": [17, 32], "producing": [17, 26], "268943190440206905892212e": 17, "4321": 17, "unambiguously": 17, "terminate": 17, "consistent": 17, "eliminating": 17, "toggled": 17, "eliminate_all": 17, "params": 17, "discard_known_zeros": 17, "weighted": 17, "l_r": 17, "w_": 17, "c_": 17, "m_r": 17, "alpha_": 17, "n_r": 17, "beta_": 17, "p_r": 17, "q_r": 17, "z_r": 17, "permits": [17, 25, 31], "opposing": 17, "perturbed": 17, "perturbable": 17, "1f1": 17, "769832308689": 17, "dots": [17, 29], "b_m": 17, "int_l": 17, "b_j": 17, "a_j": 17, "ds": [17, 20], "implicit": 17, "constitutes": 17, "lengths": 17, "confusingly": 17, "confusion": 17, "versions": [17, 20, 23, 31, 32], "_qf_": 17, "discontinuity": 17, "forwarded": [17, 25, 26], "487735836358525720550369": 17, "natural": [17, 18, 21], "logarithm": [17, 18, 21, 24, 28], "178654996341646117219023": 17, "6923076923076923076923077": 17, "4389807929218676682296453": 17, "3544090145996275423331762": 17, "j_a": 17, "y_a": 17, "i_a": 17, "k_a": 17, "5059425789597154858527264": 17, "1853868950066556941442559": 17, "bessely": 17, "8685913322427653875717476": 17, "096964974460199200551738j": 17, "besseli": 17, "09334163695597828403796071": 17, "00172839843123091957468712": 17, "55984467443050210115617": 17, "expanded": 17, "messy": 17, "3323667133658557271898061": 17, "06417628097442437076207337": 17, "1428699426155117511873047": 17, "meijer_g": 17, "hypergeometricfunctions": 17, "meijerg1": 17, "_ah_b": 17, "b_b": 17, "a_a": 17, "exists": [17, 26, 28], "considering": 17, "_2h_2": 17, "dougall": 17, "49118026212345786148847": 17, "_1h_0": 17, "2454393389657273841385582": 17, "2454393389657273841385582j": 17, "slater": [17, 30], "189": 17, "bilateral_hypergeometric_series": 17, "a_r": [17, 22], "factorials": [17, 18, 19, 21, 27], "dicts": 17, "dependence": [17, 26, 31], "keys": 17, "key": 17, "_m": 17, "yes": 17, "No": [17, 25, 30], "appell": [17, 30], "f_4": 17, "distinct": [17, 21], "enumerated": 17, "horn": 17, "kampe": 17, "de": [17, 24], "feriet": 17, "rewriting": 17, "inner": 17, "swapping": 17, "separable": 17, "666666666666666666666667": 17, "164358531238938319669856": 17, "013417124712514809623881": 17, "six": 17, "g1": 17, "g3": 17, "c1": [17, 20], "c2": [17, 20], "139090746": 17, "g2": 17, "9503682696": 17, "029372029": 17, "605331256": 17, "35405404": 17, "974479074": 17, "srivastavakarlsson": [17, 30], "hornfunction": 17, "appellhypergeometricfunction": 17, "respecto": 17, "154700538379251529018298": [17, 23], "138403860350148085179415": 17, "510544741058517621110615j": 17, "816": 17, "20528": 17, "0006231042714165329279738662": 17, "0000005769149277148425774499857j": 17, "1782604566893954897128702": 17, "002472407104546216117161499j": 17, "07122993830066776374929313": 17, "547902270302684019335555": 17, "717202506168937502740238": 17, "792526803190927323077905j": 17, "map": [17, 28], "mpmathify": [17, 20], "num": 17, "073335358785776206576981": 17, "092829171999626454344678": 17, "1106": 17, "323225040235116498927": 17, "elliptic": [17, 18, 27, 30], "fall": [17, 32], "category": [17, 32], "ae": 17, "round": [17, 19, 21, 32], "9273298836244400669659042": 17, "057495752337234229715836": 17, "198140234735592207439922j": 17, "ellipticintegrals": 17, "elliptice2": 17, "cabralrosetti": [17, 30], "vidunas": [17, 30], "absolutely": [17, 25], "257417193533135344785602": 17, "9880539519421899867041719": 17, "01497616165031102661476978j": 17, "201311219287411337955192": 17, "09455532250274744282125152": 17, "7647282253046207836769297j": 17, "2299211717841180783309688": 17, "f_3": 17, "221557778107438938158705": 17, "5189554589089861284537389": 17, "1454441043328607980769742j": 17, "7876136773677356641825": 17, "54768762233649126154534j": 17, "85": [17, 24], "02054175067929402953645": 17, "148": 17, "4402528821177305173599j": 17, "719992169545200286696007": 17, "093432340896087107444363": 17, "01568646277445385390945083": 17, "03947361709111140096947": 17, "286182069079718313546608": 17, "125j": 17, "2585967215437846642163352": 17, "436102233553582711818743j": 17, "reduction": [17, 24], "129143488466850868248364": 17, "csc": [18, 24], "golden": [18, 19, 26], "apery": 18, "khinchin": 18, "mertens": [18, 24], "twin": 18, "twinprime": 18, "powers": [18, 24, 25, 26, 27, 28, 32], "logarithms": [18, 25, 27, 28], "nth": 18, "exponentiation": 18, "radian": 18, "conversion": [18, 27, 31, 32], "binomial": [18, 19, 20], "falling": 18, "super": 18, "hyperfactorials": 18, "polygamma": [18, 24], "hankel": 18, "kelvin": 18, "struve": 18, "anger": 18, "weber": 18, "lommel": 18, "airy": 18, "scorer": 18, "coulomb": 18, "parabolic": 18, "cylinder": 18, "legendre": 18, "gegenbauer": 18, "laguerre": 18, "spherical": 18, "harmonics": 18, "meijer": 18, "bilateral": 18, "carlson": [18, 30], "modular": 18, "hurwitz": 18, "lerch": 18, "transcendent": 18, "clausen": [18, 19], "combinatorial": [18, 27], "fibonacci": [18, 28], "bernoulli": 18, "bell": [18, 24], "counting": [18, 28], "cyclotomic": 18, "wasteful": 19, "alias": [19, 21], "12586269025": 19, "backwards": 19, "8057117299251e": 19, "280571172992510140037611932413038677189525": 19, "stupendous": 19, "49052338550226e": 19, "2089876402499787337692720": 19, "1170270579161": 19, "5248": 19, "51130728372": 19, "14195": 19, "962288353j": 19, "183802359692956": 19, "57077646820395": 19, "4999999596115": 19, "5000000000479": 19, "relationships": 19, "6180339887498948482045868343656381177203127439638": 19, "6180339887498948482045868343656381177203091798058": 19, "35988566624318": 19, "amazingly": 19, "82451515740692": 19, "11803398874989": 19, "fibonaccinumber": 19, "lowest": 19, "66": 19, "691": 19, "2730": 19, "2338224387510": 19, "len": [19, 21, 25], "27692": 19, "04942396360948e": 19, "27677": 19, "von": [19, 24], "staudt": 19, "reconstruct": 19, "specialized": 19, "program": 19, "calcbn": 19, "exe": 19, "vonstaudt": 19, "clausentheorem": 19, "page": [19, 25], "www": [19, 24, 26, 30], "0333333": 19, "66667": 19, "253113553113553": 19, "838224957069370695926416e": 19, "78": 19, "318704469415522036482914e": 19, "1769": 19, "61": 19, "1385": 19, "50521": 19, "053285248188621896314384e": 19, "54": [19, 24], "887561841253070615257336e": 19, "2371": 19, "346791453661149089338186e": 19, "1936958564106659551331": 19, "69919063017432362805663e": 19, "436961": 19, "699193712834466537941283e": 19, "6053285248188621896314383785111649088103498225146815121": 19, "1925859625": 19, "1001": [19, 28], "2e": [19, 25], "formulas": [19, 20, 26, 32], "423": 19, "11111111112": 19, "994957561486776072734601e": 19, "351": 19, "47990": 19, "235980": 19, "5e": [19, 25], "000035001225": 19, "55": [19, 24, 28], "4400": 19, "4087072509293123892361": 19, "29047999988194114177943e": 19, "628120031122876847764566e": 19, "2070": 19, "149364285543783412210773e": 19, "30688": 19, "partitions": 19, "log_": [19, 21], "polyexp": 19, "dobinski": 19, "modification": 19, "ensuring": 19, "10767": 19, "71345136587098445143": 19, "15449": 19, "55065599872579097221j": 19, "90": 19, "65": 19, "203": 19, "877": 19, "4140": 19, "21147": 19, "267": 19, "185724268771078270438257767181908917499221852770": 19, "29113173035759403920216141265491160286912": 19, "237132026969293954162816e": 19, "1869": 19, "989901335682408421480422e": 19, "591553486811969380442171e": 19, "1987": [19, 30], "101014101401543575679639e": 19, "2529": 19, "determinant": 19, "det": 19, "superfac": 19, "dobinskisformula": 19, "ff": 19, "864498971768501633736628e": 19, "286449897176850163373662803014001546235808317440000": 19, "641822121003543906807485e": 19, "2641822121003543906807485307053638921722527655": 19, "2656": 19, "loose": 19, "schoenfeld": 19, "li": [19, 24, 29], "truth": 19, "hypothesis": 19, "168": 19, "moderately": 19, "1209": 19, "1283": 19, "1229": 19, "5070": 19, "5263": 19, "5133": 19, "1925320391606803968923": 19, "9253203909477020467e": 19, "925320392280406229e": 19, "9219865355293e": 19, "nonrigorous": 19, "perturbation": 19, "3619719871407024816e": 19, "3619719871407032404e": 19, "gram": [19, 24], "sees": 19, "million": 19, "rounded": [19, 25, 32], "nearest": [19, 25, 32], "9757023241462": 19, "feasible": [19, 26], "46923988977204e": 19, "3448325764012e": 19, "996": 19, "estimates": 19, "shown": [19, 24, 26, 29], "parentheses": 19, "9592": 19, "78498": 19, "664579": 19, "5761455": 19, "50847534": 19, "enumerate": 19, "rerr": 19, "lerr": 19, "56458314100509": 19, "141": 19, "1655995047873": 19, "541": 19, "6616332669242": 19, "0265": 19, "1261415840796": 19, "359446281167": 19, "00214": 19, "609657990152": 19, "0572": 19, "1226": 19, "93121834343": 19, "00168": 19, "1246": 19, "13721589939": 19, "0139": 19, "9587": 19, "43173884197": 19, "000476": 19, "9629": 19, "8090010508": 19, "00394": 19, "78527": 19, "3994291277": 19, "000375": 19, "78627": 19, "5491594622": 19, "00165": 19, "664667": 19, "447564748": 19, "000133": 19, "664918": 19, "405048569": 19, "000511": 19, "5761551": 19, "86732017": 19, "68e": 19, "5762209": 19, "37544803": 19, "000131": 19, "50847455": 19, "4277214": 19, "55e": [19, 28], "50849234": 19, "9570018": 19, "35e": 19, "141903028110784": 19, "1050": [19, 28], "950": 19, "72934743264966261918857135136": 19, "551002208155486427591793957644": 19, "16966398138119450043195899746j": 19, "phi_n": 19, "primitive": [19, 21], "unitroots": 19, "moebius": 19, "phi_0": 19, "phi_1": 19, "phi_2": 19, "phi_3": 19, "phi_4": 19, "phi_5": 19, "phi_6": 19, "checked": [19, 25], "noise": 19, "419": 19, "360": 19, "146045605088568607055454e": 19, "permutation": 19, "8660254037844386467637232j": 19, "945910149055313305105353": 19, "94": 19, "04531122935739224600493": 19, "10001": [19, 20], "10013": 19, "39669326311478372032": 19, "p_1": 20, "mutually": 20, "int_s": 20, "p_n": 20, "p_m": 20, "specifically": [20, 26, 32], "easily": [20, 25, 26], "article": [20, 32], "p_": 20, "assume": 20, "symmetrically": [20, 24], "57735": 20, "774597": 20, "861136": 20, "339981": 20, "94952805264875": 20, "1071073099422j": 20, "orthogonality": 20, "integrates": [20, 23], "222222222222222": 20, "73": 20, "taking": 20, "legendrep": 20, "2zf": 20, "q_n": 20, "149": 20, "972260393822275434196053": 20, "972260393822275434196053j": 20, "335677248386698208736542": 20, "663270217461022307645625j": 20, "deq": 20, "legendreq": 20, "eq": 20, "8186632680417568557122028": 20, "6655964618250228714288277": 20, "3937692045497259717762649j": 20, "95256487468541686564": 20, "6011": 20, "691337610097577791134j": 20, "7298060598018049369381857": 20, "902916572420817192300921": 20, "1998650072605976600724502j": 20, "040524284763495081918338": 20, "7298060598018049369381857j": 20, "1998650072605976600724502": 20, "t_n": 20, "57079632596448": 20, "u_n": 20, "5707963267949": [20, 25], "4609375": 20, "equal": [20, 21, 24, 25, 31, 32], "309983": 20, "84119": 20, "26933": 20, "26699": 20, "34808": 20, "9047619047619": 20, "a0": 20, "26560": 20, "2328981879": 20, "21503": 20, "7641037294": 20, "5056": 20, "46879445852": 20, "ultraspherical": 20, "2a": [20, 24], "2485": 20, "012757178975667428359374e": 20, "2322": 20, "5038991": 20, "358609026523401901": 20, "9414549": 20, "285447104177860806j": 20, "8989": 20, "2zt": 20, "cm": [20, 30], "h_0": 20, "h_1": 20, "2z": [20, 24], "h_": 20, "398": 20, "950440066552087387515653e": 20, "19334": 20, "7999999999999998800000000": 20, "675159751729877682920301e": 20, "4342944819032534": 20, "07652130602993513389421901": 20, "1084662449961914580276007j": 20, "480": 20, "02769459142039868792653387": 20, "08333333333333333333333333": [20, 24], "2215567313631895034122709": 20, "8862269254527580136490837": 20, "1680": 20, "l_n": 20, "l_0": 20, "l_1": 20, "l_2": 20, "03726399739583333333333333": 20, "474921610704496808379097": 20, "02058050372068958069241j": 20, "49980001": 20, "327764910194842158583189e": 20, "4328": 20, "96": [20, 21], "72": [20, 25], "4320": 20, "5400": 20, "2400": 20, "450": 20, "lm": 20, "y_l": 20, "p_l": 20, "polar": 20, "coordinate": 20, "ranging": 20, "north": 20, "south": 20, "azimuthal": 20, "sphere": 20, "splot": [20, 29], "expj": 20, "2820947917738781434740397": 20, "1221506279757299803965962": 20, "2115710938304086076055298j": 20, "3454941494713354792652446": 20, "orthonormal": 20, "l1": 20, "m1": 20, "l2": 20, "m2": 20, "0000000000000007": 20, "750": 20, "776445785304252879026585e": 20, "102": [20, 24], "82441278771834794493484e": 20, "102j": 20, "44922331113759992154992": 20, "1981": 20, "693919841408089681743j": 20, "16227766016838": 21, "09868411346781": 21, "455089860562227j": 21, "9329332815": 21, "4142135623730949234": 21, "4142135623730951455": 21, "9999999999999995559": 21, "0000000000000004441": 21, "euclidean": [21, 28], "cube": 21, "raising": 21, "9999999999999991": 21, "866025403784439j": 21, "equidistant": 21, "indexed": 21, "unique": [21, 28, 32], "circumstances": 21, "zeta_k": 21, "modulo": [21, 25], "back": [21, 28, 31, 32], "16807": 21, "0000000000000009": [21, 25], "584893192461113485202101373391507013269442133825": 21, "07721734501594": 21, "86579517236206j": 21, "15443469003188": 21, "7th": 21, "24747270589553": 21, "166227124177353j": 21, "647824911301003": 21, "07895435170559j": 21, "439648254723098": 21, "17920694574172j": 21, "19605731775069": 21, "391492658196305j": 21, "05181082538903": 21, "691023585965793j": 21, "115529328478668": 21, "25318497558335j": 21, "907748109144957": 21, "871672518271819j": 21, "210": 21, "zeta_0": 21, "zeta_1": 21, "zeta_": 21, "zeta_j": 21, "pmod": 21, "polygon": 21, "vertices": 21, "866025j": 21, "four": [21, 24], "12th": 21, "866025": 21, "group": 21, "cyclic": 21, "whole": 21, "permuted": 21, "866025403784438j": 21, "equals": [21, 32], "totient": 21, "yi": 21, "718281828459045235360287": 21, "3678794411714423215955238": 21, "806818225662921587261496e": 21, "4342": 21, "135483865314736098540939e": 21, "4343": 21, "71828182845904523536028749558": 21, "140692632779269005729": 21, "8984304016040616": 21, "22464679914735e": 21, "16j": 21, "recovers": 21, "own": [21, 23], "41421356237309504880168872421": 21, "43112609": 21, "displaying": 21, "16470269330255923143453723949e": 21, "12978188": 21, "5403023058681397174009366": 21, "8414709848078965066525023j": 21, "1987661103464129406288032": 21, "3095598756531121984439128j": 21, "04321391826377224977441774": 21, "suffer": 21, "potentially": 21, "00000008274037e": [21, 25], "00000000005e": [21, 25], "99999995": 21, "00000012791934e": 21, "fadd": 21, "93147180559945e": 21, "100001": 21, "23370055013617e": 21, "5707963267949e": 21, "log_b": [21, 32], "unspecified": 21, "5707963267949j": 21, "14159265358979j": 21, "6094379124341": 21, "142857": 21, "1447298858494001741434273513530587116472948129153": 21, "33333333333333333333333333333333333333333333333333": 21, "609437912434100374600759": 21, "9272952180016122324285125j": 21, "00000008269037e": 21, "9999999995e": 21, "201": 21, "words": [21, 25, 26], "multivalued": [21, 23], "corless": [21, 30], "5671432904097838729999687": 21, "853581755409037807206819": 21, "11353553941214591260783j": 21, "047020464221569709378686": 21, "155": 21, "4763860949415867162066j": 21, "kinds": 21, "tower": 21, "6411857445049859844862005": 21, "249602852401596227126056": 21, "907755278982137052053974": 21, "224": 21, "8431064451185015393731": 21, "2585092994045684017991": 21, "666666667": 21, "208333333": 21, "56637061435917295385057j": 21, "84955592153875943077586j": 21, "9911485751285526692385j": 21, "join": 21, "9999999999998371330228251": 21, "000000000000162866977175": 21, "22007971483662e": 21, "9j": 21, "999999966242188": 21, "46410161513775": 21, "48202767635957": 21, "261085515723": 21, "643448704": 21, "760133": 21, "34814309345871e": 21, "262166887202249": 21, "0025": 21, "262172347753122": 21, "51055133276184": 21, "547394054060638j": 21, "1679581912": 21, "parametric": [21, 29], "451115405388492": 21, "62560990822191": 21, "3k": 22, "725305": 22, "4628842231660149089976379": 22, "481821753552703090628793j": 22, "604800": 22, "partition": 22, "writing": 22, "location": 22, "4112484791779547734440257": 22, "228348867038575112586878": 22, "gamma_q": 22, "046875": 22, "121226245": 22, "1663082382255199834630088": 22, "01952474576025952984418217j": 22, "428277424823760954685912": 22, "_q": 22, "_z": 22, "2080": 22, "4370556551322672478613695": 22, "2609739839216039203708921j": 22, "_r": 22, "phi_s": 22, "1975849091263356009534385": 22, "806330244925716649839237": 22, "568997623337943121769938j": 22, "112885171773400017270226": 22, "272756997166375050700388j": 22, "6221136748254495583228324": 22, "noted": [23, 24, 32], "angle": [23, 25, 28], "angles": 23, "everywhere": 23, "definitions": [23, 30, 32], "libary": 23, "erroneously": [23, 26], "0471975511966": 23, "9802850113244713353133243": 23, "189625690968807230132555": 23, "109227893755336597979197j": 23, "00138889": 23, "540302305868139717400936602301": 23, "41614683654714238699756823214": 23, "8660254037844386467637232": 23, "1975887055794968911438743": 23, "1544991469114295734673": 23, "168906959966564350754813j": 23, "841470984807896506652502331201": 23, "732050807568877293527446": 23, "2015625081449864533091058": 23, "003764025641504248292751221": 23, "003238627353609801446359j": 23, "55740772465490223050697482944": 23, "10000001": 23, "184723164360392819100265": 23, "04167496441114427004834991": 23, "0906111371962375965296612j": 23, "208333": 23, "0847222": 23, "85081571768092561791175326276": 23, "864910497503629858938891": 23, "09047320975320743980579048": 23, "04120098628857412646300981j": 23, "18839510577812121626159943988": 23, "5773502691896257645091488": 23, "574131876209625656003562": 23, "003739710376336956660117409": 23, "9967577965693583104609688j": 23, "642092615934330703006419974862": 23, "arccosine": 23, "5708": 23, "075": 23, "566370614359172953850574": 23, "arcsine": 23, "5752220392306202846120698": 23, "arctangent": 23, "preserves": 23, "000000000000000000000001": 23, "141592653589793238462644": 23, "unnormalized": 23, "mbox": 23, "entails": 23, "pertaining": 24, "siegel": 24, "reflection": 24, "nonrational": 24, "644934066848226436472415": 24, "000000000000000888178421": 24, "5772156649015328606065121": 24, "03373057338827757067584698": 24, "2774499251557093745297677j": 24, "389": 24, "6841230140842816370741": 24, "295": 24, "2674610150305334025962j": 24, "critical": 24, "13472514173469379045725j": 24, "21j": 24, "02203963877155499262848j": 24, "01085758014568876321379j": 24, "heights": 24, "073032014857753132114076": 24, "780848544363503984261041j": 24, "9535316058375145020351559": 24, "9525945894834273060175651j": 24, "10000000j": 24, "45804061057709254500227": 24, "643437226836021723818215j": 24, "100000000j": 24, "12433106710194942681869": 24, "87221167872304520599418j": 24, "444": 24, "2760822795430400549229": 24, "896": 24, "3789978119185981665403j": 24, "3230": 24, "72682687670422215339": 24, "14374": 24, "36950073615897616781j": 24, "11967": 24, "35573095046402130602": 24, "218945": 24, "7817789262839266148j": 24, "859846483332530337008882": 24, "491808047480981808903986j": 24, "333835494679647915673205": 24, "08405337962602933636096103j": 24, "453": 24, "2764822702057701894278": 24, "581": 24, "963625832768189140995j": 24, "investigation": 24, "3949340668482264364724152": 24, "541879647671606498397663": 24, "5408324774542966919938": 24, "675565317808456852310934": 24, "2432902008176640000": 24, "000242": 24, "140075548947797130681075": 24, "3109263360275413251313634j": 24, "10407": 24, "16081931495861539236": 24, "13777": 24, "78669862804508537384j": 24, "007180821099823942702249e": 24, "916117957092593868321778e": 24, "78j": 24, "9375482543158437537025741": 24, "9946401171494505117104293": 24, "000024300473840810940657": 24, "000061933072352565457512": 24, "000006869443931806408941": 24, "000000173233769531820592": 24, "9999999569989868493432399": 24, "9999999937218844508684206": 24, "9999999996355013916608284": 24, "000000000004610645020747": 24, "81": 24, "01234567901234567901234568": 24, "2899236037682695182085988": 24, "06561206166091757973112783j": 24, "0005117269627574430494396877": 24, "156360390440003294709": 24, "68162300487989766727122e": 24, "77": 24, "01521913704446246609237979": 24, "29907": 24, "72510874248161608216j": 24, "031911949062334538202567e": 24, "1770": 24, "519555750556794218804724e": 24, "426j": 24, "32988355630802510888631": 24, "17706465801374033261383j": 24, "48985276392056641594055": 24, "11604466157397267043655j": 24, "riemannzetafunction": 24, "hurwitzzetafunction": 24, "cecm": [24, 26, 30], "personal": [24, 30], "pborwein": [24, 30], "papers": [24, 26, 30], "p155": [24, 30], "867204951503984": 24, "867199889012184": 24, "822467033424113": 24, "999999999068682": 24, "99999999999999989": 24, "dirichletetafunction": 24, "dirichlet_eta_function": 24, "supplied": 24, "202056903159594285399738": 24, "defines": 24, "verifies": 24, "9159655941772190150546035": 24, "08158073611659279510291217": 24, "5831218080616375602767689": 24, "3915943927068367764719453": 24, "3915943927068367764719454": 24, "1929013167969124293631898": 24, "7059715047839078092146831": 24, "gamma_n": 24, "zeroth": 24, "577215664901533": 24, "0728158454836767": 24, "000205332814909065": 24, "00355772885557316": 24, "57095384420474e": 24, "486": 24, "680424678918e": 24, "1109": 24, "23747539175716": 24, "gamma_1": 24, "0096903631928723184845303860352125293590658061013408": 24, "ainsworth": 24, "howell": 24, "coffey": 24, "mascheroni": 24, "nasa": 24, "technical": 24, "2456": 24, "1985": [24, 30], "ntrs": 24, "archive": 24, "casi": 24, "19850014994_1985014994": 24, "eta_j": 24, "0706": 24, "0343v1": 24, "0343": 24, "stieltjesconstants": 24, "lacim": 24, "uqam": 24, "pidata": 24, "stieltjesgamma": 24, "txt": 24, "strip": 24, "ti": 24, "14484006887480537268266j": 24, "727690": 24, "906948208j": 24, "9069482075392389420041147142092708393819935j": 24, "info": [24, 31], "542964976": 24, "209039046": 24, "578535j": 24, "542964969": 24, "542964978": 24, "013111110": 24, "01311110": 24, "pattern": 24, "rosser": 24, "blocks": 24, "parenthesis": 24, "nine": 24, "1347251417347j": 24, "21136125": 24, "9999999": 24, "32718175j": 24, "21136126": 24, "2400236j": 24, "545439823": 24, "215": 24, "1500000001": 24, "201985j": 24, "1500000002": 24, "325697j": 24, "confirms": 24, "van": 24, "lune": 24, "te": 24, "riele": 24, "winter": 24, "7363054628673177346778998": 24, "1852895764366314976003936": 24, "2773099198055652246992479j": 24, "89689348495089294249178": 24, "46035": 24, "73588": 24, "39357": 24, "13472514173469379045725": 24, "02203963877155499262848": 24, "investigating": 24, "changes": [24, 25], "176": [24, 26], "4414342977104188888926": 24, "g_n": 24, "g10": 24, "g11": 24, "44624769706339480436776": 24, "67523744685325626632663": 24, "54516517954725443703014": 24, "2it": 24, "phase": [24, 25, 29], "767547952812290388302216": 24, "068638039426838572528867": 24, "05804937947429712998395177j": 24, "1234": 24, "0004051864079114053109473741": 24, "68609": 24, "69433": 24, "40218": 24, "28983598883690277966509": 24, "84559954041086081682634": 24, "5488816": 24, "353078403444882823": 24, "745777464310273645": 24, "17028270124630927899664": 24, "67018221781633796093849": 24, "71797995476405317955149": 24, "checking": [24, 25, 32], "42477796076937971538793": 24, "3293531632": 24, "728335454561153": 24, "studying": 24, "9146": 24, "698193171459265866198": 24, "titchmarsh": 24, "217": 24, "16302205431184": 24, "211": 24, "232": 24, "height": 24, "842": 24, "arctan": 24, "663862376708876060218414": 24, "2131391994087528954617607": 24, "4023594781085250936501898": 24, "atanh": 24, "142423447120257137774002": 24, "2118232380980201350495795j": 24, "002025009957009908600539469": 24, "003327897536813558807438089j": 24, "28676272353094275265944": 24, "462130727102185701817349e": 24, "575172198981096218823481e": 24, "112658784011940": 24, "5605789002": 24, "498113185": 24, "5756221777743631j": 24, "044674457556746668033975": 24, "04674508654012658932271226j": 24, "044629338021507546737197": 24, "04667768813963388181708101j": 24, "249503297023366545192592": 24, "2314252413375664776474462j": 24, "253978063946663945672674": 24, "2316736622836535468765376j": 24, "_s": 24, "elsewhere": 24, "582240526465012": 24, "21852526068613": 24, "53721319360804": 24, "536301287357863": 24, "23378441241546j": 24, "1982778868581": 24, "05968879432873": 24, "71678149306807j": 24, "150891632373114": 24, "067618332081142": 24, "0384353698579347": 24, "0912451798066779j": 24, "205616758356028": 24, "915965594177219j": 24, "534247512515375": 24, "765587078525922j": 24, "765587078525921j": 24, "517479061673899": 24, "111111": 24, "04": 24, "037037": 24, "015625": 24, "008": 24, "17624173838258": 24, "909670702980385": 24, "24258605789446": 24, "00222938275488344j": 24, "40j": 24, "1421172179728": 24, "92726697721369j": 24, "400j": 24, "41934747194626": 24, "94037752563927j": 24, "richard": 24, "crandall": 24, "reed": 24, "edu": 24, "faculty": 24, "cl": 24, "kz": 24, "classical": 24, "6533010136329338746275795": 24, "8860032351260589402871624": 24, "2047709230104579724675985": 24, "cl2": 24, "2465045302347694216534255": 24, "014941606409653625021203": 24, "becoming": 24, "3636895456083490948304773": 24, "5661751584451144991707161": 24, "3z": 24, "1903105029507513881275865": 24, "1089406163841548817581392": 24, "892316224968072424732898e": 24, "nonconvergent": 24, "593079480117379002516034": 24, "9038644233367868273362446j": 24, "widetilde": 24, "6518926267198991308332759": 24, "8155530586502260817855618": 24, "6720334373369714849797918": 24, "7805359025135583118863007": 24, "renormalized": 24, "2607829375240542480694126": 24, "1472635054979944390848006": 24, "8671998890121841381913472": 24, "997921055881167659267063e": 24, "008333333333333333333333333": 24, "9407430121562251476136807": 24, "715826296033590204557054j": 24, "polyexponential": 24, "e_s": 24, "analogously": 24, "generalization": 24, "101755547733791780315904": 24, "351660261190434618268706": 24, "202966666673054671364215j": 24, "499471750566824369520223e": 24, "042192318847986561771779": 24, "sum_p": 24, "452247420041065498506543364832": 24, "15483752698840284272036497397": 24, "17476263929944353642311331466570670097541212192615": 24, "12085382601645763295": 24, "013370403397787023602j": 24, "31571845205389007685": 24, "exhibits": 24, "squarefree": 24, "1415926535897932385j": 24, "0416106801757269036": 24, "52359877559829887308j": 24, "54892423556409790529": 24, "45626803423487934264j": 24, "principle": 24, "00099360357443698021786": 24, "0009765625": 24, "3326361850321887899e": 24, "8565440833654995949e": 24, "4985390447553234305e": 24, "carl": 24, "erik": 24, "froberg": 24, "bit": [24, 26, 32], "1968": 24, "187": 24, "015": 24, "secondary": 24, "tau_n": 24, "frac12": 24, "runs": [24, 26], "meromorphic": 24, "023104993115419": 24, "xi": 24, "ask": 24, "216272011276718": 24, "844952708937228j": 24, "dyadic": 24, "67236328125": 24, "notes": [24, 25], "mangoldt": 24, "responsible": 24, "theoretically": 24, "depend": [24, 25], "30190318549": 24, "138656312556": 24, "13964804384": 24, "624622876523j": 24, "132717176": 24, "89212754625045": 24, "188980555": 24, "17563978290601j": 24, "542447428666": 24, "07179812536": 24, "362434922978": 24, "80192435203j": 24, "512124392939": 24, "98154322355": 24, "348281138038": 24, "65531023921j": 24, "059471043": 24, "3463514534j": 24, "455191523e": 24, "151962888": 24, "19606243907725": 24, "217930683": 24, "90210294051982j": 24, "2476659342": 24, "3038722372461": 24, "28711581821": 24, "921627163136j": 24, "178506047114": 24, "7838188264": 24, "819674143244": 24, "45677330576j": 24, "175877424884": 24, "22441310708": 24, "790744630738": 24, "28669174871j": 24, "notice": 24, "great": 24, "voros": 24, "ann": 24, "institute": 24, "665": 24, "699": 24, "lecture": 24, "unione": 24, "matematica": 24, "italiana": 24, "2009": [24, 31], "aid": 25, "programming": 25, "losslessly": [25, 32], "1000000000000001": 25, "collections": 25, "unrecognized": 25, "companion": 25, "prints": 25, "strip_zeros": 25, "min_fixed": 25, "max_fixed": 25, "show_zero_exponent": 25, "to_str": 25, "position": [25, 32], "05494e": 25, "151": 25, "0000e": 25, "00000000050000": 25, "mode": [25, 31], "flag": [25, 31], "ceiling": 25, "down": 25, "0000000000000004": 25, "00000000000000000001": 25, "enforcing": 25, "familiar": 25, "laws": 25, "don": [25, 28], "differences": 25, "100000000000000000000": 25, "overflowerror": [25, 32], "fit": 25, "memory": [25, 32], "subtracts": 25, "9999999999999998": 25, "99999999999999999999": 25, "subtraction": [25, 32], "negates": 25, "negating": 25, "roundoff": 25, "200000000000000000000001": 25, "200000000000000016777216": 25, "multiplies": 25, "avoiding": 25, "10000000001000010000000001": 25, "0000000001e": 25, "10000000001000011026399232": 25, "divides": 25, "66666666666666663": 25, "6666259765625": 25, "66666666666666667": 25, "66666666666666674": 25, "7007434154172148e": 25, "mod": 25, "61062773871641": 25, "dot": 25, "accepts": [25, 28], "conjugated": 25, "projection": 25, "onto": 25, "707106781186547": [25, 28], "707106781186547j": [25, 28], "signed": 25, "785398163397448": 25, "927295218001612": 25, "necessarily": [25, 26, 28], "1000000000000000019884624838656": 25, "1000000000000000000000000000001": 25, "acts": 25, "separately": [25, 26, 32], "lceil": 25, "rceil": 25, "greater": 25, "tie": 25, "plotted": [25, 29], "sawtooth": 25, "31831": 25, "159155": 25, "106103": 25, "0795775": 25, "fractionalpart": 25, "chops": 25, "18j": 25, "rel_eps": 25, "abs_eps": 25, "determine": 25, "epsilons": 25, "presence": 25, "141592653589793": 25, "141592653589790": 25, "141592653589700": 25, "1024": 25, "quick": [25, 27], "bound": [25, 26], "log_2": 25, "00000001": 25, "000001": 25, "0100000000000000002081668171172": 25, "randomly": 25, "mantissa": [25, 32], "sizes": 25, "evenly": 25, "samples": [25, 32], "partitioning": 25, "catch": 25, "wrapped": 25, "copy": [25, 28, 30], "repeatedly": 25, "heuristically": 25, "protects": 25, "against": 25, "slowdown": 25, "compared": 25, "fooled": 25, "discontinuously": 25, "judiciously": 25, "sensitive": 25, "unknown": [25, 26], "03284785591801e": 25, "25e30": 25, "12954868316652e": 25, "2910": 25, "protect": 25, "severe": 25, "expm1": 25, "exceptions": 25, "intercept": 25, "signaling": 25, "normalize_output": 25, "sets": 25, "executes": 25, "restores": 25, "decorated": 25, "execution": 25, "parent": 25, "memoized": 25, "reused": 25, "909297426825682": 25, "95520948210738": 25, "monitors": 25, "action": 25, "outputs": 25, "stdout": 25, "total": 25, "count": 25, "99999999906867742538452148": 25, "7182818259274480055282064": 25, "0000000009313225746154785": 25, "7182818309906424675501024": 25, "7182808": 25, "disable": 25, "handler": 25, "handlers": 25, "store": 25, "later": [25, 31], "1415926535897932": 25, "1415076583334066": 25, "49952562843408e": 25, "1415928201669122": 25, "66577118985331e": 25, "elapsed": 25, "concerned": 26, "7320508075688772935274463": 26, "subject": 26, "restrictions": 26, "thanks": 26, "existence": 26, "developed": 26, "ferguson": 26, "automated": 26, "silver": 26, "bullet": 26, "guessed": 26, "combining": 26, "extent": 26, "combined": 26, "facilities": 26, "inspired": 26, "calculator": 26, "isc": 26, "lookup": 26, "millions": 26, "precomputed": 26, "mitigating": 26, "complexity": [26, 30], "maxcoeff": 26, "match": 26, "matching": 26, "looks": 26, "divided": 26, "expressions": 26, "dict": 26, "spurious": 26, "preferably": 26, "identifications": 26, "safely": 26, "22222222222222222": 26, "9662210973805663": 26, "1132503787829275": 26, "881373587019543": 26, "recognize": 26, "finds": 26, "117": 26, "39": 26, "92": 26, "identified": 26, "atomic": 26, "express": 26, "erroneous": [26, 29], "76": 26, "44": 26, "lowering": 26, "113": 26, "269": 26, "supplying": 26, "endless": 26, "14157719846001": 26, "98": [26, 29], "14166950419369": 26, "14158000062992": 26, "14158791577159": 26, "processing": 26, "algebraically": 26, "simplest": 26, "sympy": [26, 28], "sympify": 26, "evalf": 26, "nsimplify": 26, "miscellaneous": 26, "limitations": [26, 32], "rationals": 26, "worst": [26, 32], "seconds": 26, "finish": 26, "search": 26, "verbatim": 26, "4142135623731": [26, 28], "despite": 26, "10x": 26, "minimal": 26, "constraints": 26, "reducing": 26, "95": [26, 32], "545": 26, "863": 26, "183": 26, "298": 26, "836": 26, "1734": 26, "2658": 26, "457": 26, "strict": 26, "unwanted": 26, "detected": 26, "premature": 26, "exit": 26, "reached": 26, "running": [26, 27], "happening": 26, "14285714285714": 26, "14159292035398": 26, "238410049439": 26, "75888275702": 26, "machin": 26, "acot": 26, "239": 26, "110443": 26, "luck": 26, "removing": [26, 29], "translation": 26, "pseudocode": 26, "david": [26, 32], "organics": 26, "node3": 26, "7x": 26, "project": 27, "website": 27, "docstring": 27, "listing": 27, "interpreter": [27, 31], "access": [27, 28], "function_name": 27, "prompt": 27, "download": 27, "installation": 27, "gmpy": 27, "compiling": 27, "utility": 27, "components": [27, 29], "tolerances": 27, "comparisons": 27, "management": [27, 31], "debugging": 27, "curve": 27, "surface": 27, "top": 27, "identification": 27, "recognition": 27, "pslq": 27, "correctness": 27, "guarantees": 27, "emulation": 27, "reading": 27, "dictionaries": 28, "sparse": 28, "rows": 28, "cols": 28, "concerning": 28, "discarded": 28, "comfortable": 28, "lets": 28, "diag": 28, "diagonal": 28, "eye": 28, "randmatrix": 28, "53491598236191806": 28, "57195669543302752": 28, "85589992269513615": 28, "82444367501382143": 28, "life": 28, "easier": 28, "flat": 28, "accessed": 28, "782963853573023": 28, "802057689719883": 28, "427895717335467": 28, "0541876859348597": 28, "708243266653103": 28, "615134039977379": 28, "856151514955773": 28, "544759264818486": 28, "686210904770947": 28, "07e": 28, "66e": 28, "06e": 28, "89e": 28, "29e": 28, "62e": 28, "47e": 28, "82e": 28, "33e": 28, "75e": 28, "93e": 28, "86e": 28, "71e": 28, "01e": 28, "53e": 28, "13e": 28, "32e": 28, "59e": 28, "56e": 28, "27e": 28, "05e": 28, "67e": 28, "79e": 28, "mutable": 28, "arrays": 28, "numpy": 28, "tolist": 28, "subtract": [28, 32], "file": [28, 29], "stdin": 28, "238": 28, "__add__": 28, "incompatible": 28, "scalars": 28, "wise": 28, "08e": 28, "17e": 28, "transposition": 28, "straightforward": [28, 32], "nature": 28, "entrywise": 28, "sum_k": 28, "absmax": 28, "frobenius": 28, "mnorm": 28, "112": 28, "5186549850325": 28, "maximal": 28, "spectral": 28, "fro": 28, "elementwise": 28, "rank": 28, "_f": 28, "lacks": 28, "1006": 28, "2310867787777": 28, "cholesky": 28, "hermitian": 28, "lu": 28, "determines": 28, "definiteness": 28, "hilbert": 28, "33333": 28, "41421": 28, "353553": 28, "09924": 28, "235702": 28, "15162": 28, "05899": 28, "968246": 28, "129099": 28, "856349": 28, "cholesky_decomposition": 28, "lu_solve": 28, "trust": [28, 32], "residual": 28, "46944695195361e": 28, "inaccuracy": 28, "basically": 28, "minimized": 28, "squares": 28, "afford": 28, "qr_solve": 28, "571428571428571": 28, "214285714285714": 28, "qr": 28, "301511344577764": 28, "861640436855329": 28, "408248290463863": 28, "904534033733291": 28, "123091490979333": 28, "492365963917331": 28, "816496580927726": 28, "3166247903554": 28, "52267016866645": 28, "738548945875996": 28, "routines": 28, "svd_r": 28, "svd_c": 28, "svd": 28, "unified": 28, "unitary": 28, "transpose": 28, "conjugation": 28, "eigenvalues": 28, "compute_uv": 28, "routine": 28, "417": 28, "transpose_conj": 28, "eig": 28, "er": 28, "el": 28, "eigenvectors": 28, "eig_sort": 28, "eigsy": 28, "eighe": 28, "eigh": 28, "diagonalizes": 28, "eigvals_only": 28, "2582327113062393041": 28, "2582327113062749951": 28, "155049396267856583": 28, "155049396267821167": 28, "4206915477497212555": 28, "4206915477497310922": 28, "9999999999999866773": 28, "0000000000000133227": 28, "59999999999972430942": 28, "60000000000027142733": 28, "49999999999982236432": 28, "50000000000018474111": 28, "expm": 28, "86814500615414": 28, "26812870852145": 28, "841130841230196": 28, "44114713886289": 28, "42699786729125": 28, "6000162976327": 28, "46869393991589": 28, "28735528717884j": 28, "03776739863568": 28, "536943175722j": 28, "65024064048415e": 28, "2050488462815550": 28, "14228140091932e": 28, "47925220414035e": 28, "2050488462815551": 28, "noncommuting": 28, "0927851137247": 28, "cosm": 28, "424403834569555": 28, "316643413047167": 28, "221474945949293": 28, "820646708837824": 28, "127183694770039": 28, "909236687217541": 28, "833730025131149": 28, "988897705762865j": 28, "07485840848393": 28, "17192140544213j": 28, "54308063481524": 28, "sinm": 28, "711608512150994": 28, "339783913247439": 28, "220742837314741": 28, "244113865695532": 28, "187231271174372": 28, "155816730769635": 28, "29845758141598": 28, "634963914784736j": 28, "96751511930922": 28, "314700021761367j": 28, "1752011936438j": 28, "sqrtm": 28, "_may_rotate": 28, "920442065259926": 28, "21728689675164j": 28, "568864481005783": 28, "351577584254143j": 28, "351577584254143": 28, "568864481005783j": 28, "t1": 28, "t2": 28, "930507621912314": 28, "366272529086048": 28, "43715112194995": 28, "324127569985474": 28, "8481718827526": 28, "251549715716942": 28, "32699765900402": 28, "48221180985147": 28, "11609388833616": 28, "775751877098258": 28, "017955697342": 28, "matlab": 28, "56669890360128": 28, "74077655955698": 28, "61116483933547": 28, "17786374293675": 28, "53155328326114e": 28, "logm": 28, "808757": 28, "107759j": 28, "20752": 28, "202762j": 28, "07376": 28, "773874j": 28, "905709": 28, "107795j": 28, "0287395": 28, "824993j": 28, "111619": 28, "514272j": 28, "930151": 28, "399512j": 28, "06266": 28, "674397j": 28, "791552": 28, "519839j": 28, "0833333333333333": 28, "58318530717959": 28, "5597513593433": 28, "27721006042799": 28, "317662687717978": 28, "5222778973542": 28, "24003708791604": 28, "395212822267": 28, "powm": 28, "69": 28, "174": 28, "89": 28, "199": 28, "164": 28, "179": 28, "fib": 28, "5166626964253": 28, "0121089837381789j": 28, "2078589271083": 28, "0195927472575932j": 28, "30880376931698": 28, "0317017309957721j": 28, "3076953002666": 28, "008222855781077j": 28, "81733464837593": 28, "0133048601383712j": 28, "49036065189071": 28, "0215277159194482j": 28, "matplotlib": 29, "graphs": 29, "xlim": 29, "ylim": 29, "dpi": 29, "axes": 29, "fresnels": 29, "fresnelc": 29, "floor": 29, "graph": 29, "excluded": 29, "vertical": 29, "lines": 29, "dashes": 29, "pylab": 29, "color": 29, "hue": 29, "brightness": 29, "rgb": 29, "renders": 29, "white": 29, "reals": 29, "black": 29, "gold": 29, "blue": 29, "image": 29, "000": 29, "thereabout": 29, "display": [29, 32], "donut": 29, "keep_aspect": 29, "wireframe": 29, "component": 29, "comprehensive": 30, "development": [30, 32], "cited": 30, "source": [30, 31, 32], "handbook": 30, "9th": 30, "ed": 30, "tenth": 30, "december": 30, "1972": 30, "electronic": 30, "bender": 30, "orszag": 30, "scientists": 30, "engineers": 30, "1999": 30, "borweinbailey": 30, "borweinborwein": 30, "agm": 30, "wiley": 30, "borweinzeta": 30, "cabral": 30, "rosetti": 30, "sanchis": 30, "lozano": 30, "loop": 30, "feynman": 30, "diagrams": 30, "hep": 30, "ph": 30, "0206081": 30, "9409227v1": 30, "adv": 30, "1996": 30, "329": 30, "apmaths": 30, "uwo": 30, "djeffrey": 30, "offprints": 30, "digital": 30, "gradshteyn": 30, "ryzhik": 30, "jeffrey": 30, "zwillinger": 30, "eds": 30, "seventh": 30, "graves": 30, "morris": 30, "roberts": 30, "salam": 30, "topics": 30, "volume": 30, "122": 30, "issue": [30, 31], "october": 30, "mpfr": 30, "team": 30, "proofs": 30, "spouge": 30, "digamma": 30, "trigamma": 30, "numer": 30, "anal": 30, "931": 30, "944": 30, "1994": 30, "srivastava": 30, "karlsson": 30, "ellis": 30, "horwood": 30, "0804": 30, "0655": 30, "1946": 30, "free": 30, "encyclopedia": 30, "main_page": 30, "research": 30, "inc": 30, "site": 30, "setup": 31, "files": 31, "downloaded": 31, "package": 31, "tar": 31, "gz": 31, "extract": 31, "open": 31, "extracted": 31, "directory": [31, 32], "py": 31, "install": 31, "releases": 31, "registered": 31, "pypi": 31, "latest": 31, "release": 31, "installed": 31, "easy_install": 31, "old": 31, "upgrade": 31, "deleting": 31, "folders": 31, "eggs": 31, "egg": 31, "dist": 31, "build": 31, "sudo": 31, "apt": 31, "science": 31, "repository": 31, "yast": 31, "tool": 31, "sdb": 31, "add_package_repositories": 31, "repositories": 31, "opensuse_11": 31, "your": 31, "url": 31, "git": 31, "https": 31, "github": 31, "fredrik": 31, "johansson": 31, "completed": 31, "fire": 31, "4142135623730950488016887242096980785696718753769": 31, "2831853071795864769252867665590057683943387987502": 31, "upgrading": 31, "uninstall": 31, "remove": 31, "03": 31, "detect": 31, "transparently": 31, "intead": 31, "backend": 31, "libmp": [31, 32], "mpmath_nogmpy": 31, "environment": 31, "switched": 31, "runtime": 31, "sure": 31, "subdirectory": 31, "pyargs": 31, "send": 31, "bug": [31, 32], "report": 31, "tracker": 31, "diagnostics": 31, "mpmath_strict": 31, "compiled": [31, 32], "sphinx": 31, "go": 31, "run_doctest": 31, "doctests": 31, "minutes": 31, "demo": 31, "scripts": 31, "preinstalled": 31, "date": 31, "07": 31, "09": 31, "notebook": 31, "gui": 31, "license": 31, "libs": 31, "realnumber": 31, "complexnumber": 31, "829461427614568389103088452": 31, "6873182714701631444280787545": 31, "rings": 31, "complex_number": 31, "entering": 32, "purposes": 32, "technique": 32, "thing": 32, "understanding": 32, "overview": 32, "concepts": 32, "understand": 32, "propagate": 32, "answers": 32, "design": 32, "contrived": 32, "chance": 32, "accidentally": 32, "obtaining": 32, "looking": 32, "suspicious": 32, "claims": 32, "cross": 32, "logarithmically": 32, "incorrect": 32, "man": 32, "representable": 32, "distinguish": 32, "uniqueness": 32, "mantissas": 32, "exponents": 32, "involved": 32, "technically": 32, "bc": 32, "vs": 32, "bitcount": 32, "redundant": 32, "keeping": 32, "field": 32, "scratch": 32, "lack": 32, "purpose": 32, "contrary": 32, "popular": 32, "belief": 32, "come": 32, "inherent": 32, "inexact": 32, "multiples": 32, "preserve": 32, "introduces": 32, "obviously": 32, "computer": 32, "futile": 32, "complain": 32, "asked": 32, "chugs": 32, "resources": 32, "allocate": 32, "entirely": 32, "refer": 32, "commented": 32, "extensively": 32, "interaction": 32, "translating": 32, "subtle": 32, "novices": 32, "addressed": 32, "faq": 32, "19999999999999996": 32, "who": 32, "perhaps": 32, "proportionally": 32, "translate": 32, "minor": 32, "interprets": 32, "correlate": 32, "conversely": 32, "doing": 32, "00000000000000088817841970012523233890533447265625": 32, "decimals": 32, "converse": 32, "guranteed": 32, "stricter": 32, "temporary": 32, "70": 32, "exercise": 32, "judgement": 32, "rigor": 32, "covers": 32, "spectrum": 32, "handling": 32, "blindly": 32, "hoping": 32, "goal": 32, "farther": 32, "sized": 32, "radix": 32, "largely": 32, "behavedness": 32, "sections": 32, "ieee": 32, "754": 32, "emulates": 32, "incompatibility": 32, "restricted": 32, "emulate": 32, "registers": 32, "gcc": 32, "subnormally": 32, "lose": 32, "textbooks": 32, "web": 32, "goldberg": 32, "scientist": 32}, "objects": {"mpmath": [[23, 0, 1, "", "acos"], [16, 0, 1, "", "acosh"], [23, 0, 1, "", "acot"], [16, 0, 1, "", "acoth"], [23, 0, 1, "", "acsc"], [16, 0, 1, "", "acsch"], [21, 0, 1, "", "agm"], [11, 0, 1, "", "airyai"], [11, 0, 1, "", "airyaizero"], [11, 0, 1, "", "airybi"], [11, 0, 1, "", "airybizero"], [25, 0, 1, "", "almosteq"], [24, 0, 1, "", "altzeta"], [11, 0, 1, "", "angerj"], [17, 0, 1, "", "appellf1"], [17, 0, 1, "", "appellf2"], [17, 0, 1, "", "appellf3"], [17, 0, 1, "", "appellf4"], [25, 0, 1, "", "arange"], [25, 0, 1, "", "arg"], [23, 0, 1, "", "asec"], [16, 0, 1, "", "asech"], [23, 0, 1, "", "asin"], [16, 0, 1, "", "asinh"], [23, 0, 1, "", "atan"], [23, 0, 1, "", "atan2"], [16, 0, 1, "", "atanh"], [25, 0, 1, "", "autoprec"], [24, 0, 1, "", "backlunds"], [15, 0, 1, "", "barnesg"], [11, 0, 1, "", "bei"], [19, 0, 1, "", "bell"], [11, 0, 1, "", "ber"], [19, 0, 1, "", "bernfrac"], [19, 0, 1, "", "bernoulli"], [19, 0, 1, "", "bernpoly"], [11, 0, 1, "", "besseli"], [11, 0, 1, "", "besselj"], [11, 0, 1, "", "besseljzero"], [11, 0, 1, "", "besselk"], [11, 0, 1, "", "bessely"], [11, 0, 1, "", "besselyzero"], [15, 0, 1, "", "beta"], [15, 0, 1, "", "betainc"], [17, 0, 1, "", "bihyper"], [15, 0, 1, "", "binomial"], [21, 0, 1, "", "cbrt"], [25, 0, 1, "", "ceil"], [1, 0, 1, "", "chebyfit"], [20, 0, 1, "", "chebyt"], [20, 0, 1, "", "chebyu"], [14, 0, 1, "", "chi"], [28, 0, 1, "", "cholesky"], [25, 0, 1, "", "chop"], [14, 0, 1, "", "ci"], [24, 0, 1, "", "clcos"], [24, 0, 1, "", "clsin"], [9, 0, 1, "", "cohen_alt"], [25, 0, 1, "", "conj"], [23, 0, 1, "", "cos"], [16, 0, 1, "", "cosh"], [28, 0, 1, "", "cosm"], [23, 0, 1, "", "cospi"], [23, 0, 1, "", "cot"], [16, 0, 1, "", "coth"], [11, 0, 1, "", "coulombc"], [11, 0, 1, "", "coulombf"], [11, 0, 1, "", "coulombg"], [29, 0, 1, "", "cplot"], [23, 0, 1, "", "csc"], [16, 0, 1, "", "csch"], [19, 0, 1, "", "cyclotomic"], [23, 0, 1, "", "degrees"], [2, 0, 1, "", "diff"], [2, 0, 1, "", "differint"], [2, 0, 1, "", "diffs"], [2, 0, 1, "", "diffs_exp"], [2, 0, 1, "", "diffs_prod"], [15, 0, 1, "", "digamma"], [24, 0, 1, "", "dirichlet"], [14, 0, 1, "", "e1"], [14, 0, 1, "", "ei"], [13, 0, 1, "", "ellipe"], [13, 0, 1, "", "ellipf"], [13, 0, 1, "", "ellipfun"], [13, 0, 1, "", "ellipk"], [13, 0, 1, "", "ellippi"], [13, 0, 1, "", "elliprc"], [13, 0, 1, "", "elliprd"], [13, 0, 1, "", "elliprf"], [13, 0, 1, "", "elliprg"], [13, 0, 1, "", "elliprj"], [14, 0, 1, "", "erf"], [14, 0, 1, "", "erfc"], [14, 0, 1, "", "erfi"], [14, 0, 1, "", "erfinv"], [13, 0, 1, "", "eta"], [19, 0, 1, "", "eulernum"], [19, 0, 1, "", "eulerpoly"], [21, 0, 1, "", "exp"], [14, 0, 1, "", "expint"], [21, 0, 1, "", "expj"], [21, 0, 1, "", "expjpi"], [28, 0, 1, "", "expm"], [21, 0, 1, "", "expm1"], [25, 0, 1, "", "extradps"], [25, 0, 1, "", "extraprec"], [25, 0, 1, "", "fabs"], [15, 0, 1, "", "fac2"], [15, 0, 1, "", "factorial"], [25, 0, 1, "", "fadd"], [25, 0, 1, "", "fdiv"], [25, 0, 1, "", "fdot"], [15, 0, 1, "", "ff"], [19, 0, 1, "", "fibonacci"], [26, 0, 1, "", "findpoly"], [7, 0, 1, "", "findroot"], [25, 0, 1, "", "floor"], [25, 0, 1, "", "fmod"], [25, 0, 1, "", "fmul"], [25, 0, 1, "", "fneg"], [1, 0, 1, "", "fourier"], [1, 0, 1, "", "fourierval"], [25, 0, 1, "", "fprod"], [25, 0, 1, "", "frac"], [25, 0, 1, "", "fraction"], [14, 0, 1, "", "fresnelc"], [14, 0, 1, "", "fresnels"], [25, 0, 1, "", "frexp"], [25, 0, 1, "", "fsub"], [25, 0, 1, "", "fsum"], [15, 0, 1, "", "gamma"], [14, 0, 1, "", "gammainc"], [15, 0, 1, "", "gammaprod"], [20, 0, 1, "", "gegenbauer"], [24, 0, 1, "", "grampoint"], [11, 0, 1, "", "hankel1"], [11, 0, 1, "", "hankel2"], [15, 0, 1, "", "harmonic"], [20, 0, 1, "", "hermite"], [17, 0, 1, "", "hyp0f1"], [17, 0, 1, "", "hyp1f1"], [17, 0, 1, "", "hyp1f2"], [17, 0, 1, "", "hyp2f0"], [17, 0, 1, "", "hyp2f1"], [17, 0, 1, "", "hyp2f2"], [17, 0, 1, "", "hyp2f3"], [17, 0, 1, "", "hyp3f2"], [17, 0, 1, "", "hyper"], [17, 0, 1, "", "hyper2d"], [17, 0, 1, "", "hypercomb"], [15, 0, 1, "", "hyperfac"], [11, 0, 1, "", "hyperu"], [21, 0, 1, "", "hypot"], [26, 0, 1, "", "identify"], [25, 0, 1, "", "im"], [5, 0, 1, "", "invertlaplace"], [25, 0, 1, "", "isfinite"], [25, 0, 1, "", "isinf"], [25, 0, 1, "", "isint"], [25, 0, 1, "", "isnan"], [25, 0, 1, "", "isnormal"], [11, 0, 1, "", "j0"], [11, 0, 1, "", "j1"], [20, 0, 1, "", "jacobi"], [13, 0, 1, "", "jtheta"], [11, 0, 1, "", "kei"], [11, 0, 1, "", "ker"], [13, 0, 1, "", "kfrom"], [13, 0, 1, "", "kleinj"], [20, 0, 1, "", "laguerre"], [21, 0, 1, "", "lambertw"], [25, 0, 1, "", "ldexp"], [20, 0, 1, "", "legendre"], [20, 0, 1, "", "legenp"], [20, 0, 1, "", "legenq"], [24, 0, 1, "", "lerchphi"], [9, 0, 1, "", "levin"], [14, 0, 1, "", "li"], [9, 0, 1, "", "limit"], [25, 0, 1, "", "linspace"], [21, 0, 1, "", "ln"], [21, 0, 1, "", "log"], [21, 0, 1, "", "log10"], [21, 0, 1, "", "log1p"], [15, 0, 1, "", "loggamma"], [28, 0, 1, "", "logm"], [11, 0, 1, "", "lommels1"], [11, 0, 1, "", "lommels2"], [25, 0, 1, "", "mag"], [19, 0, 1, "", "mangoldt"], [25, 0, 1, "", "maxcalls"], [17, 0, 1, "", "meijerg"], [25, 0, 1, "", "memoize"], [13, 0, 1, "", "mfrom"], [28, 0, 1, "", "mnorm"], [25, 0, 1, "", "monitor"], [25, 0, 1, "", "mpmathify"], [14, 0, 1, "", "ncdf"], [25, 0, 1, "", "nint"], [25, 0, 1, "", "nint_distance"], [28, 0, 1, "", "norm"], [14, 0, 1, "", "npdf"], [25, 0, 1, "", "nprint"], [9, 0, 1, "", "nprod"], [25, 0, 1, "", "nstr"], [9, 0, 1, "", "nsum"], [24, 0, 1, "", "nzeros"], [6, 0, 1, "", "odefun"], [1, 0, 1, "", "pade"], [11, 0, 1, "", "pcfd"], [11, 0, 1, "", "pcfu"], [11, 0, 1, "", "pcfv"], [11, 0, 1, "", "pcfw"], [29, 0, 1, "", "plot"], [25, 0, 1, "", "polar"], [24, 0, 1, "", "polyexp"], [24, 0, 1, "", "polylog"], [8, 0, 1, "", "polyroots"], [8, 0, 1, "", "polyval"], [21, 0, 1, "", "power"], [28, 0, 1, "", "powm"], [21, 0, 1, "", "powm1"], [19, 0, 1, "", "primepi"], [19, 0, 1, "", "primepi2"], [24, 0, 1, "", "primezeta"], [15, 0, 1, "", "psi"], [26, 0, 1, "", "pslq"], [13, 0, 1, "", "qbarfrom"], [22, 0, 1, "", "qfac"], [13, 0, 1, "", "qfrom"], [22, 0, 1, "", "qgamma"], [22, 0, 1, "", "qhyper"], [22, 0, 1, "", "qp"], [4, 0, 1, "", "quad"], [4, 0, 1, "", "quadosc"], [23, 0, 1, "", "radians"], [25, 0, 1, "", "rand"], [25, 0, 1, "", "re"], [25, 0, 1, "", "rect"], [15, 0, 1, "", "rf"], [15, 0, 1, "", "rgamma"], [9, 0, 1, "", "richardson"], [19, 0, 1, "", "riemannr"], [21, 0, 1, "", "root"], [11, 0, 1, "", "scorergi"], [11, 0, 1, "", "scorerhi"], [23, 0, 1, "", "sec"], [16, 0, 1, "", "sech"], [24, 0, 1, "", "secondzeta"], [9, 0, 1, "", "shanks"], [14, 0, 1, "", "shi"], [14, 0, 1, "", "si"], [24, 0, 1, "", "siegeltheta"], [24, 0, 1, "", "siegelz"], [25, 0, 1, "", "sign"], [23, 0, 1, "", "sin"], [23, 0, 1, "", "sinc"], [23, 0, 1, "", "sincpi"], [16, 0, 1, "", "sinh"], [28, 0, 1, "", "sinm"], [23, 0, 1, "", "sinpi"], [20, 0, 1, "", "spherharm"], [29, 0, 1, "", "splot"], [21, 0, 1, "", "sqrt"], [28, 0, 1, "", "sqrtm"], [24, 0, 1, "", "stieltjes"], [19, 0, 1, "", "stirling1"], [19, 0, 1, "", "stirling2"], [11, 0, 1, "", "struveh"], [11, 0, 1, "", "struvel"], [9, 0, 1, "", "sumap"], [9, 0, 1, "", "sumem"], [15, 0, 1, "", "superfac"], [23, 0, 1, "", "tan"], [16, 0, 1, "", "tanh"], [13, 0, 1, "", "taufrom"], [1, 0, 1, "", "taylor"], [25, 0, 1, "", "timing"], [21, 0, 1, "", "unitroots"], [11, 0, 1, "", "webere"], [11, 0, 1, "", "whitm"], [11, 0, 1, "", "whitw"], [25, 0, 1, "", "workdps"], [25, 0, 1, "", "workprec"], [24, 0, 1, "", "zeta"], [24, 0, 1, "", "zetazero"]], "mpmath.calculus.inverselaplace": [[5, 1, 1, "", "FixedTalbot"], [5, 1, 1, "", "Stehfest"], [5, 1, 1, "", "deHoog"]], "mpmath.calculus.inverselaplace.FixedTalbot": [[5, 2, 1, "", "calc_laplace_parameter"], [5, 2, 1, "", "calc_time_domain_solution"]], "mpmath.calculus.inverselaplace.Stehfest": [[5, 2, 1, "", "calc_laplace_parameter"], [5, 2, 1, "", "calc_time_domain_solution"]], "mpmath.calculus.inverselaplace.deHoog": [[5, 2, 1, "", "calc_laplace_parameter"], [5, 2, 1, "", "calc_time_domain_solution"]], "mpmath.calculus.optimization": [[7, 1, 1, "", "ANewton"], [7, 1, 1, "", "Anderson"], [7, 1, 1, "", "Bisection"], [7, 1, 1, "", "Halley"], [7, 1, 1, "", "Illinois"], [7, 1, 1, "", "MDNewton"], [7, 1, 1, "", "MNewton"], [7, 1, 1, "", "Muller"], [7, 1, 1, "", "Newton"], [7, 1, 1, "", "Pegasus"], [7, 1, 1, "", "Ridder"], [7, 1, 1, "", "Secant"]], "mpmath.calculus.quadrature": [[4, 1, 1, "", "GaussLegendre"], [4, 1, 1, "", "QuadratureRule"], [4, 1, 1, "", "TanhSinh"]], "mpmath.calculus.quadrature.GaussLegendre": [[4, 2, 1, "", "calc_nodes"]], "mpmath.calculus.quadrature.QuadratureRule": [[4, 2, 1, "", "calc_nodes"], [4, 2, 1, "", "clear"], [4, 2, 1, "", "estimate_error"], [4, 2, 1, "", "get_nodes"], [4, 2, 1, "", "guess_degree"], [4, 2, 1, "", "sum_next"], [4, 2, 1, "", "summation"], [4, 2, 1, "", "transform_nodes"]], "mpmath.calculus.quadrature.TanhSinh": [[4, 2, 1, "", "calc_nodes"], [4, 2, 1, "", "sum_next"]], "mpmath.functions": [[13, 3, 0, "-", "elliptic"]], "mpmath.mp": [[12, 4, 1, "", "apery"], [12, 4, 1, "", "catalan"], [12, 4, 1, "", "degree"], [12, 4, 1, "", "e"], [12, 4, 1, "", "euler"], [12, 4, 1, "", "glaisher"], [12, 4, 1, "", "khinchin"], [12, 4, 1, "", "mertens"], [12, 4, 1, "", "phi"], [12, 4, 1, "", "pi"], [12, 4, 1, "", "twinprime"]]}, "objtypes": {"0": "py:function", "1": "py:class", "2": "py:method", "3": "py:module", "4": "py:attribute"}, "objnames": {"0": ["py", "function", "Python function"], "1": ["py", "class", "Python class"], "2": ["py", "method", "Python method"], "3": ["py", "module", "Python module"], "4": ["py", "attribute", "Python attribute"]}, "titleterms": {"basic": [0, 27, 28], "usage": 0, "number": [0, 19, 25, 26], "types": 0, "setting": [0, 31], "precision": [0, 10, 25, 28, 32], "temporarily": 0, "changing": 0, "providing": 0, "correct": 0, "input": 0, "printing": [0, 25], "function": [1, 11, 15, 17, 21, 23, 24, 29], "approximation": 1, "taylor": 1, "series": [1, 17, 22, 24], "pade": 1, "chebyshev": [1, 20], "chebyfit": 1, "fourier": 1, "fourierval": 1, "differentiation": 2, "numerical": [2, 3, 4, 5], "derivatives": 2, "diff": 2, "diffs": 2, "composition": 2, "diffs_prod": 2, "diffs_exp": 2, "fractional": [2, 25], "differintegration": 2, "differint": 2, "calculus": 3, "integration": 4, "quadrature": 4, "standard": 4, "quad": 4, "oscillatory": 4, "quadosc": 4, "rules": 4, "tanh": [4, 16], "sinh": [4, 16], "rule": 4, "gauss": 4, "legendre": [4, 13, 20], "inverse": [5, 16, 23], "laplace": 5, "transform": 5, "one": 5, "step": 5, "algorithm": 5, "invertlaplace": 5, "specific": 5, "algorithms": 5, "fixed": 5, "talbot": 5, "gaver": 5, "stehfest": 5, "de": 5, "hoog": 5, "knight": 5, "stokes": 5, "manual": 5, "approach": 5, "credit": 5, "ordinary": 6, "differential": 6, "equations": [6, 28], "solving": 6, "ode": 6, "initial": 6, "value": [6, 28], "problem": [6, 28], "odefun": 6, "root": [7, 21], "finding": 7, "optimization": 7, "findroot": 7, "solvers": 7, "polynomials": [8, 19, 20], "polynomial": 8, "evaluation": 8, "polyval": 8, "roots": [8, 21], "polyroots": 8, "sums": 9, "products": 9, "limits": 9, "extrapolation": 9, "summation": 9, "nsum": 9, "sumem": 9, "sumap": 9, "nprod": 9, "limit": 9, "richardson": 9, "shanks": 9, "levin": 9, "cohen_alt": 9, "contexts": 10, "common": [10, 17], "interface": 10, "arbitrary": 10, "floating": 10, "point": 10, "mp": 10, "interval": [10, 28], "arithmetic": [10, 19, 21, 25], "iv": 10, "fast": 10, "low": 10, "fp": 10, "bessel": 11, "functions": [11, 13, 14, 15, 16, 17, 18, 19, 20, 22, 23, 24, 25, 28], "related": 11, "besselj": 11, "bessely": 11, "besseli": 11, "besselk": 11, "zeros": [11, 24], "besseljzero": 11, "besselyzero": 11, "hankel": 11, "hankel1": 11, "hankel2": 11, "kelvin": 11, "ber": 11, "bei": 11, "ker": 11, "kei": 11, "struve": 11, "struveh": 11, "struvel": 11, "anger": 11, "weber": 11, "angerj": 11, "webere": 11, "lommel": 11, "lommels1": 11, "lommels2": 11, "airy": 11, "scorer": 11, "airyai": 11, "airybi": 11, "airyaizero": 11, "airybizero": 11, "scorergi": 11, "scorerhi": 11, "coulomb": 11, "wave": 11, "coulombf": 11, "coulombg": 11, "coulombc": 11, "confluent": 11, "u": 11, "whittaker": 11, "hyperu": 11, "whitm": 11, "whitw": 11, "parabolic": 11, "cylinder": 11, "pcfd": 11, "pcfu": 11, "pcfv": 11, "pcfw": 11, "mathematical": [12, 18], "constants": [12, 24], "exact": 12, "pi": 12, "degree": [12, 23], "base": 12, "natural": 12, "logarithm": 12, "e": 12, "golden": 12, "ratio": 12, "phi": 12, "euler": [12, 19], "s": [12, 27], "constant": [12, 26], "catalan": 12, "apery": 12, "khinchin": 12, "glaisher": 12, "mertens": 12, "twin": 12, "prime": [12, 19], "twinprime": 12, "elliptic": 13, "arguments": 13, "qfrom": 13, "qbarfrom": 13, "mfrom": 13, "kfrom": 13, "taufrom": 13, "integrals": [13, 14], "ellipk": 13, "ellipf": 13, "ellipe": 13, "ellippi": 13, "carlson": 13, "symmetric": [13, 28], "elliprf": 13, "elliprc": 13, "elliprj": 13, "elliprd": 13, "elliprg": 13, "jacobi": [13, 20], "theta": 13, "jtheta": 13, "ellipfun": 13, "modular": 13, "eta": 13, "kleinj": 13, "exponential": 14, "error": [14, 32], "incomplete": 14, "gamma": [14, 15, 22], "gammainc": 14, "ei": 14, "e1": 14, "expint": 14, "logarithmic": 14, "integral": 14, "li": 14, "trigonometric": [14, 23], "ci": 14, "si": 14, "hyperbolic": [14, 16], "chi": 14, "shi": 14, "erf": 14, "erfc": 14, "erfi": 14, "erfinv": 14, "The": [14, 28], "normal": 14, "distribution": 14, "npdf": 14, "ncdf": 14, "fresnel": 14, "fresnels": 14, "fresnelc": 14, "factorials": 15, "factorial": [15, 22], "fac": 15, "fac2": 15, "binomial": 15, "coefficients": 15, "rgamma": 15, "gammaprod": 15, "loggamma": 15, "rising": 15, "falling": 15, "rf": 15, "ff": 15, "beta": 15, "betainc": 15, "super": 15, "hyperfactorials": 15, "superfac": 15, "hyperfac": 15, "barnesg": 15, "polygamma": 15, "harmonic": 15, "numbers": [15, 19, 25, 32], "psi": 15, "digamma": 15, "cosh": 16, "sech": 16, "csch": 16, "coth": 16, "acosh": 16, "asinh": 16, "atanh": 16, "asech": 16, "acsch": 16, "acoth": 16, "hypergeometric": [17, 22], "hyp0f1": 17, "hyp1f1": 17, "hyp1f2": 17, "hyp2f0": 17, "hyp2f1": 17, "hyp2f2": 17, "hyp2f3": 17, "hyp3f2": 17, "generalized": 17, "hyper": 17, "hypercomb": 17, "meijer": 17, "g": 17, "meijerg": 17, "bilateral": 17, "bihyper": 17, "two": 17, "variables": 17, "hyper2d": 17, "appellf1": 17, "appellf2": 17, "appellf3": 17, "appellf4": 17, "theoretical": 19, "combinatorial": 19, "integer": [19, 25, 26], "fibonacci": 19, "fib": 19, "bernoulli": 19, "bernfrac": 19, "bernpoly": 19, "eulernum": 19, "eulerpoly": 19, "bell": 19, "stirling": 19, "stirling1": 19, "stirling2": 19, "counting": 19, "primepi": 19, "primepi2": 19, "riemannr": 19, "cyclotomic": 19, "mangoldt": 19, "orthogonal": 20, "legenp": 20, "legenq": 20, "chebyt": 20, "chebyu": 20, "gegenbauer": 20, "hermite": 20, "laguerre": 20, "spherical": 20, "harmonics": 20, "spherharm": 20, "powers": 21, "logarithms": 21, "nth": 21, "sqrt": 21, "hypot": 21, "cbrt": 21, "unitroots": 21, "exponentiation": 21, "exp": 21, "power": 21, "expj": 21, "expjpi": 21, "expm1": 21, "powm1": 21, "log": 21, "ln": 21, "log10": 21, "log1p": 21, "lambert": 21, "w": 21, "lambertw": 21, "geometric": 21, "mean": 21, "agm": 21, "q": 22, "pochhammer": 22, "symbol": 22, "qp": 22, "qgamma": 22, "qfac": 22, "qhyper": 22, "radian": 23, "conversion": [23, 25], "degrees": 23, "radians": 23, "cos": 23, "sin": 23, "tan": 23, "sec": 23, "csc": 23, "cot": 23, "modified": 23, "argument": 23, "cospi": 23, "sinpi": 23, "acos": 23, "asin": 23, "atan": 23, "atan2": 23, "asec": 23, "acsc": 23, "acot": 23, "sinc": 23, "sincpi": 23, "zeta": 24, "l": 24, "polylogarithms": 24, "riemann": 24, "hurwitz": 24, "dirichlet": 24, "altzeta": 24, "stieltjes": 24, "zetazero": 24, "nzeros": 24, "siegelz": 24, "siegeltheta": 24, "grampoint": 24, "backlunds": 24, "lerch": 24, "transcendent": 24, "lerchphi": 24, "clausen": 24, "polylog": 24, "clsin": 24, "clcos": 24, "polyexp": 24, "variants": 24, "primezeta": 24, "secondzeta": 24, "utility": 25, "mpmathify": 25, "convert": 25, "nstr": 25, "nprint": 25, "operations": [25, 28], "fadd": 25, "fsub": 25, "fneg": 25, "fmul": 25, "fdiv": 25, "fmod": 25, "fsum": 25, "fprod": 25, "fdot": 25, "complex": [25, 29], "components": 25, "fabs": 25, "sign": 25, "re": 25, "im": 25, "arg": 25, "conj": 25, "polar": 25, "rect": 25, "parts": 25, "floor": 25, "ceil": 25, "nint": 25, "frac": 25, "tolerances": 25, "approximate": 25, "comparisons": 25, "chop": 25, "almosteq": 25, "properties": 25, "isinf": 25, "isnan": 25, "isnormal": 25, "isfinite": 25, "isint": 25, "ldexp": 25, "frexp": 25, "mag": 25, "nint_distance": 25, "generation": 25, "fraction": 25, "rand": 25, "arange": 25, "linspace": 25, "management": 25, "autoprec": 25, "workprec": 25, "workdps": 25, "extraprec": 25, "extradps": 25, "performance": 25, "debugging": 25, "memoize": 25, "maxcalls": 25, "monitor": 25, "timing": 25, "identification": 26, "recognition": 26, "identify": 26, "algebraic": 26, "findpoly": 26, "relations": 26, "pslq": 26, "welcome": 27, "mpmath": [27, 31], "documentation": [27, 31], "introduction": 27, "features": 27, "advanced": [27, 28], "mathematics": 27, "end": 27, "matter": 27, "matrices": 28, "creating": 28, "methods": 28, "vectors": 28, "other": 28, "matrix": 28, "norms": 28, "linear": 28, "algebra": 28, "decompositions": 28, "factorization": 28, "singular": 28, "decomposition": 28, "schur": 28, "eigenvalue": 28, "double": [28, 32], "plotting": 29, "curve": 29, "plots": 29, "3d": 29, "surface": 29, "references": 30, "up": 31, "download": 31, "installation": 31, "installer": 31, "using": 31, "pip": 31, "setuptools": 31, "debian": 31, "ubuntu": 31, "opensuse": 31, "current": 31, "development": 31, "version": 31, "checking": 31, "works": 31, "gmpy": 31, "optional": 31, "running": 31, "tests": 31, "compiling": 31, "under": 31, "sage": 31, "representation": 32, "issues": 32, "tolerance": 32, "decimal": 32, "correctness": 32, "guarantees": 32, "emulation": 32, "further": 32, "reading": 32}, "envversion": {"sphinx.domains.c": 3, "sphinx.domains.changeset": 1, "sphinx.domains.citation": 1, "sphinx.domains.cpp": 9, "sphinx.domains.index": 1, "sphinx.domains.javascript": 3, "sphinx.domains.math": 2, "sphinx.domains.python": 4, "sphinx.domains.rst": 2, "sphinx.domains.std": 2, "sphinx": 60}, "alltitles": {"Basic usage": [[0, "basic-usage"]], "Number types": [[0, "number-types"]], "Setting the precision": [[0, "setting-the-precision"]], "Temporarily changing the precision": [[0, "temporarily-changing-the-precision"]], "Providing correct input": [[0, "providing-correct-input"]], "Printing": [[0, "printing"]], "Function approximation": [[1, "function-approximation"]], "Taylor series (taylor)": [[1, "taylor-series-taylor"]], "Pade approximation (pade)": [[1, "pade-approximation-pade"]], "Chebyshev approximation (chebyfit)": [[1, "chebyshev-approximation-chebyfit"]], "Fourier series (fourier, fourierval)": [[1, "fourier-series-fourier-fourierval"]], "Differentiation": [[2, "differentiation"]], "Numerical derivatives (diff, diffs)": [[2, "numerical-derivatives-diff-diffs"]], "Composition of derivatives (diffs_prod, diffs_exp)": [[2, "composition-of-derivatives-diffs-prod-diffs-exp"]], "Fractional derivatives / differintegration (differint)": [[2, "fractional-derivatives-differintegration-differint"]], "Numerical calculus": [[3, "numerical-calculus"]], "Numerical integration (quadrature)": [[4, "numerical-integration-quadrature"]], "Standard quadrature (quad)": [[4, "standard-quadrature-quad"]], "Oscillatory quadrature (quadosc)": [[4, "oscillatory-quadrature-quadosc"]], "Quadrature rules": [[4, "quadrature-rules"]], "Tanh-sinh rule": [[4, "tanh-sinh-rule"]], "Gauss-Legendre rule": [[4, "gauss-legendre-rule"]], "Numerical inverse Laplace transform": [[5, "numerical-inverse-laplace-transform"]], "One-step algorithm (invertlaplace)": [[5, "one-step-algorithm-invertlaplace"]], "Specific algorithms": [[5, "specific-algorithms"]], "Fixed Talbot algorithm": [[5, "fixed-talbot-algorithm"]], "Gaver-Stehfest algorithm": [[5, "gaver-stehfest-algorithm"]], "de Hoog, Knight & Stokes algorithm": [[5, "de-hoog-knight-stokes-algorithm"]], "Manual approach": [[5, "manual-approach"]], "Credit": [[5, "credit"]], "Ordinary differential equations": [[6, "ordinary-differential-equations"]], "Solving the ODE initial value problem (odefun)": [[6, "solving-the-ode-initial-value-problem-odefun"]], "Root-finding and optimization": [[7, "root-finding-and-optimization"]], "Root-finding (findroot)": [[7, "root-finding-findroot"]], "Solvers": [[7, "solvers"]], "Polynomials": [[8, "polynomials"]], "Polynomial evaluation (polyval)": [[8, "polynomial-evaluation-polyval"]], "Polynomial roots (polyroots)": [[8, "polynomial-roots-polyroots"]], "Sums, products, limits and extrapolation": [[9, "sums-products-limits-and-extrapolation"]], "Summation": [[9, "summation"]], "nsum()": [[9, "nsum"]], "sumem()": [[9, "sumem"]], "sumap()": [[9, "sumap"]], "Products": [[9, "products"]], "nprod()": [[9, "nprod"]], "Limits (limit)": [[9, "limits-limit"]], "limit()": [[9, "limit"]], "Extrapolation": [[9, "extrapolation"]], "richardson()": [[9, "richardson"]], "shanks()": [[9, "shanks"]], "levin()": [[9, "levin"]], "cohen_alt()": [[9, "cohen-alt"]], "Contexts": [[10, "contexts"]], "Common interface": [[10, "common-interface"]], "Arbitrary-precision floating-point (mp)": [[10, "arbitrary-precision-floating-point-mp"]], "Arbitrary-precision interval arithmetic (iv)": [[10, "arbitrary-precision-interval-arithmetic-iv"]], "Fast low-precision arithmetic (fp)": [[10, "fast-low-precision-arithmetic-fp"]], "Bessel functions and related functions": [[11, "bessel-functions-and-related-functions"]], "Bessel functions": [[11, "bessel-functions"]], "besselj()": [[11, "besselj"]], "bessely()": [[11, "bessely"]], "besseli()": [[11, "besseli"]], "besselk()": [[11, "besselk"]], "Bessel function zeros": [[11, "bessel-function-zeros"]], "besseljzero()": [[11, "besseljzero"]], "besselyzero()": [[11, "besselyzero"]], "Hankel functions": [[11, "hankel-functions"]], "hankel1()": [[11, "hankel1"]], "hankel2()": [[11, "hankel2"]], "Kelvin functions": [[11, "kelvin-functions"]], "ber()": [[11, "ber"]], "bei()": [[11, "bei"]], "ker()": [[11, "ker"]], "kei()": [[11, "kei"]], "Struve functions": [[11, "struve-functions"]], "struveh()": [[11, "struveh"]], "struvel()": [[11, "struvel"]], "Anger-Weber functions": [[11, "anger-weber-functions"]], "angerj()": [[11, "angerj"]], "webere()": [[11, "webere"]], "Lommel functions": [[11, "lommel-functions"]], "lommels1()": [[11, "lommels1"]], "lommels2()": [[11, "lommels2"]], "Airy and Scorer functions": [[11, "airy-and-scorer-functions"]], "airyai()": [[11, "airyai"]], "airybi()": [[11, "airybi"]], "airyaizero()": [[11, "airyaizero"]], "airybizero()": [[11, "airybizero"]], "scorergi()": [[11, "scorergi"]], "scorerhi()": [[11, "scorerhi"]], "Coulomb wave functions": [[11, "coulomb-wave-functions"]], "coulombf()": [[11, "coulombf"]], "coulombg()": [[11, "coulombg"]], "coulombc()": [[11, "coulombc"]], "Confluent U and Whittaker functions": [[11, "confluent-u-and-whittaker-functions"]], "hyperu()": [[11, "hyperu"]], "whitm()": [[11, "whitm"]], "whitw()": [[11, "whitw"]], "Parabolic cylinder functions": [[11, "parabolic-cylinder-functions"]], "pcfd()": [[11, "pcfd"]], "pcfu()": [[11, "pcfu"]], "pcfv()": [[11, "pcfv"]], "pcfw()": [[11, "pcfw"]], "Mathematical constants": [[12, "mathematical-constants"]], "Exact constants": [[12, "exact-constants"]], "Pi (pi)": [[12, "pi-pi"]], "Degree (degree)": [[12, "degree-degree"]], "Base of the natural logarithm (e)": [[12, "base-of-the-natural-logarithm-e"]], "Golden ratio (phi)": [[12, "golden-ratio-phi"]], "Euler\u2019s constant (euler)": [[12, "euler-s-constant-euler"]], "Catalan\u2019s constant (catalan)": [[12, "catalan-s-constant-catalan"]], "Apery\u2019s constant (apery)": [[12, "apery-s-constant-apery"]], "Khinchin\u2019s constant (khinchin)": [[12, "khinchin-s-constant-khinchin"]], "Glaisher\u2019s constant (glaisher)": [[12, "glaisher-s-constant-glaisher"]], "Mertens constant (mertens)": [[12, "mertens-constant-mertens"]], "Twin prime constant (twinprime)": [[12, "twin-prime-constant-twinprime"]], "Elliptic functions": [[13, "module-mpmath.functions.elliptic"]], "Elliptic arguments": [[13, "elliptic-arguments"]], "qfrom()": [[13, "qfrom"]], "qbarfrom()": [[13, "qbarfrom"]], "mfrom()": [[13, "mfrom"]], "kfrom()": [[13, "kfrom"]], "taufrom()": [[13, "taufrom"]], "Legendre elliptic integrals": [[13, "legendre-elliptic-integrals"]], "ellipk()": [[13, "ellipk"]], "ellipf()": [[13, "ellipf"]], "ellipe()": [[13, "ellipe"]], "ellippi()": [[13, "ellippi"]], "Carlson symmetric elliptic integrals": [[13, "carlson-symmetric-elliptic-integrals"]], "elliprf()": [[13, "elliprf"]], "elliprc()": [[13, "elliprc"]], "elliprj()": [[13, "elliprj"]], "elliprd()": [[13, "elliprd"]], "elliprg()": [[13, "elliprg"]], "Jacobi theta functions": [[13, "jacobi-theta-functions"]], "jtheta()": [[13, "jtheta"]], "Jacobi elliptic functions": [[13, "jacobi-elliptic-functions"]], "ellipfun()": [[13, "ellipfun"]], "Modular functions": [[13, "modular-functions"]], "eta()": [[13, "eta"]], "kleinj()": [[13, "kleinj"]], "Exponential integrals and error functions": [[14, "exponential-integrals-and-error-functions"]], "Incomplete gamma functions": [[14, "incomplete-gamma-functions"]], "gammainc()": [[14, "gammainc"]], "Exponential integrals": [[14, "exponential-integrals"]], "ei()": [[14, "ei"]], "e1()": [[14, "e1"]], "expint()": [[14, "expint"]], "Logarithmic integral": [[14, "logarithmic-integral"]], "li()": [[14, "li"]], "Trigonometric integrals": [[14, "trigonometric-integrals"]], "ci()": [[14, "ci"]], "si()": [[14, "si"]], "Hyperbolic integrals": [[14, "hyperbolic-integrals"]], "chi()": [[14, "chi"]], "shi()": [[14, "shi"]], "Error functions": [[14, "error-functions"]], "erf()": [[14, "erf"]], "erfc()": [[14, "erfc"]], "erfi()": [[14, "erfi"]], "erfinv()": [[14, "erfinv"]], "The normal distribution": [[14, "the-normal-distribution"]], "npdf()": [[14, "npdf"]], "ncdf()": [[14, "ncdf"]], "Fresnel integrals": [[14, "fresnel-integrals"]], "fresnels()": [[14, "fresnels"]], "fresnelc()": [[14, "fresnelc"]], "Factorials and gamma functions": [[15, "factorials-and-gamma-functions"]], "Factorials": [[15, "factorials"]], "factorial()/fac()": [[15, "factorial-fac"]], "fac2()": [[15, "fac2"]], "Binomial coefficients": [[15, "binomial-coefficients"]], "binomial()": [[15, "binomial"]], "Gamma function": [[15, "gamma-function"]], "gamma()": [[15, "gamma"]], "rgamma()": [[15, "rgamma"]], "gammaprod()": [[15, "gammaprod"]], "loggamma()": [[15, "loggamma"]], "Rising and falling factorials": [[15, "rising-and-falling-factorials"]], "rf()": [[15, "rf"]], "ff()": [[15, "ff"]], "Beta function": [[15, "beta-function"]], "beta()": [[15, "beta"]], "betainc()": [[15, "betainc"]], "Super- and hyperfactorials": [[15, "super-and-hyperfactorials"]], "superfac()": [[15, "superfac"]], "hyperfac()": [[15, "hyperfac"]], "barnesg()": [[15, "barnesg"]], "Polygamma functions and harmonic numbers": [[15, "polygamma-functions-and-harmonic-numbers"]], "psi()/digamma()": [[15, "psi-digamma"]], "harmonic()": [[15, "harmonic"]], "Hyperbolic functions": [[16, "hyperbolic-functions"], [16, "id1"]], "cosh()": [[16, "cosh"]], "sinh()": [[16, "sinh"]], "tanh()": [[16, "tanh"]], "sech()": [[16, "sech"]], "csch()": [[16, "csch"]], "coth()": [[16, "coth"]], "Inverse hyperbolic functions": [[16, "inverse-hyperbolic-functions"]], "acosh()": [[16, "acosh"]], "asinh()": [[16, "asinh"]], "atanh()": [[16, "atanh"]], "asech()": [[16, "asech"]], "acsch()": [[16, "acsch"]], "acoth()": [[16, "acoth"]], "Hypergeometric functions": [[17, "hypergeometric-functions"]], "Common hypergeometric series": [[17, "common-hypergeometric-series"]], "hyp0f1()": [[17, "hyp0f1"]], "hyp1f1()": [[17, "hyp1f1"]], "hyp1f2()": [[17, "hyp1f2"]], "hyp2f0()": [[17, "hyp2f0"]], "hyp2f1()": [[17, "hyp2f1"]], "hyp2f2()": [[17, "hyp2f2"]], "hyp2f3()": [[17, "hyp2f3"]], "hyp3f2()": [[17, "hyp3f2"]], "Generalized hypergeometric functions": [[17, "generalized-hypergeometric-functions"]], "hyper()": [[17, "hyper"]], "hypercomb()": [[17, "hypercomb"]], "Meijer G-function": [[17, "meijer-g-function"]], "meijerg()": [[17, "meijerg"]], "Bilateral hypergeometric series": [[17, "bilateral-hypergeometric-series"]], "bihyper()": [[17, "bihyper"]], "Hypergeometric functions of two variables": [[17, "hypergeometric-functions-of-two-variables"]], "hyper2d()": [[17, "hyper2d"]], "appellf1()": [[17, "appellf1"]], "appellf2()": [[17, "appellf2"]], "appellf3()": [[17, "appellf3"]], "appellf4()": [[17, "appellf4"]], "Mathematical functions": [[18, "mathematical-functions"]], "Number-theoretical, combinatorial and integer functions": [[19, "number-theoretical-combinatorial-and-integer-functions"]], "Fibonacci numbers": [[19, "fibonacci-numbers"]], "fibonacci()/fib()": [[19, "fibonacci-fib"]], "Bernoulli numbers and polynomials": [[19, "bernoulli-numbers-and-polynomials"]], "bernoulli()": [[19, "bernoulli"]], "bernfrac()": [[19, "bernfrac"]], "bernpoly()": [[19, "bernpoly"]], "Euler numbers and polynomials": [[19, "euler-numbers-and-polynomials"]], "eulernum()": [[19, "eulernum"]], "eulerpoly()": [[19, "eulerpoly"]], "Bell numbers and polynomials": [[19, "bell-numbers-and-polynomials"]], "bell()": [[19, "bell"]], "Stirling numbers": [[19, "stirling-numbers"]], "stirling1()": [[19, "stirling1"]], "stirling2()": [[19, "stirling2"]], "Prime counting functions": [[19, "prime-counting-functions"]], "primepi()": [[19, "primepi"]], "primepi2()": [[19, "primepi2"]], "riemannr()": [[19, "riemannr"]], "Cyclotomic polynomials": [[19, "cyclotomic-polynomials"]], "cyclotomic()": [[19, "cyclotomic"]], "Arithmetic functions": [[19, "arithmetic-functions"]], "mangoldt()": [[19, "mangoldt"]], "Orthogonal polynomials": [[20, "orthogonal-polynomials"]], "Legendre functions": [[20, "legendre-functions"]], "legendre()": [[20, "legendre"]], "legenp()": [[20, "legenp"]], "legenq()": [[20, "legenq"]], "Chebyshev polynomials": [[20, "chebyshev-polynomials"]], "chebyt()": [[20, "chebyt"]], "chebyu()": [[20, "chebyu"]], "Jacobi polynomials": [[20, "jacobi-polynomials"]], "jacobi()": [[20, "jacobi"]], "Gegenbauer polynomials": [[20, "gegenbauer-polynomials"]], "gegenbauer()": [[20, "gegenbauer"]], "Hermite polynomials": [[20, "hermite-polynomials"]], "hermite()": [[20, "hermite"]], "Laguerre polynomials": [[20, "laguerre-polynomials"]], "laguerre()": [[20, "laguerre"]], "Spherical harmonics": [[20, "spherical-harmonics"]], "spherharm()": [[20, "spherharm"]], "Powers and logarithms": [[21, "powers-and-logarithms"]], "Nth roots": [[21, "nth-roots"]], "sqrt()": [[21, "sqrt"]], "hypot()": [[21, "hypot"]], "cbrt()": [[21, "cbrt"]], "root()": [[21, "root"]], "unitroots()": [[21, "unitroots"]], "Exponentiation": [[21, "exponentiation"]], "exp()": [[21, "exp"]], "power()": [[21, "power"]], "expj()": [[21, "expj"]], "expjpi()": [[21, "expjpi"]], "expm1()": [[21, "expm1"]], "powm1()": [[21, "powm1"]], "Logarithms": [[21, "logarithms"]], "log()": [[21, "log"]], "ln()": [[21, "ln"]], "log10()": [[21, "log10"]], "log1p()": [[21, "log1p"]], "Lambert W function": [[21, "lambert-w-function"]], "lambertw()": [[21, "lambertw"]], "Arithmetic-geometric mean": [[21, "arithmetic-geometric-mean"]], "agm()": [[21, "agm"]], "q-functions": [[22, "q-functions"]], "q-Pochhammer symbol": [[22, "q-pochhammer-symbol"]], "qp()": [[22, "qp"]], "q-gamma and factorial": [[22, "q-gamma-and-factorial"]], "qgamma()": [[22, "qgamma"]], "qfac()": [[22, "qfac"]], "Hypergeometric q-series": [[22, "hypergeometric-q-series"]], "qhyper()": [[22, "qhyper"]], "Trigonometric functions": [[23, "trigonometric-functions"], [23, "id1"]], "Degree-radian conversion": [[23, "degree-radian-conversion"]], "degrees()": [[23, "degrees"]], "radians()": [[23, "radians"]], "cos()": [[23, "cos"]], "sin()": [[23, "sin"]], "tan()": [[23, "tan"]], "sec()": [[23, "sec"]], "csc()": [[23, "csc"]], "cot()": [[23, "cot"]], "Trigonometric functions with modified argument": [[23, "trigonometric-functions-with-modified-argument"]], "cospi()": [[23, "cospi"]], "sinpi()": [[23, "sinpi"]], "Inverse trigonometric functions": [[23, "inverse-trigonometric-functions"]], "acos()": [[23, "acos"]], "asin()": [[23, "asin"]], "atan()": [[23, "atan"]], "atan2()": [[23, "atan2"]], "asec()": [[23, "asec"]], "acsc()": [[23, "acsc"]], "acot()": [[23, "acot"]], "Sinc function": [[23, "sinc-function"]], "sinc()": [[23, "sinc"]], "sincpi()": [[23, "sincpi"]], "Zeta functions, L-series and polylogarithms": [[24, "zeta-functions-l-series-and-polylogarithms"]], "Riemann and Hurwitz zeta functions": [[24, "riemann-and-hurwitz-zeta-functions"]], "zeta()": [[24, "zeta"]], "Dirichlet L-series": [[24, "dirichlet-l-series"]], "altzeta()": [[24, "altzeta"]], "dirichlet()": [[24, "dirichlet"]], "Stieltjes constants": [[24, "stieltjes-constants"]], "stieltjes()": [[24, "stieltjes"]], "Zeta function zeros": [[24, "zeta-function-zeros"]], "zetazero()": [[24, "zetazero"]], "nzeros()": [[24, "nzeros"]], "siegelz()": [[24, "siegelz"]], "siegeltheta()": [[24, "siegeltheta"]], "grampoint()": [[24, "grampoint"]], "backlunds()": [[24, "backlunds"]], "Lerch transcendent": [[24, "lerch-transcendent"]], "lerchphi()": [[24, "lerchphi"]], "Polylogarithms and Clausen functions": [[24, "polylogarithms-and-clausen-functions"]], "polylog()": [[24, "polylog"]], "clsin()": [[24, "clsin"]], "clcos()": [[24, "clcos"]], "polyexp()": [[24, "polyexp"]], "Zeta function variants": [[24, "zeta-function-variants"]], "primezeta()": [[24, "primezeta"]], "secondzeta()": [[24, "secondzeta"]], "Utility functions": [[25, "utility-functions"]], "Conversion and printing": [[25, "conversion-and-printing"]], "mpmathify() / convert()": [[25, "mpmathify-convert"]], "nstr()": [[25, "nstr"]], "nprint()": [[25, "nprint"]], "Arithmetic operations": [[25, "arithmetic-operations"]], "fadd()": [[25, "fadd"]], "fsub()": [[25, "fsub"]], "fneg()": [[25, "fneg"]], "fmul()": [[25, "fmul"]], "fdiv()": [[25, "fdiv"]], "fmod()": [[25, "fmod"]], "fsum()": [[25, "fsum"]], "fprod()": [[25, "fprod"]], "fdot()": [[25, "fdot"]], "Complex components": [[25, "complex-components"]], "fabs()": [[25, "fabs"]], "sign()": [[25, "sign"]], "re()": [[25, "re"]], "im()": [[25, "im"]], "arg()": [[25, "arg"]], "conj()": [[25, "conj"]], "polar()": [[25, "polar"]], "rect()": [[25, "rect"]], "Integer and fractional parts": [[25, "integer-and-fractional-parts"]], "floor()": [[25, "floor"]], "ceil()": [[25, "ceil"]], "nint()": [[25, "nint"]], "frac()": [[25, "frac"]], "Tolerances and approximate comparisons": [[25, "tolerances-and-approximate-comparisons"]], "chop()": [[25, "chop"]], "almosteq()": [[25, "almosteq"]], "Properties of numbers": [[25, "properties-of-numbers"]], "isinf()": [[25, "isinf"]], "isnan()": [[25, "isnan"]], "isnormal()": [[25, "isnormal"]], "isfinite()": [[25, "isfinite"]], "isint()": [[25, "isint"]], "ldexp()": [[25, "ldexp"]], "frexp()": [[25, "frexp"]], "mag()": [[25, "mag"]], "nint_distance()": [[25, "nint-distance"]], "Number generation": [[25, "number-generation"]], "fraction()": [[25, "fraction"]], "rand()": [[25, "rand"]], "arange()": [[25, "arange"]], "linspace()": [[25, "linspace"]], "Precision management": [[25, "precision-management"]], "autoprec()": [[25, "autoprec"]], "workprec()": [[25, "workprec"]], "workdps()": [[25, "workdps"]], "extraprec()": [[25, "extraprec"]], "extradps()": [[25, "extradps"]], "Performance and debugging": [[25, "performance-and-debugging"]], "memoize()": [[25, "memoize"]], "maxcalls()": [[25, "maxcalls"]], "monitor()": [[25, "monitor"]], "timing()": [[25, "timing"]], "Number identification": [[26, "number-identification"]], "Constant recognition": [[26, "constant-recognition"]], "identify()": [[26, "identify"]], "Algebraic identification": [[26, "algebraic-identification"]], "findpoly()": [[26, "findpoly"]], "Integer relations (PSLQ)": [[26, "integer-relations-pslq"]], "pslq()": [[26, "pslq"]], "Welcome to mpmath\u2019s documentation!": [[27, "welcome-to-mpmath-s-documentation"]], "Introduction": [[27, "introduction"]], "Basic features": [[27, "basic-features"]], "Advanced mathematics": [[27, "advanced-mathematics"]], "End matter": [[27, "end-matter"]], "Matrices": [[28, "matrices"]], "Creating matrices": [[28, "creating-matrices"]], "Basic methods": [[28, "basic-methods"]], "Advanced methods": [[28, "advanced-methods"]], "Vectors": [[28, "vectors"]], "Other": [[28, "other"]], "Matrix operations": [[28, "matrix-operations"]], "Norms": [[28, "norms"]], "Linear algebra": [[28, "linear-algebra"]], "Decompositions": [[28, "decompositions"]], "Linear equations": [[28, "linear-equations"]], "Matrix factorization": [[28, "matrix-factorization"]], "The singular value decomposition": [[28, "the-singular-value-decomposition"]], "The Schur decomposition": [[28, "the-schur-decomposition"]], "The eigenvalue problem": [[28, "the-eigenvalue-problem"]], "The symmetric eigenvalue problem": [[28, "the-symmetric-eigenvalue-problem"]], "Interval and double-precision matrices": [[28, "interval-and-double-precision-matrices"]], "Matrix functions": [[28, "matrix-functions"]], "Plotting": [[29, "plotting"]], "Function curve plots": [[29, "function-curve-plots"]], "Complex function plots": [[29, "complex-function-plots"]], "3D surface plots": [[29, "d-surface-plots"]], "References": [[30, "references"]], "Setting up mpmath": [[31, "setting-up-mpmath"]], "Download and installation": [[31, "download-and-installation"]], "Installer": [[31, "installer"]], "Using pip": [[31, "using-pip"]], "Using setuptools": [[31, "using-setuptools"]], "Debian/Ubuntu": [[31, "debian-ubuntu"]], "OpenSUSE": [[31, "opensuse"]], "Current development version": [[31, "current-development-version"]], "Checking that it works": [[31, "checking-that-it-works"]], "Using gmpy (optional)": [[31, "using-gmpy-optional"]], "Running tests": [[31, "running-tests"]], "Compiling the documentation": [[31, "compiling-the-documentation"]], "Mpmath under Sage": [[31, "mpmath-under-sage"]], "Precision and representation issues": [[32, "precision-and-representation-issues"]], "Precision, error and tolerance": [[32, "precision-error-and-tolerance"]], "Representation of numbers": [[32, "representation-of-numbers"]], "Decimal issues": [[32, "decimal-issues"]], "Correctness guarantees": [[32, "correctness-guarantees"]], "Double precision emulation": [[32, "double-precision-emulation"]], "Further reading": [[32, "further-reading"]]}, "indexentries": {"chebyfit() (in module mpmath)": [[1, "mpmath.chebyfit"]], "fourier() (in module mpmath)": [[1, "mpmath.fourier"]], "fourierval() (in module mpmath)": [[1, "mpmath.fourierval"]], "pade() (in module mpmath)": [[1, "mpmath.pade"]], "taylor() (in module mpmath)": [[1, "mpmath.taylor"]], "diff() (in module mpmath)": [[2, "mpmath.diff"]], "differint() (in module mpmath)": [[2, "mpmath.differint"]], "diffs() (in module mpmath)": [[2, "mpmath.diffs"]], "diffs_exp() (in module mpmath)": [[2, "mpmath.diffs_exp"]], "diffs_prod() (in module mpmath)": [[2, "mpmath.diffs_prod"]], "gausslegendre (class in mpmath.calculus.quadrature)": [[4, "mpmath.calculus.quadrature.GaussLegendre"]], "quadraturerule (class in mpmath.calculus.quadrature)": [[4, "mpmath.calculus.quadrature.QuadratureRule"]], "tanhsinh (class in mpmath.calculus.quadrature)": [[4, "mpmath.calculus.quadrature.TanhSinh"]], "calc_nodes() (mpmath.calculus.quadrature.gausslegendre method)": [[4, "mpmath.calculus.quadrature.GaussLegendre.calc_nodes"]], "calc_nodes() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.calc_nodes"]], "calc_nodes() (mpmath.calculus.quadrature.tanhsinh method)": [[4, "mpmath.calculus.quadrature.TanhSinh.calc_nodes"]], "clear() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.clear"]], "estimate_error() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.estimate_error"]], "get_nodes() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.get_nodes"]], "guess_degree() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.guess_degree"]], "quad() (in module mpmath)": [[4, "mpmath.quad"]], "quadosc() (in module mpmath)": [[4, "mpmath.quadosc"]], "sum_next() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.sum_next"]], "sum_next() (mpmath.calculus.quadrature.tanhsinh method)": [[4, "mpmath.calculus.quadrature.TanhSinh.sum_next"]], "summation() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.summation"]], "transform_nodes() (mpmath.calculus.quadrature.quadraturerule method)": [[4, "mpmath.calculus.quadrature.QuadratureRule.transform_nodes"]], "fixedtalbot (class in mpmath.calculus.inverselaplace)": [[5, "mpmath.calculus.inverselaplace.FixedTalbot"]], "stehfest (class in mpmath.calculus.inverselaplace)": [[5, "mpmath.calculus.inverselaplace.Stehfest"]], "calc_laplace_parameter() (mpmath.calculus.inverselaplace.fixedtalbot method)": [[5, "mpmath.calculus.inverselaplace.FixedTalbot.calc_laplace_parameter"]], "calc_laplace_parameter() (mpmath.calculus.inverselaplace.stehfest method)": [[5, "mpmath.calculus.inverselaplace.Stehfest.calc_laplace_parameter"]], "calc_laplace_parameter() (mpmath.calculus.inverselaplace.dehoog method)": [[5, "mpmath.calculus.inverselaplace.deHoog.calc_laplace_parameter"]], "calc_time_domain_solution() (mpmath.calculus.inverselaplace.fixedtalbot method)": [[5, "mpmath.calculus.inverselaplace.FixedTalbot.calc_time_domain_solution"]], "calc_time_domain_solution() (mpmath.calculus.inverselaplace.stehfest method)": [[5, "mpmath.calculus.inverselaplace.Stehfest.calc_time_domain_solution"]], "calc_time_domain_solution() (mpmath.calculus.inverselaplace.dehoog method)": [[5, "mpmath.calculus.inverselaplace.deHoog.calc_time_domain_solution"]], "dehoog (class in mpmath.calculus.inverselaplace)": [[5, "mpmath.calculus.inverselaplace.deHoog"]], "invertlaplace() (in module mpmath)": [[5, "mpmath.invertlaplace"]], "odefun() (in module mpmath)": [[6, "mpmath.odefun"]], "anewton (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.ANewton"]], "anderson (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Anderson"]], "bisection (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Bisection"]], "halley (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Halley"]], "illinois (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Illinois"]], "mdnewton (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.MDNewton"]], "mnewton (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.MNewton"]], "muller (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Muller"]], "newton (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Newton"]], "pegasus (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Pegasus"]], "ridder (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Ridder"]], "secant (class in mpmath.calculus.optimization)": [[7, "mpmath.calculus.optimization.Secant"]], "findroot() (in module mpmath)": [[7, "mpmath.findroot"]], "polyroots() (in module mpmath)": [[8, "mpmath.polyroots"]], "polyval() (in module mpmath)": [[8, "mpmath.polyval"]], "cohen_alt() (in module mpmath)": [[9, "mpmath.cohen_alt"]], "levin() (in module mpmath)": [[9, "mpmath.levin"]], "limit() (in module mpmath)": [[9, "mpmath.limit"]], "nprod() (in module mpmath)": [[9, "mpmath.nprod"]], "nsum() (in module mpmath)": [[9, "mpmath.nsum"]], "richardson() (in module mpmath)": [[9, "mpmath.richardson"]], "shanks() (in module mpmath)": [[9, "mpmath.shanks"]], "sumap() (in module mpmath)": [[9, "mpmath.sumap"]], "sumem() (in module mpmath)": [[9, "mpmath.sumem"]], "airyai() (in module mpmath)": [[11, "mpmath.airyai"]], "airyaizero() (in module mpmath)": [[11, "mpmath.airyaizero"]], "airybi() (in module mpmath)": [[11, "mpmath.airybi"]], "airybizero() (in module mpmath)": [[11, "mpmath.airybizero"]], "angerj() (in module mpmath)": [[11, "mpmath.angerj"]], "bei() (in module mpmath)": [[11, "mpmath.bei"]], "ber() (in module mpmath)": [[11, "mpmath.ber"]], "besseli() (in module mpmath)": [[11, "mpmath.besseli"]], "besselj() (in module mpmath)": [[11, "mpmath.besselj"]], "besseljzero() (in module mpmath)": [[11, "mpmath.besseljzero"]], "besselk() (in module mpmath)": [[11, "mpmath.besselk"]], "bessely() (in module mpmath)": [[11, "mpmath.bessely"]], "besselyzero() (in module mpmath)": [[11, "mpmath.besselyzero"]], "coulombc() (in module mpmath)": [[11, "mpmath.coulombc"]], "coulombf() (in module mpmath)": [[11, "mpmath.coulombf"]], "coulombg() (in module mpmath)": [[11, "mpmath.coulombg"]], "hankel1() (in module mpmath)": [[11, "mpmath.hankel1"]], "hankel2() (in module mpmath)": [[11, "mpmath.hankel2"]], "hyperu() (in module mpmath)": [[11, "mpmath.hyperu"]], "j0() (in module mpmath)": [[11, "mpmath.j0"]], "j1() (in module mpmath)": [[11, "mpmath.j1"]], "kei() (in module mpmath)": [[11, "mpmath.kei"]], "ker() (in module mpmath)": [[11, "mpmath.ker"]], "lommels1() (in module mpmath)": [[11, "mpmath.lommels1"]], "lommels2() (in module mpmath)": [[11, "mpmath.lommels2"]], "pcfd() (in module mpmath)": [[11, "mpmath.pcfd"]], "pcfu() (in module mpmath)": [[11, "mpmath.pcfu"]], "pcfv() (in module mpmath)": [[11, "mpmath.pcfv"]], "pcfw() (in module mpmath)": [[11, "mpmath.pcfw"]], "scorergi() (in module mpmath)": [[11, "mpmath.scorergi"]], "scorerhi() (in module mpmath)": [[11, "mpmath.scorerhi"]], "struveh() (in module mpmath)": [[11, "mpmath.struveh"]], "struvel() (in module mpmath)": [[11, "mpmath.struvel"]], "webere() (in module mpmath)": [[11, "mpmath.webere"]], "whitm() (in module mpmath)": [[11, "mpmath.whitm"]], "whitw() (in module mpmath)": [[11, "mpmath.whitw"]], "apery (mpmath.mp attribute)": [[12, "mpmath.mp.apery"]], "catalan (mpmath.mp attribute)": [[12, "mpmath.mp.catalan"]], "degree (mpmath.mp attribute)": [[12, "mpmath.mp.degree"]], "e (mpmath.mp attribute)": [[12, "mpmath.mp.e"]], "euler (mpmath.mp attribute)": [[12, "mpmath.mp.euler"]], "glaisher (mpmath.mp attribute)": [[12, "mpmath.mp.glaisher"]], "khinchin (mpmath.mp attribute)": [[12, "mpmath.mp.khinchin"]], "mertens (mpmath.mp attribute)": [[12, "mpmath.mp.mertens"]], "phi (mpmath.mp attribute)": [[12, "mpmath.mp.phi"]], "pi (mpmath.mp attribute)": [[12, "mpmath.mp.pi"]], "twinprime (mpmath.mp attribute)": [[12, "mpmath.mp.twinprime"]], "ellipe() (in module mpmath)": [[13, "mpmath.ellipe"]], "ellipf() (in module mpmath)": [[13, "mpmath.ellipf"]], "ellipfun() (in module mpmath)": [[13, "mpmath.ellipfun"]], "ellipk() (in module mpmath)": [[13, "mpmath.ellipk"]], "ellippi() (in module mpmath)": [[13, "mpmath.ellippi"]], "elliprc() (in module mpmath)": [[13, "mpmath.elliprc"]], "elliprd() (in module mpmath)": [[13, "mpmath.elliprd"]], "elliprf() (in module mpmath)": [[13, "mpmath.elliprf"]], "elliprg() (in module mpmath)": [[13, "mpmath.elliprg"]], "elliprj() (in module mpmath)": [[13, "mpmath.elliprj"]], "eta() (in module mpmath)": [[13, "mpmath.eta"]], "jtheta() (in module mpmath)": [[13, "mpmath.jtheta"]], "kfrom() (in module mpmath)": [[13, "mpmath.kfrom"]], "kleinj() (in module mpmath)": [[13, "mpmath.kleinj"]], "mfrom() (in module mpmath)": [[13, "mpmath.mfrom"]], "module": [[13, "module-mpmath.functions.elliptic"]], "mpmath.functions.elliptic": [[13, "module-mpmath.functions.elliptic"]], "qbarfrom() (in module mpmath)": [[13, "mpmath.qbarfrom"]], "qfrom() (in module mpmath)": [[13, "mpmath.qfrom"]], "taufrom() (in module mpmath)": [[13, "mpmath.taufrom"]], "chi() (in module mpmath)": [[14, "mpmath.chi"]], "ci() (in module mpmath)": [[14, "mpmath.ci"]], "e1() (in module mpmath)": [[14, "mpmath.e1"]], "ei() (in module mpmath)": [[14, "mpmath.ei"]], "erf() (in module mpmath)": [[14, "mpmath.erf"]], "erfc() (in module mpmath)": [[14, "mpmath.erfc"]], "erfi() (in module mpmath)": [[14, "mpmath.erfi"]], "erfinv() (in module mpmath)": [[14, "mpmath.erfinv"]], "expint() (in module mpmath)": [[14, "mpmath.expint"]], "fresnelc() (in module mpmath)": [[14, "mpmath.fresnelc"]], "fresnels() (in module mpmath)": [[14, "mpmath.fresnels"]], "gammainc() (in module mpmath)": [[14, "mpmath.gammainc"]], "li() (in module mpmath)": [[14, "mpmath.li"]], "ncdf() (in module mpmath)": [[14, "mpmath.ncdf"]], "npdf() (in module mpmath)": [[14, "mpmath.npdf"]], "shi() (in module mpmath)": [[14, "mpmath.shi"]], "si() (in module mpmath)": [[14, "mpmath.si"]], "barnesg() (in module mpmath)": [[15, "mpmath.barnesg"]], "beta() (in module mpmath)": [[15, "mpmath.beta"]], "betainc() (in module mpmath)": [[15, "mpmath.betainc"]], "binomial() (in module mpmath)": [[15, "mpmath.binomial"]], "digamma() (in module mpmath)": [[15, "mpmath.digamma"]], "fac2() (in module mpmath)": [[15, "mpmath.fac2"]], "factorial() (in module mpmath)": [[15, "mpmath.factorial"]], "ff() (in module mpmath)": [[15, "mpmath.ff"]], "gamma() (in module mpmath)": [[15, "mpmath.gamma"]], "gammaprod() (in module mpmath)": [[15, "mpmath.gammaprod"]], "harmonic() (in module mpmath)": [[15, "mpmath.harmonic"]], "hyperfac() (in module mpmath)": [[15, "mpmath.hyperfac"]], "loggamma() (in module mpmath)": [[15, "mpmath.loggamma"]], "psi() (in module mpmath)": [[15, "mpmath.psi"]], "rf() (in module mpmath)": [[15, "mpmath.rf"]], "rgamma() (in module mpmath)": [[15, "mpmath.rgamma"]], "superfac() (in module mpmath)": [[15, "mpmath.superfac"]], "acosh() (in module mpmath)": [[16, "mpmath.acosh"]], "acoth() (in module mpmath)": [[16, "mpmath.acoth"]], "acsch() (in module mpmath)": [[16, "mpmath.acsch"]], "asech() (in module mpmath)": [[16, "mpmath.asech"]], "asinh() (in module mpmath)": [[16, "mpmath.asinh"]], "atanh() (in module mpmath)": [[16, "mpmath.atanh"]], "cosh() (in module mpmath)": [[16, "mpmath.cosh"]], "coth() (in module mpmath)": [[16, "mpmath.coth"]], "csch() (in module mpmath)": [[16, "mpmath.csch"]], "sech() (in module mpmath)": [[16, "mpmath.sech"]], "sinh() (in module mpmath)": [[16, "mpmath.sinh"]], "tanh() (in module mpmath)": [[16, "mpmath.tanh"]], "appellf1() (in module mpmath)": [[17, "mpmath.appellf1"]], "appellf2() (in module mpmath)": [[17, "mpmath.appellf2"]], "appellf3() (in module mpmath)": [[17, "mpmath.appellf3"]], "appellf4() (in module mpmath)": [[17, "mpmath.appellf4"]], "bihyper() (in module mpmath)": [[17, "mpmath.bihyper"]], "hyp0f1() (in module mpmath)": [[17, "mpmath.hyp0f1"]], "hyp1f1() (in module mpmath)": [[17, "mpmath.hyp1f1"]], "hyp1f2() (in module mpmath)": [[17, "mpmath.hyp1f2"]], "hyp2f0() (in module mpmath)": [[17, "mpmath.hyp2f0"]], "hyp2f1() (in module mpmath)": [[17, "mpmath.hyp2f1"]], "hyp2f2() (in module mpmath)": [[17, "mpmath.hyp2f2"]], "hyp2f3() (in module mpmath)": [[17, "mpmath.hyp2f3"]], "hyp3f2() (in module mpmath)": [[17, "mpmath.hyp3f2"]], "hyper() (in module mpmath)": [[17, "mpmath.hyper"]], "hyper2d() (in module mpmath)": [[17, "mpmath.hyper2d"]], "hypercomb() (in module mpmath)": [[17, "mpmath.hypercomb"]], "meijerg() (in module mpmath)": [[17, "mpmath.meijerg"]], "bell() (in module mpmath)": [[19, "mpmath.bell"]], "bernfrac() (in module mpmath)": [[19, "mpmath.bernfrac"]], "bernoulli() (in module mpmath)": [[19, "mpmath.bernoulli"]], "bernpoly() (in module mpmath)": [[19, "mpmath.bernpoly"]], "cyclotomic() (in module mpmath)": [[19, "mpmath.cyclotomic"]], "eulernum() (in module mpmath)": [[19, "mpmath.eulernum"]], "eulerpoly() (in module mpmath)": [[19, "mpmath.eulerpoly"]], "fibonacci() (in module mpmath)": [[19, "mpmath.fibonacci"]], "mangoldt() (in module mpmath)": [[19, "mpmath.mangoldt"]], "primepi() (in module mpmath)": [[19, "mpmath.primepi"]], "primepi2() (in module mpmath)": [[19, "mpmath.primepi2"]], "riemannr() (in module mpmath)": [[19, "mpmath.riemannr"]], "stirling1() (in module mpmath)": [[19, "mpmath.stirling1"]], "stirling2() (in module mpmath)": [[19, "mpmath.stirling2"]], "chebyt() (in module mpmath)": [[20, "mpmath.chebyt"]], "chebyu() (in module mpmath)": [[20, "mpmath.chebyu"]], "gegenbauer() (in module mpmath)": [[20, "mpmath.gegenbauer"]], "hermite() (in module mpmath)": [[20, "mpmath.hermite"]], "jacobi() (in module mpmath)": [[20, "mpmath.jacobi"]], "laguerre() (in module mpmath)": [[20, "mpmath.laguerre"]], "legendre() (in module mpmath)": [[20, "mpmath.legendre"]], "legenp() (in module mpmath)": [[20, "mpmath.legenp"]], "legenq() (in module mpmath)": [[20, "mpmath.legenq"]], "spherharm() (in module mpmath)": [[20, "mpmath.spherharm"]], "agm() (in module mpmath)": [[21, "mpmath.agm"]], "cbrt() (in module mpmath)": [[21, "mpmath.cbrt"]], "exp() (in module mpmath)": [[21, "mpmath.exp"]], "expj() (in module mpmath)": [[21, "mpmath.expj"]], "expjpi() (in module mpmath)": [[21, "mpmath.expjpi"]], "expm1() (in module mpmath)": [[21, "mpmath.expm1"]], "hypot() (in module mpmath)": [[21, "mpmath.hypot"]], "lambertw() (in module mpmath)": [[21, "mpmath.lambertw"]], "ln() (in module mpmath)": [[21, "mpmath.ln"]], "log() (in module mpmath)": [[21, "mpmath.log"]], "log10() (in module mpmath)": [[21, "mpmath.log10"]], "log1p() (in module mpmath)": [[21, "mpmath.log1p"]], "power() (in module mpmath)": [[21, "mpmath.power"]], "powm1() (in module mpmath)": [[21, "mpmath.powm1"]], "root() (in module mpmath)": [[21, "mpmath.root"]], "sqrt() (in module mpmath)": [[21, "mpmath.sqrt"]], "unitroots() (in module mpmath)": [[21, "mpmath.unitroots"]], "qfac() (in module mpmath)": [[22, "mpmath.qfac"]], "qgamma() (in module mpmath)": [[22, "mpmath.qgamma"]], "qhyper() (in module mpmath)": [[22, "mpmath.qhyper"]], "qp() (in module mpmath)": [[22, "mpmath.qp"]], "acos() (in module mpmath)": [[23, "mpmath.acos"]], "acot() (in module mpmath)": [[23, "mpmath.acot"]], "acsc() (in module mpmath)": [[23, "mpmath.acsc"]], "asec() (in module mpmath)": [[23, "mpmath.asec"]], "asin() (in module mpmath)": [[23, "mpmath.asin"]], "atan() (in module mpmath)": [[23, "mpmath.atan"]], "atan2() (in module mpmath)": [[23, "mpmath.atan2"]], "cos() (in module mpmath)": [[23, "mpmath.cos"]], "cospi() (in module mpmath)": [[23, "mpmath.cospi"]], "cot() (in module mpmath)": [[23, "mpmath.cot"]], "csc() (in module mpmath)": [[23, "mpmath.csc"]], "degrees() (in module mpmath)": [[23, "mpmath.degrees"]], "radians() (in module mpmath)": [[23, "mpmath.radians"]], "sec() (in module mpmath)": [[23, "mpmath.sec"]], "sin() (in module mpmath)": [[23, "mpmath.sin"]], "sinc() (in module mpmath)": [[23, "mpmath.sinc"]], "sincpi() (in module mpmath)": [[23, "mpmath.sincpi"]], "sinpi() (in module mpmath)": [[23, "mpmath.sinpi"]], "tan() (in module mpmath)": [[23, "mpmath.tan"]], "altzeta() (in module mpmath)": [[24, "mpmath.altzeta"]], "backlunds() (in module mpmath)": [[24, "mpmath.backlunds"]], "clcos() (in module mpmath)": [[24, "mpmath.clcos"]], "clsin() (in module mpmath)": [[24, "mpmath.clsin"]], "dirichlet() (in module mpmath)": [[24, "mpmath.dirichlet"]], "grampoint() (in module mpmath)": [[24, "mpmath.grampoint"]], "lerchphi() (in module mpmath)": [[24, "mpmath.lerchphi"]], "nzeros() (in module mpmath)": [[24, "mpmath.nzeros"]], "polyexp() (in module mpmath)": [[24, "mpmath.polyexp"]], "polylog() (in module mpmath)": [[24, "mpmath.polylog"]], "primezeta() (in module mpmath)": [[24, "mpmath.primezeta"]], "secondzeta() (in module mpmath)": [[24, "mpmath.secondzeta"]], "siegeltheta() (in module mpmath)": [[24, "mpmath.siegeltheta"]], "siegelz() (in module mpmath)": [[24, "mpmath.siegelz"]], "stieltjes() (in module mpmath)": [[24, "mpmath.stieltjes"]], "zeta() (in module mpmath)": [[24, "mpmath.zeta"]], "zetazero() (in module mpmath)": [[24, "mpmath.zetazero"]], "almosteq() (in module mpmath)": [[25, "mpmath.almosteq"]], "arange() (in module mpmath)": [[25, "mpmath.arange"]], "arg() (in module mpmath)": [[25, "mpmath.arg"]], "autoprec() (in module mpmath)": [[25, "mpmath.autoprec"]], "ceil() (in module mpmath)": [[25, "mpmath.ceil"]], "chop() (in module mpmath)": [[25, "mpmath.chop"]], "conj() (in module mpmath)": [[25, "mpmath.conj"]], "extradps() (in module mpmath)": [[25, "mpmath.extradps"]], "extraprec() (in module mpmath)": [[25, "mpmath.extraprec"]], "fabs() (in module mpmath)": [[25, "mpmath.fabs"]], "fadd() (in module mpmath)": [[25, "mpmath.fadd"]], "fdiv() (in module mpmath)": [[25, "mpmath.fdiv"]], "fdot() (in module mpmath)": [[25, "mpmath.fdot"]], "floor() (in module mpmath)": [[25, "mpmath.floor"]], "fmod() (in module mpmath)": [[25, "mpmath.fmod"]], "fmul() (in module mpmath)": [[25, "mpmath.fmul"]], "fneg() (in module mpmath)": [[25, "mpmath.fneg"]], "fprod() (in module mpmath)": [[25, "mpmath.fprod"]], "frac() (in module mpmath)": [[25, "mpmath.frac"]], "fraction() (in module mpmath)": [[25, "mpmath.fraction"]], "frexp() (in module mpmath)": [[25, "mpmath.frexp"]], "fsub() (in module mpmath)": [[25, "mpmath.fsub"]], "fsum() (in module mpmath)": [[25, "mpmath.fsum"]], "im() (in module mpmath)": [[25, "mpmath.im"]], "isfinite() (in module mpmath)": [[25, "mpmath.isfinite"]], "isinf() (in module mpmath)": [[25, "mpmath.isinf"]], "isint() (in module mpmath)": [[25, "mpmath.isint"]], "isnan() (in module mpmath)": [[25, "mpmath.isnan"]], "isnormal() (in module mpmath)": [[25, "mpmath.isnormal"]], "ldexp() (in module mpmath)": [[25, "mpmath.ldexp"]], "linspace() (in module mpmath)": [[25, "mpmath.linspace"]], "mag() (in module mpmath)": [[25, "mpmath.mag"]], "maxcalls() (in module mpmath)": [[25, "mpmath.maxcalls"]], "memoize() (in module mpmath)": [[25, "mpmath.memoize"]], "monitor() (in module mpmath)": [[25, "mpmath.monitor"]], "mpmathify() (in module mpmath)": [[25, "mpmath.mpmathify"]], "nint() (in module mpmath)": [[25, "mpmath.nint"]], "nint_distance() (in module mpmath)": [[25, "mpmath.nint_distance"]], "nprint() (in module mpmath)": [[25, "mpmath.nprint"]], "nstr() (in module mpmath)": [[25, "mpmath.nstr"]], "polar() (in module mpmath)": [[25, "mpmath.polar"]], "rand() (in module mpmath)": [[25, "mpmath.rand"]], "re() (in module mpmath)": [[25, "mpmath.re"]], "rect() (in module mpmath)": [[25, "mpmath.rect"]], "sign() (in module mpmath)": [[25, "mpmath.sign"]], "timing() (in module mpmath)": [[25, "mpmath.timing"]], "workdps() (in module mpmath)": [[25, "mpmath.workdps"]], "workprec() (in module mpmath)": [[25, "mpmath.workprec"]], "findpoly() (in module mpmath)": [[26, "mpmath.findpoly"]], "identify() (in module mpmath)": [[26, "mpmath.identify"]], "pslq() (in module mpmath)": [[26, "mpmath.pslq"]], "cholesky() (in module mpmath)": [[28, "mpmath.cholesky"]], "cosm() (in module mpmath)": [[28, "mpmath.cosm"]], "expm() (in module mpmath)": [[28, "mpmath.expm"]], "logm() (in module mpmath)": [[28, "mpmath.logm"]], "mnorm() (in module mpmath)": [[28, "mpmath.mnorm"]], "norm() (in module mpmath)": [[28, "mpmath.norm"]], "powm() (in module mpmath)": [[28, "mpmath.powm"]], "sinm() (in module mpmath)": [[28, "mpmath.sinm"]], "sqrtm() (in module mpmath)": [[28, "mpmath.sqrtm"]], "cplot() (in module mpmath)": [[29, "mpmath.cplot"]], "plot() (in module mpmath)": [[29, "mpmath.plot"]], "splot() (in module mpmath)": [[29, "mpmath.splot"]]}})